<?php
/**
 * Lord of the Files - MIME Aliases
 *
 * This file is automatically generated.
 *
 * @package blob-mimes
 * @author  Blobfolio, LLC <hello@blobfolio.com>
 */

/**
 * Data Sources.
 *
 * @author Apache
 * @source {https://raw.githubusercontent.com/apache/httpd/trunk/docs/conf/mime.types}
 * @copyright 2023 The Apache Software Foundation
 * @license https://www.apache.org/licenses/LICENSE-2.0 Apache
 *
 * @author Blobfolio
 * @source {https://github.com/Blobfolio/righteous-mimes}
 * @copyright 2023 Blobfolio, LLC
 * @license http://www.wtfpl.net/ WTFPL
 *
 * @author Drupal
 * @source {https://raw.githubusercontent.com/drupal/drupal/8.8.x/core/lib/Drupal/Core/File/MimeType/ExtensionMimeTypeGuesser.php}
 * @copyright 2023 Drupal
 * @license https://www.drupal.org/about/licensing GPL
 *
 * @author FreeDesktop.org
 * @source {https://cgit.freedesktop.org/xdg/shared-mime-info/plain/freedesktop.org.xml.in}
 * @copyright 2023 FreeDesktop.org
 * @license https://opensource.org/licenses/MIT MIT
 *
 * @author IANA
 * @source {https://www.iana.org/assignments/media-types}
 * @copyright 2023 IETF Trust
 * @license https://www.rfc-editor.org/copyright/ rfc-copyright-story
 *
 * @author Nginx
 * @source {http://hg.nginx.org/nginx/raw-file/default/conf/mime.types}
 * @copyright 2023 Nginx includes_url
 * @license https://opensource.org/licenses/BSD-2-Clause BSD
 *
 * @author Tika
 * @source {https://raw.githubusercontent.com/apache/tika/master/tika-core/src/main/resources/org/apache/tika/mime/tika-mimetypes.xml}
 * @copyright 2023 The Apache Software Foundation
 * @license https://www.apache.org/licenses/LICENSE-2.0 Apache
 *
 * @author WordPress
 * @source {https://raw.githubusercontent.com/WordPress/WordPress/master/wp-includes/functions.php}
 * @copyright 2023 Automattic
 * @license https://wordpress.org/about/license/ GPLv2
 */

namespace blobfolio\wp\bm\mime;

class aliases {
	/**
	 * Default Type
	 */
	const TYPE_DEFAULT = 'application/octet-stream';

	/**
	 * Empty Type
	 */
	const TYPE_EMPTY = 'inode/x-empty';

	/**
	 * Office Type
	 */
	const TYPE_OFFICE = 'application/vnd.ms-office';

	/**
	 * The Main Data!
	 */
	const TYPES = array(
		'1clr'=>array(
			'application/clr',
		),
		'1km'=>array(
			'application/vnd.1000minds.decision-model+xml',
		),
		'32x'=>array(
			'application/x-genesis-32x-rom',
		),
		'3dml'=>array(
			'text/vnd.in3d.3dml',
		),
		'3ds'=>array(
			'image/x-3ds',
			'application/x-nintendo-3ds-rom',
		),
		'3dsx'=>array(
			'application/x-nintendo-3ds-executable',
		),
		'3fr'=>array(
			'image/x-raw-hasselblad',
		),
		'3g2'=>array(
			'video/3gpp2',
			'audio/3gpp2',
		),
		'3ga'=>array(
			'video/3gpp',
			'audio/3gpp',
			'audio/3gpp-encrypted',
			'audio/x-rn-3gpp-amr',
			'audio/x-rn-3gpp-amr-encrypted',
			'audio/x-rn-3gpp-amr-wb',
			'audio/x-rn-3gpp-amr-wb-encrypted',
			'video/3gp',
			'video/3gpp-encrypted',
			'video/mp4',
		),
		'3gp'=>array(
			'video/3gpp',
			'audio/3gpp',
			'audio/3gpp-encrypted',
			'audio/x-rn-3gpp-amr',
			'audio/x-rn-3gpp-amr-encrypted',
			'audio/x-rn-3gpp-amr-wb',
			'audio/x-rn-3gpp-amr-wb-encrypted',
			'video/3gp',
			'video/3gpp-encrypted',
			'video/mp4',
		),
		'3gp2'=>array(
			'video/3gpp2',
			'audio/3gpp2',
		),
		'3gpp'=>array(
			'video/3gpp',
			'audio/3gpp',
			'audio/3gpp-encrypted',
			'audio/x-rn-3gpp-amr',
			'audio/x-rn-3gpp-amr-encrypted',
			'audio/x-rn-3gpp-amr-wb',
			'audio/x-rn-3gpp-amr-wb-encrypted',
			'video/3gp',
			'video/3gpp-encrypted',
			'video/mp4',
		),
		'3gpp2'=>array(
			'video/3gpp2',
			'audio/3gpp2',
		),
		'3mf'=>array(
			'application/vnd.ms-3mfdocument',
			'application/zip',
			'model/3mf',
		),
		'3tz'=>array(
			'application/vnd.maxar.archive.3tz+zip',
		),
		'4th'=>array(
			'text/x-forth',
			'text/plain',
		),
		'7z'=>array(
			'application/x-7z-compressed',
		),
		'a26'=>array(
			'application/x-atari-2600-rom',
		),
		'a2l'=>array(
			'application/a2l',
		),
		'a78'=>array(
			'application/x-atari-7800-rom',
		),
		'aa'=>array(
			'audio/x-pn-audibleaudio',
			'audio/vnd.audible',
		),
		'aab'=>array(
			'application/x-authorware-bin',
		),
		'aac'=>array(
			'audio/x-hx-aac-adts',
			'audio/aac',
			'audio/x-aac',
		),
		'aam'=>array(
			'application/x-authorware-map',
		),
		'aart'=>array(
			'text/plain',
		),
		'aas'=>array(
			'application/x-authorware-seg',
		),
		'aax'=>array(
			'audio/vnd.audible.aax',
		),
		'abs-linkmap'=>array(
			'text/plain',
		),
		'abs-menulinks'=>array(
			'text/plain',
		),
		'abw'=>array(
			'application/x-abiword',
			'application/xml',
		),
		'ac'=>array(
			'application/pkix-attr-cert',
			'application/vnd.nokia.n-gage.ac+xml',
			'text/plain',
		),
		'ac2'=>array(
			'application/vnd.banana-accounting',
		),
		'ac3'=>array(
			'audio/ac3',
		),
		'acc'=>array(
			'application/vnd.americandynamics.acc',
		),
		'ace'=>array(
			'application/x-ace-compressed',
			'application/x-ace',
		),
		'acfm'=>array(
			'application/x-font-adobe-metric',
		),
		'acu'=>array(
			'application/vnd.acucobol',
		),
		'acutc'=>array(
			'application/vnd.acucorp',
		),
		'ad'=>array(
			'text/x-asciidoc',
			'text/plain',
		),
		'ada'=>array(
			'text/x-ada',
			'text/plain',
		),
		'adb'=>array(
			'text/plain',
			'text/x-ada',
			'text/x-adasrc',
		),
		'adf'=>array(
			'application/x-amiga-disk-format',
		),
		'adoc'=>array(
			'text/x-asciidoc',
			'text/plain',
		),
		'adp'=>array(
			'audio/adpcm',
		),
		'ads'=>array(
			'text/plain',
			'text/x-ada',
			'text/x-adasrc',
		),
		'adts'=>array(
			'audio/aac',
			'audio/x-aac',
		),
		'aep'=>array(
			'application/vnd.audiograph',
			'application/vnd.adobe.aftereffects.project',
		),
		'aet'=>array(
			'application/vnd.adobe.aftereffects.template',
		),
		'afm'=>array(
			'application/x-font-type1',
			'application/x-font-adobe-metric',
			'application/x-font-afm',
		),
		'afp'=>array(
			'application/vnd.afpc.modca',
			'application/vnd.ibm.modcap',
		),
		'ag'=>array(
			'image/x-applix-graphics',
		),
		'agb'=>array(
			'application/x-gba-rom',
		),
		'age'=>array(
			'application/vnd.age',
		),
		'ahead'=>array(
			'application/vnd.ahead.space',
		),
		'ai'=>array(
			'application/postscript',
			'application/illustrator',
			'application/pdf',
			'application/vnd.adobe.illustrator',
		),
		'aif'=>array(
			'audio/x-aiff',
			'application/x-iff',
			'audio/aiff',
		),
		'aifc'=>array(
			'audio/x-aiff',
			'application/x-iff',
			'audio/aiff',
			'audio/x-aifc',
			'audio/x-aiffc',
		),
		'aiff'=>array(
			'audio/x-aiff',
			'application/x-iff',
			'audio/aiff',
		),
		'aiffc'=>array(
			'audio/x-aifc',
			'application/x-iff',
			'audio/x-aiffc',
		),
		'aion'=>array(
			'application/vnd.veritone.aion+json',
		),
		'air'=>array(
			'application/vnd.adobe.air-application-installer-package+zip',
		),
		'ait'=>array(
			'application/vnd.dvb.ait',
		),
		'aj'=>array(
			'text/x-aspectj',
			'text/plain',
		),
		'al'=>array(
			'text/x-perl',
			'application/x-executable',
			'application/x-perl',
			'text/plain',
		),
		'alc'=>array(
			'chemical/x-alchemy',
		),
		'alz'=>array(
			'application/x-alz',
		),
		'am'=>array(
			'text/plain',
		),
		'amfm'=>array(
			'application/x-font-adobe-metric',
		),
		'ami'=>array(
			'application/vnd.amiga.ami',
		),
		'aml'=>array(
			'application/aml',
			'application/automationml-aml+xml',
		),
		'amlx'=>array(
			'application/automationml-amlx+zip',
		),
		'amr'=>array(
			'audio/amr',
			'audio/amr-encrypted',
		),
		'amz'=>array(
			'audio/x-amzxml',
		),
		'ani'=>array(
			'application/x-navi-animation',
		),
		'anpa'=>array(
			'text/vnd.iptc.anpa',
		),
		'anx'=>array(
			'application/annodex',
			'application/x-annodex',
		),
		'any'=>array(
			'application/vnd.mitsubishi.misty-guard.trustweb',
		),
		'ape'=>array(
			'audio/x-ape',
		),
		'apk'=>array(
			'application/vnd.android.package-archive',
			'application/java-archive',
		),
		'apkg'=>array(
			'application/vnd.anki',
		),
		'apng'=>array(
			'image/apng',
			'image/vnd.mozilla.apng',
		),
		'appcache'=>array(
			'text/cache-manifest',
		),
		'appimage'=>array(
			'application/x-iso9660-appimage',
			'application/vnd.appimage',
			'application/x-executable',
		),
		'applescript'=>array(
			'text/x-applescript',
			'text/plain',
		),
		'application'=>array(
			'application/x-ms-application',
		),
		'apr'=>array(
			'application/vnd.lotus-approach',
		),
		'apt'=>array(
			'text/plain',
		),
		'apxml'=>array(
			'application/auth-policy+xml',
		),
		'ar'=>array(
			'application/x-archive',
			'application/x-unix-archive',
		),
		'arc'=>array(
			'application/x-freearc',
			'application/x-internet-archive',
		),
		'arj'=>array(
			'application/x-arj',
			'application/x-arj-compressed',
		),
		'arrow'=>array(
			'application/vnd.apache.arrow.file',
		),
		'arrows'=>array(
			'application/vnd.apache.arrow.stream',
		),
		'art'=>array(
			'image/x-jg',
		),
		'artisan'=>array(
			'application/vnd.artisan+json',
		),
		'arw'=>array(
			'image/x-sony-arw',
			'image/x-dcraw',
			'image/x-raw-sony',
		),
		'as'=>array(
			'application/x-applix-spreadsheet',
			'text/plain',
			'text/x-actionscript',
		),
		'asar'=>array(
			'application/x-asar',
		),
		'asc'=>array(
			'application/pgp-signature',
			'application/pgp',
			'application/pgp-encrypted',
			'application/pgp-keys',
			'text/plain',
		),
		'ascii'=>array(
			'text/vnd.ascii-art',
		),
		'asciidoc'=>array(
			'text/x-asciidoc',
			'text/plain',
		),
		'asd'=>array(
			'text/x-common-lisp',
			'text/plain',
		),
		'asf'=>array(
			'application/vnd.ms-asf',
			'video/x-ms-asf',
			'video/x-ms-asf-plugin',
			'video/x-ms-wm',
		),
		'asice'=>array(
			'application/vnd.etsi.asic-e+zip',
			'application/zip',
		),
		'asics'=>array(
			'application/vnd.etsi.asic-s+zip',
			'application/zip',
		),
		'asm'=>array(
			'text/x-asm',
			'text/plain',
			'text/x-assembly',
		),
		'asn'=>array(
			'chemical/x-ncbi-asn1-spec',
		),
		'asnd'=>array(
			'audio/vnd.adobe.soundbooth',
		),
		'aso'=>array(
			'application/vnd.accpac.simply.aso',
			'chemical/x-ncbi-asn1-binary',
		),
		'asp'=>array(
			'text/plain',
			'application/x-asp',
			'text/asp',
		),
		'aspx'=>array(
			'text/aspdotnet',
			'text/plain',
		),
		'ass'=>array(
			'text/x-ssa',
			'audio/aac',
			'audio/x-aac',
			'text/plain',
		),
		'astc'=>array(
			'image/astc',
		),
		'asx'=>array(
			'video/x-ms-asf',
			'application/x-ms-asx',
			'application/xml',
			'audio/x-ms-asx',
			'video/x-ms-wax',
			'video/x-ms-wmx',
			'video/x-ms-wvx',
		),
		'atc'=>array(
			'application/vnd.acucorp',
		),
		'atf'=>array(
			'application/atf',
		),
		'atfx'=>array(
			'application/atfx',
		),
		'atom'=>array(
			'application/atom+xml',
			'application/atom',
			'application/xml',
		),
		'atomcat'=>array(
			'application/atomcat+xml',
		),
		'atomdeleted'=>array(
			'application/atomdeleted+xml',
		),
		'atomsrv'=>array(
			'application/atomserv+xml',
		),
		'atomsvc'=>array(
			'application/atomsvc+xml',
		),
		'atx'=>array(
			'application/vnd.antix.game-component',
		),
		'atxml'=>array(
			'application/atxml',
		),
		'au'=>array(
			'audio/basic',
		),
		'auc'=>array(
			'application/tamp-apex-update-confirm',
		),
		'authors'=>array(
			'text/x-authors',
			'text/plain',
		),
		'automount'=>array(
			'text/x-systemd-unit',
			'text/plain',
		),
		'avci'=>array(
			'image/avci',
		),
		'avcs'=>array(
			'image/avcs',
		),
		'avf'=>array(
			'video/x-msvideo',
			'video/avi',
			'video/divx',
			'video/msvideo',
			'video/vnd.divx',
			'video/x-avi',
		),
		'avi'=>array(
			'video/x-msvideo',
			'video/avi',
			'video/divx',
			'video/msvideo',
			'video/vnd.divx',
			'video/x-avi',
		),
		'avif'=>array(
			'image/avif',
			'image/avif-sequence',
		),
		'avifs'=>array(
			'image/avif',
			'image/avif-sequence',
		),
		'aw'=>array(
			'application/applixware',
			'application/x-applix-word',
		),
		'awb'=>array(
			'audio/amr-wb',
			'audio/amr-wb-encrypted',
		),
		'awk'=>array(
			'application/x-awk',
			'application/x-executable',
			'text/plain',
			'text/x-awk',
		),
		'axa'=>array(
			'audio/annodex',
			'application/annodex',
			'audio/x-annodex',
		),
		'axv'=>array(
			'video/annodex',
			'application/annodex',
			'video/x-annodex',
		),
		'axx'=>array(
			'application/x-axcrypt',
		),
		'azf'=>array(
			'application/vnd.airzip.filesecure.azf',
		),
		'azs'=>array(
			'application/vnd.airzip.filesecure.azs',
		),
		'azv'=>array(
			'image/vnd.airzip.accelerator.azv',
		),
		'azw'=>array(
			'application/vnd.amazon.ebook',
		),
		'azw3'=>array(
			'application/vnd.amazon.mobi8-ebook',
			'application/x-mobi8-ebook',
			'application/x-mobipocket-ebook',
		),
		'b'=>array(
			'chemical/x-molconn-z',
		),
		'b16'=>array(
			'image/vnd.pco.b16',
		),
		'bak'=>array(
			'application/x-trash',
		),
		'bar'=>array(
			'application/vnd.qualcomm.brew-app-res',
		),
		'bas'=>array(
			'text/x-basic',
			'text/plain',
		),
		'bash'=>array(
			'application/x-sh',
			'text/plain',
		),
		'bat'=>array(
			'application/x-msdownload',
			'application/bat',
			'application/x-bat',
			'application/x-msdos-program',
			'text/plain',
		),
		'bau'=>array(
			'application/vnd.openofficeorg.autotext',
			'application/zip',
		),
		'bay'=>array(
			'image/x-raw-casio',
		),
		'bcpio'=>array(
			'application/x-bcpio',
		),
		'bdf'=>array(
			'application/x-font-bdf',
		),
		'bdm'=>array(
			'application/vnd.syncml.dm+wbxml',
			'video/mp2t',
		),
		'bdmv'=>array(
			'video/mp2t',
		),
		'bed'=>array(
			'application/vnd.realvnc.bed',
		),
		'bh2'=>array(
			'application/vnd.fujitsu.oasysprs',
		),
		'bib'=>array(
			'text/x-bibtex',
			'application/x-bibtex-text-file',
			'text/plain',
		),
		'bibtex'=>array(
			'application/x-bibtex-text-file',
			'text/plain',
		),
		'bik'=>array(
			'video/vnd.radgamettools.bink',
		),
		'bin'=>array(
			'application/gltf-buffer',
			'application/octet-stream',
		),
		'bk2'=>array(
			'video/vnd.radgamettools.bink',
		),
		'bkm'=>array(
			'application/vnd.nervana',
		),
		'blb'=>array(
			'application/x-blorb',
		),
		'blend'=>array(
			'application/x-blender',
		),
		'blender'=>array(
			'application/x-blender',
		),
		'blorb'=>array(
			'application/x-blorb',
		),
		'bmi'=>array(
			'application/vnd.bmi',
		),
		'bmml'=>array(
			'application/vnd.balsamiq.bmml+xml',
		),
		'bmp'=>array(
			'image/bmp',
			'image/x-bmp',
			'image/x-ms-bmp',
		),
		'bmpr'=>array(
			'application/vnd.balsamiq.bmpr',
		),
		'boo'=>array(
			'text/x-boo',
		),
		'book'=>array(
			'application/vnd.framemaker',
			'application/x-maker',
		),
		'box'=>array(
			'application/vnd.previewsystems.box',
		),
		'boz'=>array(
			'application/x-bzip2',
			'application/x-bzip',
		),
		'bpf'=>array(
			'application/vnd.bpf',
			'application/vnd.bpf3',
		),
		'bpg'=>array(
			'image/x-bpg',
		),
		'bpk'=>array(
			'application/octet-stream',
		),
		'bpm'=>array(
			'application/bizagi-modeler',
			'application/zip',
		),
		'bps'=>array(
			'application/x-bps-patch',
		),
		'br'=>array(
			'application/x-brotli',
		),
		'brf'=>array(
			'text/plain',
		),
		'brotli'=>array(
			'application/x-brotli',
		),
		'bsd'=>array(
			'chemical/x-crossfire',
		),
		'bsdiff'=>array(
			'application/x-bsdiff',
		),
		'bsh'=>array(
			'text/plain',
		),
		'bsp'=>array(
			'model/vnd.valve.source.compiled-map',
		),
		'btf'=>array(
			'image/prs.btif',
		),
		'btif'=>array(
			'image/prs.btif',
		),
		'bz'=>array(
			'application/x-bzip',
			'application/bzip2',
			'application/x-bzip2',
		),
		'bz2'=>array(
			'application/x-bzip2',
			'application/bzip2',
			'application/x-bzip',
		),
		'c'=>array(
			'text/x-c',
			'text/plain',
			'text/x-c+src',
			'text/x-csrc',
		),
		'c11amc'=>array(
			'application/vnd.cluetrust.cartomobile-config',
		),
		'c11amz'=>array(
			'application/vnd.cluetrust.cartomobile-config-pkg',
		),
		'c3d'=>array(
			'chemical/x-chem3d',
		),
		'c3ex'=>array(
			'application/cccex',
		),
		'c4d'=>array(
			'application/vnd.clonk.c4group',
		),
		'c4f'=>array(
			'application/vnd.clonk.c4group',
		),
		'c4g'=>array(
			'application/vnd.clonk.c4group',
		),
		'c4p'=>array(
			'application/vnd.clonk.c4group',
		),
		'c4u'=>array(
			'application/vnd.clonk.c4group',
		),
		'c9r'=>array(
			'application/vnd.cryptomator.encrypted',
		),
		'c9s'=>array(
			'application/vnd.cryptomator.encrypted',
		),
		'cab'=>array(
			'application/vnd.ms-cab-compressed',
			'application/vnd.ubisoft.webplayer',
			'application/x-cab',
			'zz-application/zz-winassoc-cab',
		),
		'cac'=>array(
			'chemical/x-cache',
		),
		'cacerts'=>array(
			'application/x-java-keystore',
		),
		'cache'=>array(
			'chemical/x-cache',
		),
		'caf'=>array(
			'audio/x-caf',
		),
		'cap'=>array(
			'application/vnd.tcpdump.pcap',
			'application/cap',
			'application/pcap',
			'application/x-pcap',
		),
		'car'=>array(
			'application/vnd.ipld.car',
			'application/vnd.curl.car',
		),
		'carjson'=>array(
			'application/vnd.eu.kasparian.car+json',
		),
		'cascii'=>array(
			'chemical/x-cactvs-binary',
		),
		'cat'=>array(
			'application/vnd.ms-pki.seccat',
		),
		'cb7'=>array(
			'application/x-cbr',
			'application/x-7z-compressed',
			'application/x-cb7',
		),
		'cba'=>array(
			'application/x-cbr',
		),
		'cbin'=>array(
			'chemical/x-cactvs-binary',
		),
		'cbl'=>array(
			'text/x-cobol',
			'text/plain',
		),
		'cbor'=>array(
			'application/cbor',
			'application/cose',
			'application/cose-key',
			'application/cose-key-set',
			'application/vnd.ipld.dag-cbor',
		),
		'cbr'=>array(
			'application/vnd.comicbook-rar',
			'application/vnd.rar',
			'application/x-cbr',
		),
		'cbt'=>array(
			'application/x-cbr',
			'application/x-cbt',
			'application/x-tar',
		),
		'cbz'=>array(
			'application/vnd.comicbook+zip',
			'application/x-cbr',
			'application/x-cbz',
			'application/zip',
		),
		'cc'=>array(
			'text/x-c+src',
			'text/plain',
			'text/x-c',
			'text/x-csrc',
		),
		'ccc'=>array(
			'text/vnd.net2phone.commcenter.command',
		),
		'cci'=>array(
			'application/x-nintendo-3ds-rom',
		),
		'ccmp'=>array(
			'application/ccmp+xml',
		),
		'ccmx'=>array(
			'application/x-ccmx',
			'text/plain',
		),
		'cco'=>array(
			'application/x-cocoa',
		),
		'cct'=>array(
			'application/x-director',
		),
		'ccxml'=>array(
			'application/ccxml+xml',
		),
		'cdbcmsg'=>array(
			'application/vnd.contact.cmsg',
		),
		'cdf'=>array(
			'application/x-netcdf',
			'application/x-cdf',
		),
		'cdfx'=>array(
			'application/cdfx+xml',
		),
		'cdi'=>array(
			'application/x-discjuggler-cd-image',
		),
		'cdkey'=>array(
			'application/vnd.mediastation.cdkey',
		),
		'cdmia'=>array(
			'application/cdmi-capability',
		),
		'cdmic'=>array(
			'application/cdmi-container',
		),
		'cdmid'=>array(
			'application/cdmi-domain',
		),
		'cdmio'=>array(
			'application/cdmi-object',
		),
		'cdmiq'=>array(
			'application/cdmi-queue',
		),
		'cdr'=>array(
			'application/cdr',
			'application/coreldraw',
			'application/vnd.corel-draw',
			'application/x-cdr',
			'application/x-coreldraw',
			'image/cdr',
			'image/x-cdr',
			'image/x-coreldraw',
			'zz-application/zz-winassoc-cdr',
		),
		'cdt'=>array(
			'image/x-coreldrawtemplate',
		),
		'cdx'=>array(
			'chemical/x-cdx',
		),
		'cdxml'=>array(
			'application/vnd.chemdraw+xml',
		),
		'cdy'=>array(
			'application/vnd.cinderella',
		),
		'cea'=>array(
			'application/cea',
		),
		'cef'=>array(
			'chemical/x-cxf',
		),
		'cer'=>array(
			'application/pkix-cert',
			'chemical/x-cerius',
		),
		'cert'=>array(
			'application/x-x509-ca-cert',
		),
		'cfc'=>array(
			'text/x-coldfusion',
			'text/plain',
		),
		'cfg'=>array(
			'text/x-config',
			'text/plain',
		),
		'cfm'=>array(
			'text/x-coldfusion',
			'text/plain',
		),
		'cfml'=>array(
			'text/x-coldfusion',
			'text/plain',
		),
		'cfs'=>array(
			'application/x-cfs-compressed',
		),
		'cgb'=>array(
			'application/x-gameboy-color-rom',
		),
		'cgi'=>array(
			'text/x-cgi',
			'text/plain',
		),
		'cgm'=>array(
			'image/cgm',
		),
		'changelog'=>array(
			'text/x-changelog',
			'text/plain',
		),
		'chat'=>array(
			'application/x-chat',
		),
		'chd'=>array(
			'application/x-mame-chd',
		),
		'chm'=>array(
			'application/vnd.ms-htmlhelp',
			'application/x-chm',
			'chemical/x-chemdraw',
		),
		'chrt'=>array(
			'application/x-kchart',
			'application/vnd.kde.kchart',
		),
		'cif'=>array(
			'application/vnd.multiad.creator.cif',
			'chemical/x-cif',
		),
		'cii'=>array(
			'application/vnd.anser-web-certificate-issue-initiation',
		),
		'cil'=>array(
			'application/vnd.ms-artgalry',
		),
		'cjs'=>array(
			'application/node',
		),
		'cl'=>array(
			'application/simple-filter+xml',
			'message/imdn+xml',
			'text/plain',
			'text/x-common-lisp',
			'text/x-csrc',
			'text/x-opencl-src',
		),
		'cla'=>array(
			'application/vnd.claymore',
		),
		'class'=>array(
			'application/vnd.dvb.dvbj',
			'application/java',
			'application/java-byte-code',
			'application/java-vm',
			'application/x-java',
			'application/x-java-class',
			'application/x-java-vm',
		),
		'classpath'=>array(
			'text/plain',
		),
		'cld'=>array(
			'model/vnd.cld',
		),
		'clj'=>array(
			'text/x-clojure',
			'text/plain',
		),
		'clkk'=>array(
			'application/vnd.crick.clicker.keyboard',
		),
		'clkp'=>array(
			'application/vnd.crick.clicker.palette',
		),
		'clkt'=>array(
			'application/vnd.crick.clicker.template',
		),
		'clkw'=>array(
			'application/vnd.crick.clicker.wordbank',
		),
		'clkx'=>array(
			'application/vnd.crick.clicker',
		),
		'clp'=>array(
			'application/x-msclip',
		),
		'clpi'=>array(
			'video/mp2t',
		),
		'cls'=>array(
			'text/x-tex',
			'application/x-tex',
			'text/plain',
			'text/x-basic',
			'text/x-vbasic',
		),
		'clue'=>array(
			'application/clueinfo+xml',
		),
		'cmake'=>array(
			'text/x-cmake',
			'text/plain',
		),
		'cmc'=>array(
			'application/vnd.cosmocaller',
		),
		'cmd'=>array(
			'application/x-bat',
			'application/bat',
			'text/plain',
		),
		'cmdf'=>array(
			'chemical/x-cmdf',
		),
		'cml'=>array(
			'chemical/x-cml',
		),
		'cmp'=>array(
			'application/vnd.yellowriver-custom-menu',
		),
		'cmsc'=>array(
			'application/cms',
		),
		'cmx'=>array(
			'image/x-cmx',
		),
		'cnd'=>array(
			'text/jcr-cnd',
			'text/plain',
		),
		'cob'=>array(
			'text/x-cobol',
			'text/plain',
		),
		'cod'=>array(
			'application/vnd.rim.cod',
		),
		'coffee'=>array(
			'application/vnd.coffeescript',
			'text/plain',
			'text/x-coffeescript',
		),
		'com'=>array(
			'application/x-msdownload',
			'application/x-msdos-program',
		),
		'conf'=>array(
			'text/plain',
			'text/x-config',
		),
		'config'=>array(
			'text/x-config',
			'text/plain',
		),
		'copying'=>array(
			'text/x-copying',
			'text/plain',
		),
		'core'=>array(
			'application/x-core',
		),
		'coswid'=>array(
			'application/swid+cbor',
		),
		'cpa'=>array(
			'chemical/x-compass',
		),
		'cpi'=>array(
			'video/mp2t',
		),
		'cpio'=>array(
			'application/x-cpio',
		),
		'cpkg'=>array(
			'application/vnd.xmpie.cpkg',
		),
		'cpl'=>array(
			'application/cpl+xml',
		),
		'cpp'=>array(
			'text/x-c+src',
			'text/plain',
			'text/x-c',
			'text/x-csrc',
		),
		'cpt'=>array(
			'audio/vnd.dts',
			'application/mac-compactpro',
			'image/x-corelphotopaint',
		),
		'cql'=>array(
			'text/cql',
		),
		'cr'=>array(
			'text/x-crystal',
			'text/crystal',
			'text/plain',
		),
		'cr2'=>array(
			'image/x-canon-cr2',
			'image/x-dcraw',
			'image/x-raw-canon',
		),
		'cr3'=>array(
			'image/x-canon-cr3',
			'image/x-dcraw',
		),
		'crd'=>array(
			'application/x-mscardfile',
		),
		'crdownload'=>array(
			'application/x-partial-download',
		),
		'credits'=>array(
			'text/x-credits',
			'text/plain',
		),
		'crl'=>array(
			'application/pkix-crl',
			'application/x-pkcs7-crl',
		),
		'crt'=>array(
			'application/x-x509-ca-cert',
			'application/x-x509-cert',
			'application/x-x509-user-cert',
		),
		'crtr'=>array(
			'application/vnd.multiad.creator',
		),
		'crw'=>array(
			'image/x-canon-crw',
			'image/x-dcraw',
			'image/x-raw-canon',
		),
		'crx'=>array(
			'application/x-chrome-package',
		),
		'cryptomator'=>array(
			'application/vnd.cryptomator.vault',
		),
		'cryptonote'=>array(
			'application/vnd.rig.cryptonote',
		),
		'cs'=>array(
			'text/x-csharp',
			'text/plain',
			'text/x-csrc',
		),
		'csf'=>array(
			'chemical/x-cache-csf',
		),
		'csh'=>array(
			'application/x-csh',
			'application/x-shellscript',
			'text/x-csh',
		),
		'csl'=>array(
			'application/vnd.citationstyles.style+xml',
		),
		'csm'=>array(
			'chemical/x-csml',
		),
		'csml'=>array(
			'chemical/x-csml',
		),
		'cso'=>array(
			'application/x-compressed-iso',
		),
		'csp'=>array(
			'application/vnd.commonspace',
		),
		'csrattrs'=>array(
			'application/csrattrs',
		),
		'css'=>array(
			'text/css',
			'text/plain',
		),
		'cst'=>array(
			'application/vnd.commonspace',
			'application/x-director',
		),
		'csv'=>array(
			'text/csv',
			'application/csv',
			'text/plain',
			'text/x-comma-separated-values',
			'text/x-csv',
		),
		'csvs'=>array(
			'text/csv-schema',
			'text/plain',
		),
		'ctab'=>array(
			'chemical/x-cactvs-binary',
		),
		'ctx'=>array(
			'chemical/x-ctx',
		),
		'cu'=>array(
			'application/cu-seeme',
		),
		'cub'=>array(
			'chemical/x-gaussian-cube',
		),
		'cuc'=>array(
			'application/tamp-community-update-confirm',
		),
		'cue'=>array(
			'application/x-cue',
			'text/plain',
		),
		'cur'=>array(
			'image/x-win-bitmap',
		),
		'curl'=>array(
			'text/vnd.curl',
			'application/vnd.curl',
		),
		'cw'=>array(
			'application/prs.cww',
		),
		'cwiki'=>array(
			'text/plain',
		),
		'cwk'=>array(
			'application/x-appleworks-document',
			'application/x-appleworks',
		),
		'cwl'=>array(
			'application/cwl',
		),
		'cwljson'=>array(
			'application/cwl+json',
		),
		'cww'=>array(
			'application/prs.cww',
		),
		'cxf'=>array(
			'chemical/x-cxf',
		),
		'cxt'=>array(
			'application/x-director',
		),
		'cxx'=>array(
			'text/x-c+src',
			'text/plain',
			'text/x-c',
			'text/x-csrc',
		),
		'd'=>array(
			'text/x-dsrc',
		),
		'dae'=>array(
			'model/vnd.collada+xml',
		),
		'daf'=>array(
			'application/vnd.mobius.daf',
		),
		'dar'=>array(
			'application/x-dar',
		),
		'dart'=>array(
			'application/vnd.dart',
			'text/plain',
			'text/x-dart',
		),
		'dat'=>array(
			'chemical/x-mopac-input',
		),
		'data'=>array(
			'text/plain',
		),
		'dataless'=>array(
			'application/vnd.fdsn.seed',
			'application/vnd.fdsn.mseed',
		),
		'davmount'=>array(
			'application/davmount+xml',
		),
		'dbase'=>array(
			'application/x-dbf',
		),
		'dbase3'=>array(
			'application/x-dbf',
		),
		'dbf'=>array(
			'application/vnd.dbf',
			'application/dbase',
			'application/dbf',
			'application/x-dbase',
			'application/x-dbf',
		),
		'dbk'=>array(
			'application/docbook+xml',
			'application/vnd.oasis.docbook+xml',
			'application/x-docbook+xml',
			'application/xml',
		),
		'dcd'=>array(
			'application/dcd',
		),
		'dcl'=>array(
			'text/plain',
			'text/x-dcl',
		),
		'dcm'=>array(
			'application/dicom',
		),
		'dcr'=>array(
			'application/x-director',
			'image/x-dcraw',
			'image/x-kodak-dcr',
		),
		'dcs'=>array(
			'image/x-raw-kodak',
		),
		'dcurl'=>array(
			'text/vnd.curl.dcurl',
		),
		'dcx'=>array(
			'image/vnd.zbrush.dcx',
			'image/x-dcx',
		),
		'dd2'=>array(
			'application/vnd.oma.dd2+xml',
		),
		'ddd'=>array(
			'application/vnd.fujixerox.ddd',
		),
		'ddf'=>array(
			'application/vnd.syncml.dmddf+wbxml',
			'application/vnd.syncml.dmddf+xml',
		),
		'dds'=>array(
			'image/x-dds',
		),
		'deb'=>array(
			'application/vnd.debian.binary-package',
			'application/octet-stream',
			'application/x-archive',
			'application/x-deb',
			'application/x-debian-package',
		),
		'def'=>array(
			'text/plain',
		),
		'deploy'=>array(
			'application/octet-stream',
		),
		'der'=>array(
			'application/x-x509-ca-cert',
			'application/x-x509-cert',
			'application/x-x509-certformatder',
		),
		'desktop'=>array(
			'application/x-desktop',
			'application/x-gnome-app-info',
			'text/plain',
		),
		'device'=>array(
			'text/x-systemd-unit',
			'text/plain',
		),
		'dex'=>array(
			'application/x-dex',
		),
		'dfac'=>array(
			'application/vnd.dreamfactory',
		),
		'dff'=>array(
			'audio/x-dff',
			'audio/dff',
		),
		'dfxp'=>array(
			'application/ttaf+xml',
		),
		'dgc'=>array(
			'application/x-dgc-compressed',
		),
		'di'=>array(
			'text/x-dsrc',
			'text/x-csrc',
		),
		'dia'=>array(
			'application/x-dia-diagram',
			'application/xml',
		),
		'dib'=>array(
			'image/bmp',
			'image/x-bmp',
			'image/x-ms-bmp',
		),
		'dic'=>array(
			'text/x-c',
		),
		'dicomdir'=>array(
			'application/dicom',
		),
		'dif'=>array(
			'application/dif+xml',
			'application/xml',
			'video/dv',
		),
		'diff'=>array(
			'text/x-diff',
			'text/plain',
			'text/x-patch',
		),
		'dii'=>array(
			'application/dii',
		),
		'dim'=>array(
			'application/vnd.fastcopy-disk-image',
		),
		'dir'=>array(
			'application/x-director',
		),
		'dis'=>array(
			'application/vnd.mobius.dis',
		),
		'disposition-notification'=>array(
			'message/disposition-notification',
		),
		'dist'=>array(
			'application/vnd.apple.installer+xml',
			'application/octet-stream',
		),
		'distz'=>array(
			'application/vnd.apple.installer+xml',
			'application/octet-stream',
		),
		'dit'=>array(
			'application/dit',
		),
		'dita'=>array(
			'application/dita+xmlformattopic',
			'application/dita+xml',
		),
		'ditamap'=>array(
			'application/dita+xmlformatmap',
			'application/dita+xml',
		),
		'ditaval'=>array(
			'application/dita+xmlformatval',
			'application/dita+xml',
		),
		'dive'=>array(
			'application/vnd.patentdive',
		),
		'divx'=>array(
			'video/divx',
			'video/avi',
			'video/msvideo',
			'video/vnd.divx',
			'video/x-avi',
			'video/x-msvideo',
		),
		'djv'=>array(
			'image/vnd.djvu',
			'image/vnd.djvu+multipage',
			'image/x-djvu',
			'image/x.djvu',
		),
		'djvu'=>array(
			'image/vnd.djvu',
			'image/vnd.djvu+multipage',
			'image/x-djvu',
			'image/x.djvu',
		),
		'dl'=>array(
			'application/vnd.datalog',
			'video/dl',
		),
		'dll'=>array(
			'application/x-msdownload',
			'application/octet-stream',
			'application/x-msdos-program',
		),
		'dmg'=>array(
			'application/x-apple-diskimage',
			'application/octet-stream',
			'application/zlib',
		),
		'dmp'=>array(
			'application/vnd.tcpdump.pcap',
			'application/pcap',
			'application/x-pcap',
		),
		'dms'=>array(
			'text/vnd.dmclientscript',
			'application/octet-stream',
			'application/x-dms',
		),
		'dna'=>array(
			'application/vnd.dna',
		),
		'dng'=>array(
			'image/x-adobe-dng',
			'image/x-dcraw',
			'image/x-raw-adobe',
		),
		'do'=>array(
			'application/x-stata-do',
		),
		'doc'=>array(
			'application/msword',
			'application/vnd.ms-office',
			'application/vnd.ms-word',
			'application/x-msword',
			'application/x-ole-storage',
			'application/xml',
			'zz-application/zz-winassoc-doc',
		),
		'docbook'=>array(
			'application/x-docbook+xml',
			'application/docbook+xml',
			'application/vnd.oasis.docbook+xml',
			'application/xml',
		),
		'docjson'=>array(
			'application/vnd.document+json',
		),
		'docm'=>array(
			'application/vnd.ms-word.document.macroenabled.12',
			'application/vnd.ms-office',
			'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
			'application/xml',
		),
		'docx'=>array(
			'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
			'application/vnd.ms-office',
			'application/zip',
		),
		'dor'=>array(
			'model/vnd.gdl',
			'model/vnd.gs-gdl',
		),
		'dot'=>array(
			'application/msword',
			'application/msword-template',
			'application/vnd.ms-office',
			'application/vnd.ms-word',
			'application/xml',
			'text/plain',
			'text/vnd.graphviz',
		),
		'dotm'=>array(
			'application/vnd.ms-word.template.macroenabled.12',
			'application/vnd.ms-office',
			'application/vnd.openxmlformats-officedocument.wordprocessingml.template',
			'application/xml',
		),
		'dotx'=>array(
			'application/vnd.openxmlformats-officedocument.wordprocessingml.template',
			'application/vnd.ms-office',
			'application/zip',
		),
		'dp'=>array(
			'application/vnd.osgi.dp',
		),
		'dpg'=>array(
			'application/vnd.dpgraph',
		),
		'dpkg'=>array(
			'application/vnd.xmpie.dpkg',
			'application/vnd.xmpie.plan',
		),
		'dpr'=>array(
			'text/x-pascal',
			'text/plain',
		),
		'dpx'=>array(
			'image/dpx',
			'image/x-dpx',
		),
		'dra'=>array(
			'audio/vnd.dra',
		),
		'drc'=>array(
			'video/x-dirac',
			'video/ogg',
		),
		'drf'=>array(
			'image/x-raw-kodak',
		),
		'drle'=>array(
			'image/dicom-rle',
		),
		'dsc'=>array(
			'text/prs.lines.tag',
		),
		'dsf'=>array(
			'audio/x-dsf',
			'audio/dsd',
			'audio/dsf',
			'audio/x-dsd',
		),
		'dsl'=>array(
			'text/x-dsl',
			'text/plain',
		),
		'dsp'=>array(
			'text/plain',
		),
		'dssc'=>array(
			'application/dssc+der',
		),
		'dsw'=>array(
			'text/plain',
		),
		'dta'=>array(
			'application/x-stata-dta',
		),
		'dtb'=>array(
			'application/x-dtbook+xml',
			'text/x-devicetree-binary',
		),
		'dtd'=>array(
			'application/xml-dtd',
			'text/plain',
			'text/x-dtd',
		),
		'dts'=>array(
			'audio/vnd.dts',
			'audio/x-dts',
			'text/plain',
			'text/x-devicetree-source',
		),
		'dtshd'=>array(
			'audio/vnd.dts.hd',
			'audio/vnd.dts',
			'audio/x-dtshd',
		),
		'dtsi'=>array(
			'text/x-devicetree-source',
			'text/plain',
		),
		'dtx'=>array(
			'text/x-tex',
			'application/x-tex',
			'text/plain',
		),
		'dump'=>array(
			'application/octet-stream',
		),
		'dv'=>array(
			'video/dv',
		),
		'dvb'=>array(
			'video/vnd.dvb.file',
		),
		'dvc'=>array(
			'application/dvcs',
		),
		'dvi'=>array(
			'application/x-dvi',
		),
		'dwd'=>array(
			'application/atsc-dwd+xml',
		),
		'dwf'=>array(
			'model/vnd.dwf',
			'drawing/x-dwf',
		),
		'dwfx'=>array(
			'model/vnd.dwfx+xps',
		),
		'dwg'=>array(
			'image/vnd.dwg',
			'application/acad',
			'application/autocaddwg',
			'application/dwg',
			'application/x-acad',
			'application/x-autocad',
			'application/x-dwg',
			'drawing/dwg',
			'image/x-dwg',
		),
		'dx'=>array(
			'chemical/x-jcamp-dx',
		),
		'dxb'=>array(
			'image/vnd.dxb',
		),
		'dxf'=>array(
			'image/vnd.dxf',
			'text/plain',
		),
		'dxp'=>array(
			'application/vnd.spotfire.dxp',
		),
		'dxr'=>array(
			'application/vnd.dxr',
			'application/x-director',
		),
		'dzr'=>array(
			'application/vnd.dzr',
		),
		'ear'=>array(
			'application/java-archive',
			'application/x-tika-java-enterprise-archive',
		),
		'ebuild'=>array(
			'application/vnd.gentoo.ebuild',
		),
		'ecelp4800'=>array(
			'audio/vnd.nuera.ecelp4800',
		),
		'ecelp7470'=>array(
			'audio/vnd.nuera.ecelp7470',
		),
		'ecelp9600'=>array(
			'audio/vnd.nuera.ecelp9600',
		),
		'ecig'=>array(
			'application/vnd.evolv.ecig.settings',
		),
		'ecigprofile'=>array(
			'application/vnd.evolv.ecig.profile',
		),
		'ecigtheme'=>array(
			'application/vnd.evolv.ecig.theme',
		),
		'eclass'=>array(
			'application/vnd.gentoo.eclass',
		),
		'ecma'=>array(
			'application/ecmascript',
		),
		'edm'=>array(
			'application/vnd.novadigm.edm',
		),
		'edx'=>array(
			'application/vnd.novadigm.edx',
		),
		'efif'=>array(
			'application/vnd.picsel',
		),
		'egon'=>array(
			'application/x-egon',
		),
		'egrm'=>array(
			'text/plain',
		),
		'ei6'=>array(
			'application/vnd.pg.osasli',
		),
		'eif'=>array(
			'text/x-eiffel',
			'text/plain',
		),
		'el'=>array(
			'text/x-emacs-lisp',
			'text/plain',
		),
		'elc'=>array(
			'application/octet-stream',
			'application/x-elc',
		),
		'emb'=>array(
			'chemical/x-embl-dl-nucleotide',
		),
		'embl'=>array(
			'chemical/x-embl-dl-nucleotide',
		),
		'emf'=>array(
			'image/emf',
			'application/emf',
			'application/x-emf',
			'application/x-msmetafile',
			'image/x-emf',
		),
		'eml'=>array(
			'message/rfc822',
			'text/plain',
		),
		'emlx'=>array(
			'message/x-emlx',
		),
		'emm'=>array(
			'application/vnd.ibm.electronic-media',
		),
		'emma'=>array(
			'application/emma+xml',
		),
		'emotionml'=>array(
			'application/emotionml+xml',
		),
		'emp'=>array(
			'application/vnd.emusic-emusicpackage',
		),
		'emz'=>array(
			'application/x-msmetafile',
			'application/gzip',
			'application/x-ms-emz',
			'image/x-emf-compressed',
		),
		'enr'=>array(
			'application/x-endnote-refer',
		),
		'ent'=>array(
			'application/xml-external-parsed-entity',
			'application/vnd.nervana',
			'application/xml',
			'chemical/x-pdb',
			'text/plain',
			'text/xml-external-parsed-entity',
		),
		'entity'=>array(
			'application/vnd.nervana',
		),
		'enw'=>array(
			'application/x-endnote-refer',
		),
		'eol'=>array(
			'audio/vnd.digital-winds',
		),
		'eot'=>array(
			'application/vnd.ms-fontobject',
			'font/eot',
		),
		'ep'=>array(
			'application/vnd.bluetooth.ep.oob',
		),
		'eps'=>array(
			'application/postscript',
			'image/x-eps',
		),
		'epsf'=>array(
			'application/postscript',
			'image/x-eps',
		),
		'epsi'=>array(
			'application/postscript',
			'image/x-eps',
		),
		'epub'=>array(
			'application/epub+zip',
			'application/zip',
		),
		'erf'=>array(
			'image/x-raw-epson',
		),
		'erl'=>array(
			'text/x-erlang',
			'text/plain',
		),
		'es'=>array(
			'application/ecmascript',
			'application/x-executable',
			'text/ecmascript',
		),
		'es3'=>array(
			'application/vnd.eszigno3+xml',
		),
		'esa'=>array(
			'application/vnd.osgi.subsystem',
		),
		'escn'=>array(
			'application/x-godot-scene',
		),
		'esf'=>array(
			'application/vnd.epson.esf',
		),
		'espass'=>array(
			'application/vnd.espass-espass+zip',
		),
		'et3'=>array(
			'application/vnd.eszigno3+xml',
		),
		'etheme'=>array(
			'application/x-e-theme',
		),
		'etx'=>array(
			'text/x-setext',
			'text/plain',
		),
		'eva'=>array(
			'application/x-eva',
		),
		'evy'=>array(
			'application/x-envoy',
		),
		'ex'=>array(
			'text/x-elixir',
			'text/plain',
		),
		'exe'=>array(
			'application/x-msdownload',
			'application/octet-stream',
			'application/x-dosexec',
			'application/x-ms-dos-executable',
			'application/x-msdos-program',
		),
		'exi'=>array(
			'application/exi',
		),
		'exp'=>array(
			'application/express',
			'text/plain',
			'text/x-expect',
		),
		'explain'=>array(
			'application/zip',
		),
		'exr'=>array(
			'image/aces',
			'image/x-exr',
		),
		'exs'=>array(
			'text/x-elixir',
			'text/plain',
		),
		'ext'=>array(
			'application/vnd.novadigm.ext',
		),
		'ez'=>array(
			'application/andrew-inset',
		),
		'ez2'=>array(
			'application/vnd.ezpix-album',
		),
		'ez3'=>array(
			'application/vnd.ezpix-package',
		),
		'f'=>array(
			'text/x-fortran',
		),
		'f4a'=>array(
			'audio/mp4',
			'audio/m4a',
			'audio/x-m4a',
		),
		'f4b'=>array(
			'audio/mp4',
			'audio/x-m4b',
		),
		'f4p'=>array(
			'video/mp4',
		),
		'f4v'=>array(
			'video/x-f4v',
			'video/mp4',
			'video/mp4v-es',
			'video/x-m4v',
		),
		'f77'=>array(
			'text/x-fortran',
			'text/plain',
		),
		'f90'=>array(
			'text/x-fortran',
			'text/plain',
		),
		'f95'=>array(
			'text/x-fortran',
			'text/plain',
		),
		'fasl'=>array(
			'text/x-common-lisp',
			'text/plain',
		),
		'fb'=>array(
			'application/x-maker',
		),
		'fb2'=>array(
			'application/x-fictionbook+xml',
			'application/x-fictionbook',
			'application/xml',
		),
		'fbdoc'=>array(
			'application/x-maker',
		),
		'fbs'=>array(
			'image/vnd.fastbidsheet',
		),
		'fcdt'=>array(
			'application/vnd.adobe.formscentral.fcdt',
		),
		'fch'=>array(
			'chemical/x-gaussian-checkpoint',
		),
		'fchk'=>array(
			'chemical/x-gaussian-checkpoint',
		),
		'fcs'=>array(
			'application/vnd.isac.fcs',
		),
		'fd'=>array(
			'application/x-raw-floppy-disk-image',
			'application/x-fd-file',
			'application/x-raw-disk-image',
		),
		'fdf'=>array(
			'application/fdf',
			'application/vnd.fdf',
		),
		'fds'=>array(
			'application/x-fds-disk',
		),
		'fe_launch'=>array(
			'application/vnd.denovo.fcselayout-link',
		),
		'feature'=>array(
			'text/x-gherkin',
			'text/plain',
		),
		'fff'=>array(
			'image/x-raw-imacon',
		),
		'fg5'=>array(
			'application/vnd.fujitsu.oasysgp',
		),
		'fgd'=>array(
			'application/x-director',
		),
		'fh'=>array(
			'image/x-freehand',
		),
		'fh10'=>array(
			'image/x-freehand',
		),
		'fh11'=>array(
			'image/x-freehand',
		),
		'fh12'=>array(
			'image/x-freehand',
		),
		'fh4'=>array(
			'image/x-freehand',
		),
		'fh40'=>array(
			'image/x-freehand',
		),
		'fh5'=>array(
			'image/x-freehand',
		),
		'fh50'=>array(
			'image/x-freehand',
		),
		'fh7'=>array(
			'image/x-freehand',
		),
		'fh8'=>array(
			'image/x-freehand',
		),
		'fh9'=>array(
			'image/x-freehand',
		),
		'fhc'=>array(
			'image/x-freehand',
		),
		'fig'=>array(
			'application/x-xfig',
			'image/x-xfig',
		),
		'finf'=>array(
			'application/fastinfoset',
		),
		'fit'=>array(
			'application/fits',
			'image/fits',
			'image/x-fits',
		),
		'fits'=>array(
			'image/fits',
			'application/fits',
			'image/x-fits',
		),
		'fl'=>array(
			'application/x-fluid',
			'text/plain',
		),
		'fla'=>array(
			'application/vnd.dtg.local.flash',
		),
		'flac'=>array(
			'audio/flac',
			'application/x-flac',
			'audio/x-flac',
		),
		'flatpak'=>array(
			'application/vnd.flatpak',
			'application/vnd.xdgapp',
		),
		'flatpakref'=>array(
			'application/vnd.flatpak.ref',
			'text/plain',
		),
		'flatpakrepo'=>array(
			'application/vnd.flatpak.repo',
			'text/plain',
		),
		'flb'=>array(
			'application/vnd.ficlab.flb+zip',
		),
		'flc'=>array(
			'video/x-flic',
			'video/fli',
			'video/x-flc',
			'video/x-fli',
		),
		'fli'=>array(
			'video/x-fli',
			'video/fli',
			'video/x-flic',
		),
		'flo'=>array(
			'application/vnd.micrografx.flo',
		),
		'flt'=>array(
			'text/vnd.ficlab.flt',
		),
		'flv'=>array(
			'video/x-flv',
			'application/x-flash-video',
			'flv-application/octet-stream',
			'video/flv',
		),
		'flw'=>array(
			'application/vnd.kde.kivio',
			'application/x-kivio',
		),
		'flx'=>array(
			'text/vnd.fmi.flexstor',
		),
		'fly'=>array(
			'text/vnd.fly',
		),
		'fm'=>array(
			'application/vnd.framemaker',
			'application/x-frame',
			'application/x-maker',
		),
		'fn'=>array(
			'text/plain',
		),
		'fnc'=>array(
			'application/vnd.frogans.fnc',
		),
		'fo'=>array(
			'application/vnd.software602.filler.form+xml',
			'application/xml',
			'application/xslfo+xml',
			'text/x-xslfo',
			'text/xsl',
		),
		'fodg'=>array(
			'application/vnd.oasis.opendocument.graphics-flat-xml',
			'application/xml',
		),
		'fodp'=>array(
			'application/vnd.oasis.opendocument.presentation-flat-xml',
			'application/xml',
		),
		'fods'=>array(
			'application/vnd.oasis.opendocument.spreadsheet-flat-xml',
			'application/xml',
		),
		'fodt'=>array(
			'application/vnd.oasis.opendocument.text-flat-xml',
			'application/xml',
		),
		'for'=>array(
			'text/x-fortran',
			'text/plain',
		),
		'fp7'=>array(
			'application/x-filemaker',
		),
		'fpx'=>array(
			'image/vnd.fpx',
		),
		'frame'=>array(
			'application/vnd.framemaker',
			'application/x-maker',
		),
		'frm'=>array(
			'application/vnd.ufdl',
			'application/vnd.xfdl',
			'application/x-maker',
			'text/x-basic',
			'text/x-vbasic',
		),
		'fsc'=>array(
			'application/vnd.fsc.weblaunch',
		),
		'fst'=>array(
			'image/vnd.fst',
		),
		'ft'=>array(
			'text/plain',
		),
		'ft10'=>array(
			'image/x-freehand',
		),
		'ft11'=>array(
			'image/x-freehand',
		),
		'ft12'=>array(
			'image/x-freehand',
		),
		'ft7'=>array(
			'image/x-freehand',
		),
		'ft8'=>array(
			'image/x-freehand',
		),
		'ft9'=>array(
			'image/x-freehand',
		),
		'ftc'=>array(
			'application/vnd.fluxtime.clip',
		),
		'fti'=>array(
			'application/vnd.anser-web-funds-transfer-initiation',
		),
		'fts'=>array(
			'image/fits',
			'application/fits',
			'image/x-fits',
		),
		'fv'=>array(
			'text/plain',
		),
		'fvt'=>array(
			'video/vnd.fvt',
		),
		'fxm'=>array(
			'video/x-javafx',
			'video/x-flv',
		),
		'fxp'=>array(
			'application/vnd.adobe.fxp',
		),
		'fxpl'=>array(
			'application/vnd.adobe.fxp',
		),
		'fzs'=>array(
			'application/vnd.fuzzysheet',
		),
		'g2w'=>array(
			'application/vnd.geoplan',
		),
		'g3'=>array(
			'application/vnd.geocube+xml',
			'image/fax-g3',
			'image/g3fax',
		),
		'g3w'=>array(
			'application/vnd.geospace',
		),
		'gac'=>array(
			'application/vnd.groove-account',
		),
		'gal'=>array(
			'chemical/x-gaussian-log',
		),
		'gam'=>array(
			'application/x-tads',
			'chemical/x-gamess-input',
		),
		'gamin'=>array(
			'chemical/x-gamess-input',
		),
		'gau'=>array(
			'chemical/x-gaussian-input',
		),
		'gb'=>array(
			'application/x-gameboy-rom',
		),
		'gba'=>array(
			'application/x-gba-rom',
		),
		'gbc'=>array(
			'application/x-gameboy-color-rom',
		),
		'gbr'=>array(
			'application/rpki-ghostbusters',
			'application/vnd.gerber',
			'application/vnd.rs-274x',
			'image/x-gimp-gbr',
		),
		'gca'=>array(
			'application/x-gca-compressed',
		),
		'gcd'=>array(
			'text/x-pcs-gcd',
		),
		'gcf'=>array(
			'application/x-graphing-calculator',
		),
		'gcg'=>array(
			'chemical/x-gcg8-sequence',
		),
		'gcode'=>array(
			'text/x.gcode',
			'text/plain',
		),
		'gcrd'=>array(
			'text/vcard',
			'text/directory',
			'text/plain',
			'text/x-vcard',
		),
		'gd'=>array(
			'application/x-gdscript',
			'text/plain',
		),
		'gdi'=>array(
			'application/x-gd-rom-cue',
			'text/plain',
		),
		'gdl'=>array(
			'model/vnd.gdl',
			'model/vnd.gs-gdl',
		),
		'gdshader'=>array(
			'application/x-godot-shader',
			'text/plain',
		),
		'gdz'=>array(
			'application/vnd.familysearch.gedcom+zip',
		),
		'ged'=>array(
			'text/vnd.familysearch.gedcom',
			'application/x-gedcom',
			'text/gedcom',
			'text/plain',
		),
		'gedcom'=>array(
			'application/x-gedcom',
			'text/gedcom',
			'text/plain',
		),
		'gem'=>array(
			'application/x-tar',
			'application/x-gtar',
		),
		'gen'=>array(
			'application/x-genesis-rom',
			'chemical/x-genbank',
		),
		'generally'=>array(
			'text/vnd.fmi.flexstor',
		),
		'genozip'=>array(
			'application/vnd.genozip',
		),
		'geo'=>array(
			'application/vnd.dynageo',
		),
		'geojson'=>array(
			'application/geo+json',
			'application/json',
			'application/vnd.geo+json',
		),
		'gex'=>array(
			'application/vnd.geometry-explorer',
		),
		'gf'=>array(
			'application/x-tex-gf',
		),
		'gff3'=>array(
			'text/gff3',
		),
		'gg'=>array(
			'application/x-gamegear-rom',
		),
		'ggb'=>array(
			'application/vnd.geogebra.file',
		),
		'ggs'=>array(
			'application/vnd.geogebra.slides',
		),
		'ggt'=>array(
			'application/vnd.geogebra.tool',
		),
		'ghf'=>array(
			'application/vnd.groove-help',
		),
		'gif'=>array(
			'image/gif',
		),
		'gih'=>array(
			'image/x-gimp-gih',
		),
		'gim'=>array(
			'application/vnd.groove-identity-message',
		),
		'gjc'=>array(
			'chemical/x-gaussian-input',
		),
		'gjf'=>array(
			'chemical/x-gaussian-input',
		),
		'gl'=>array(
			'video/gl',
		),
		'glade'=>array(
			'application/x-glade',
			'application/xml',
		),
		'glb'=>array(
			'model/gltf-binary',
		),
		'glbin'=>array(
			'application/gltf-buffer',
		),
		'glbuf'=>array(
			'application/gltf-buffer',
		),
		'gltf'=>array(
			'model/gltf+json',
			'application/json',
		),
		'gml'=>array(
			'text/vnd.gml',
			'application/gml+xml',
			'application/xml',
		),
		'gmo'=>array(
			'application/x-gettext-translation',
		),
		'gmx'=>array(
			'application/vnd.gmx',
		),
		'gnc'=>array(
			'application/x-gnucash',
		),
		'gnd'=>array(
			'application/gnunet-directory',
		),
		'gnucash'=>array(
			'application/x-gnucash',
		),
		'gnumakefile'=>array(
			'text/x-makefile',
			'text/plain',
		),
		'gnumeric'=>array(
			'application/x-gnumeric',
			'application/x-gnumeric-spreadsheet',
		),
		'gnuplot'=>array(
			'application/x-gnuplot',
			'text/plain',
		),
		'go'=>array(
			'text/x-go',
			'text/plain',
		),
		'gp'=>array(
			'application/x-gnuplot',
			'text/plain',
		),
		'gpg'=>array(
			'application/pgp-encrypted',
			'application/pgp',
			'application/pgp-keys',
			'application/pgp-signature',
			'text/plain',
		),
		'gph'=>array(
			'application/vnd.flographit',
		),
		'gpkg'=>array(
			'application/geopackage+sqlite3',
		),
		'gpkgtar'=>array(
			'application/vnd.gentoo.gpkg',
		),
		'gplt'=>array(
			'application/x-gnuplot',
			'text/plain',
		),
		'gpt'=>array(
			'chemical/x-mopac-graph',
		),
		'gpx'=>array(
			'application/gpx+xml',
			'application/gpx',
			'application/x-gpx',
			'application/x-gpx+xml',
			'application/xml',
			'text/plain',
		),
		'gqf'=>array(
			'application/vnd.grafeq',
		),
		'gqs'=>array(
			'application/vnd.grafeq',
		),
		'gra'=>array(
			'application/x-graphite',
		),
		'gradle'=>array(
			'text/x-gradle',
			'text/x-groovy',
		),
		'gram'=>array(
			'application/srgs',
		),
		'gramps'=>array(
			'application/x-gramps-xml',
		),
		'grb'=>array(
			'application/x-grib',
		),
		'grb1'=>array(
			'application/x-grib',
		),
		'grb2'=>array(
			'application/x-grib',
		),
		'grd'=>array(
			'application/vnd.gentics.grd+json',
		),
		'gre'=>array(
			'application/vnd.geometry-explorer',
		),
		'grm'=>array(
			'text/plain',
		),
		'groovy'=>array(
			'text/x-groovy',
			'text/plain',
			'text/x-csrc',
		),
		'grv'=>array(
			'application/vnd.groove-injector',
		),
		'grxml'=>array(
			'application/srgs+xml',
		),
		'gs'=>array(
			'text/x-genie',
			'text/plain',
		),
		'gsf'=>array(
			'application/x-font-ghostscript',
			'application/postscript',
			'application/x-font',
			'application/x-font-type1',
		),
		'gsh'=>array(
			'text/x-groovy',
			'text/x-csrc',
		),
		'gsm'=>array(
			'model/vnd.gdl',
			'audio/x-gsm',
			'model/vnd.gs-gdl',
		),
		'gtar'=>array(
			'application/x-gtar',
			'application/x-tar',
		),
		'gtm'=>array(
			'application/vnd.groove-tool-message',
		),
		'gtw'=>array(
			'model/vnd.gtw',
		),
		'gv'=>array(
			'text/vnd.graphviz',
			'text/plain',
		),
		'gvp'=>array(
			'text/x-google-video-pointer',
			'text/google-video-pointer',
			'text/plain',
		),
		'gvy'=>array(
			'text/x-groovy',
			'text/x-csrc',
		),
		'gx'=>array(
			'text/x-gcode-gx',
		),
		'gxf'=>array(
			'application/gxf',
		),
		'gxt'=>array(
			'application/vnd.geonext',
		),
		'gy'=>array(
			'text/x-groovy',
			'text/x-csrc',
		),
		'gz'=>array(
			'application/gzip',
			'application/gzip-compressed',
			'application/gzipped',
			'application/x-gunzip',
			'application/x-gzip',
			'application/x-gzip-compressed',
			'gzip/document',
		),
		'gzip'=>array(
			'application/x-gzip',
		),
		'h'=>array(
			'text/x-c',
			'text/plain',
			'text/x-c+hdr',
			'text/x-chdr',
		),
		'h261'=>array(
			'video/h261',
		),
		'h263'=>array(
			'video/h263',
		),
		'h264'=>array(
			'video/h264',
		),
		'h4'=>array(
			'application/x-hdf',
		),
		'h5'=>array(
			'application/mipc',
			'application/sipc',
			'application/x-hdf',
		),
		'hal'=>array(
			'application/vnd.hal+xml',
		),
		'haml'=>array(
			'text/x-haml',
			'text/plain',
		),
		'handlers'=>array(
			'text/plain',
		),
		'hans'=>array(
			'text/vnd.hans',
		),
		'hbci'=>array(
			'application/vnd.hbci',
		),
		'hdf'=>array(
			'application/x-hdf',
		),
		'hdf4'=>array(
			'application/x-hdf',
		),
		'hdf5'=>array(
			'application/x-hdf',
		),
		'hdr'=>array(
			'image/vnd.radiance',
			'application/envi.hdr',
		),
		'hdt'=>array(
			'application/vnd.hdt',
		),
		'he5'=>array(
			'application/x-hdf',
		),
		'heic'=>array(
			'image/heic',
			'image/heic-sequence',
			'image/heif',
			'image/heif-sequence',
			'image/hevc',
		),
		'heif'=>array(
			'image/heif',
			'image/avif',
			'image/heic',
			'image/heic-sequence',
			'image/heif-sequence',
			'video/quicktime',
		),
		'heifs'=>array(
			'image/heif-sequence',
			'image/avif',
			'image/heic-sequence',
		),
		'hej2'=>array(
			'image/hej2k',
		),
		'held'=>array(
			'application/atsc-held+xml',
		),
		'heldxml'=>array(
			'application/held+xml',
		),
		'hfa'=>array(
			'application/x-erdas-hfa',
		),
		'hfe'=>array(
			'application/x-hfe-floppy-image',
			'application/x-hfe-file',
		),
		'hgl'=>array(
			'text/vnd.hgl',
		),
		'hh'=>array(
			'text/x-c+hdr',
			'text/plain',
			'text/x-c',
			'text/x-chdr',
		),
		'hif'=>array(
			'image/avif',
			'image/heic',
			'image/heic-sequence',
			'image/heif',
			'image/heif-sequence',
		),
		'hin'=>array(
			'chemical/x-hin',
		),
		'hlp'=>array(
			'application/winhlp',
			'zz-application/zz-winassoc-hlp',
		),
		'hp'=>array(
			'text/x-c+hdr',
			'text/plain',
			'text/x-chdr',
		),
		'hpgl'=>array(
			'application/vnd.hp-hpgl',
		),
		'hpi'=>array(
			'application/vnd.hp-hpid',
		),
		'hpid'=>array(
			'application/vnd.hp-hpid',
		),
		'hpp'=>array(
			'text/x-c+hdr',
			'text/plain',
			'text/x-chdr',
		),
		'hps'=>array(
			'application/vnd.hp-hps',
		),
		'hpub'=>array(
			'application/prs.hpub+zip',
		),
		'hqx'=>array(
			'application/mac-binhex40',
			'application/binhex',
			'application/mac-binhex',
		),
		'hs'=>array(
			'text/x-haskell',
			'text/plain',
		),
		'hsj2'=>array(
			'image/hsj2',
		),
		'hsl'=>array(
			'application/vnd.hsl',
		),
		'hta'=>array(
			'application/hta',
		),
		'htaccess'=>array(
			'text/plain',
		),
		'htc'=>array(
			'text/x-component',
			'text/plain',
		),
		'htke'=>array(
			'application/vnd.kenameaapp',
		),
		'htm'=>array(
			'text/html',
			'application/xhtml+xml',
			'application/xml',
			'text/plain',
		),
		'html'=>array(
			'text/html',
			'application/vnd.dtg.local.html',
			'application/xhtml+xml',
			'application/xml',
			'text/plain',
		),
		'hvd'=>array(
			'application/vnd.yamaha.hv-dic',
		),
		'hvp'=>array(
			'application/vnd.yamaha.hv-voice',
		),
		'hvs'=>array(
			'application/vnd.yamaha.hv-script',
		),
		'hwp'=>array(
			'application/x-hwp',
			'application/vnd.haansoft-hwp',
		),
		'hwt'=>array(
			'application/x-hwt',
			'application/vnd.haansoft-hwt',
		),
		'hx'=>array(
			'text/x-haxe',
			'text/plain',
		),
		'hxx'=>array(
			'text/x-c+hdr',
			'text/plain',
			'text/x-chdr',
		),
		'i2g'=>array(
			'application/vnd.intergeo',
		),
		'i3'=>array(
			'text/x-modula',
			'text/plain',
		),
		'ibooks'=>array(
			'application/x-ibooks+zip',
			'application/epub+zip',
		),
		'ic'=>array(
			'application/vnd.commerce-battelle',
		),
		'ica'=>array(
			'application/vnd.commerce-battelle',
			'application/x-ica',
			'text/plain',
		),
		'icb'=>array(
			'image/x-tga',
			'application/tga',
			'application/x-targa',
			'application/x-tga',
			'image/targa',
			'image/tga',
			'image/x-icb',
			'image/x-targa',
		),
		'icc'=>array(
			'application/vnd.iccprofile',
			'application/vnd.commerce-battelle',
		),
		'icd'=>array(
			'application/vnd.commerce-battelle',
		),
		'ice'=>array(
			'x-conference/x-cooltalk',
		),
		'icf'=>array(
			'application/vnd.commerce-battelle',
		),
		'icm'=>array(
			'application/vnd.iccprofile',
		),
		'icns'=>array(
			'image/x-icns',
			'image/icns',
		),
		'ico'=>array(
			'image/vnd.microsoft.icon',
			'application/ico',
			'image/ico',
			'image/icon',
			'image/x-ico',
			'image/x-icon',
			'text/ico',
		),
		'ics'=>array(
			'text/calendar',
			'application/ics',
			'text/plain',
			'text/x-vcalendar',
		),
		'icz'=>array(
			'text/calendar',
		),
		'idl'=>array(
			'text/x-idl',
			'text/plain',
		),
		'ief'=>array(
			'image/ief',
		),
		'ifb'=>array(
			'text/calendar',
			'text/plain',
		),
		'ifc'=>array(
			'application/p21',
		),
		'iff'=>array(
			'image/x-ilbm',
			'application/x-iff',
			'image/x-iff',
		),
		'ifm'=>array(
			'application/vnd.shana.informed.formdata',
		),
		'ig'=>array(
			'text/x-modula',
			'text/plain',
		),
		'iges'=>array(
			'model/iges',
			'text/plain',
		),
		'igl'=>array(
			'application/vnd.igloader',
		),
		'igm'=>array(
			'application/vnd.insors.igm',
		),
		'ign'=>array(
			'application/vnd.coreos.ignition+json',
		),
		'ignition'=>array(
			'application/vnd.coreos.ignition+json',
		),
		'igs'=>array(
			'model/iges',
			'text/plain',
		),
		'igx'=>array(
			'application/vnd.micrografx.igx',
		),
		'ihtml'=>array(
			'text/plain',
		),
		'iif'=>array(
			'application/vnd.shana.informed.interchange',
		),
		'iii'=>array(
			'application/x-iphone',
		),
		'iiq'=>array(
			'image/x-raw-phaseone',
		),
		'ilbm'=>array(
			'image/x-ilbm',
			'application/x-iff',
			'image/x-iff',
		),
		'ime'=>array(
			'text/x-imelody',
			'audio/imelody',
			'audio/x-imelody',
			'text/plain',
		),
		'imf'=>array(
			'application/vnd.imagemeter.folder+zip',
		),
		'img'=>array(
			'application/x-raw-disk-image',
			'application/octet-stream',
		),
		'imgcal'=>array(
			'application/vnd.3lightssoftware.imagescal',
		),
		'imi'=>array(
			'application/vnd.imagemeter.image+zip',
		),
		'imp'=>array(
			'application/vnd.accpac.simply.imp',
		),
		'ims'=>array(
			'application/vnd.ms-ims',
		),
		'imscc'=>array(
			'application/vnd.ims.imsccv1p2',
			'application/vnd.ims.imsccv1p3',
		),
		'imy'=>array(
			'text/x-imelody',
			'audio/imelody',
			'audio/x-imelody',
			'text/plain',
		),
		'in'=>array(
			'text/plain',
		),
		'indd'=>array(
			'application/x-adobe-indesign',
		),
		'ini'=>array(
			'text/x-ini',
			'text/plain',
		),
		'ink'=>array(
			'application/inkml+xml',
		),
		'inkml'=>array(
			'application/inkml+xml',
		),
		'inp'=>array(
			'chemical/x-gamess-input',
		),
		'ins'=>array(
			'text/x-tex',
			'application/x-internet-signup',
			'application/x-tex',
			'text/plain',
		),
		'install'=>array(
			'text/plain',
			'application/x-install-instructions',
			'text/x-install',
		),
		'inx'=>array(
			'application/x-adobe-indesign-interchange',
			'application/xml',
		),
		'iota'=>array(
			'application/vnd.astraea-software.iota',
		),
		'ipa'=>array(
			'application/x-itunes-ipa',
			'application/zip',
		),
		'ipfix'=>array(
			'application/ipfix',
		),
		'ipk'=>array(
			'application/vnd.shana.informed.package',
		),
		'ips'=>array(
			'application/x-ips-patch',
		),
		'iptables'=>array(
			'text/x-iptables',
			'text/plain',
		),
		'ipynb'=>array(
			'application/x-ipynb+json',
			'application/json',
		),
		'irm'=>array(
			'application/vnd.ibm.rights-management',
		),
		'irp'=>array(
			'application/vnd.irepository.package+xml',
		),
		'ism'=>array(
			'model/vnd.gdl',
			'model/vnd.gs-gdl',
		),
		'iso'=>array(
			'application/x-iso9660-image',
			'application/octet-stream',
			'application/x-cd-image',
			'application/x-dreamcast-rom',
			'application/x-gamecube-iso-image',
			'application/x-gamecube-rom',
			'application/x-raw-disk-image',
			'application/x-saturn-rom',
			'application/x-sega-cd-rom',
			'application/x-sega-pico-rom',
			'application/x-wbfs',
			'application/x-wia',
			'application/x-wii-iso-image',
			'application/x-wii-rom',
		),
		'iso19139'=>array(
			'text/iso19139+xml',
			'application/xml',
		),
		'iso9660'=>array(
			'application/x-cd-image',
			'application/x-iso9660-image',
			'application/x-raw-disk-image',
		),
		'isp'=>array(
			'application/x-internet-signup',
		),
		'ist'=>array(
			'chemical/x-isostar',
		),
		'istc'=>array(
			'application/vnd.veryant.thin',
		),
		'istr'=>array(
			'chemical/x-isostar',
		),
		'isws'=>array(
			'application/vnd.veryant.thin',
		),
		'it'=>array(
			'audio/x-it',
		),
		'it87'=>array(
			'application/x-it87',
			'text/plain',
		),
		'itk'=>array(
			'text/x-tcl',
			'application/x-tcl',
			'text/plain',
		),
		'itp'=>array(
			'application/vnd.shana.informed.formtemplate',
		),
		'its'=>array(
			'application/its+xml',
		),
		'ivf'=>array(
			'video/x-ivf',
		),
		'ivp'=>array(
			'application/vnd.immervision-ivp',
		),
		'ivu'=>array(
			'application/vnd.immervision-ivu',
		),
		'j2c'=>array(
			'image/x-jp2-codestream',
		),
		'j2k'=>array(
			'image/x-jp2-codestream',
		),
		'jad'=>array(
			'text/vnd.sun.j2me.app-descriptor',
			'text/plain',
		),
		'jam'=>array(
			'application/vnd.jam',
		),
		'jar'=>array(
			'application/vnd.osgi.bundle',
			'application/java-archive',
			'application/x-jar',
			'application/x-java-archive',
			'application/zip',
		),
		'jardiff'=>array(
			'application/x-java-archive-diff',
		),
		'java'=>array(
			'text/x-java',
			'text/plain',
			'text/x-csrc',
			'text/x-java-source',
		),
		'jb2'=>array(
			'image/x-jbig2',
			'image/x-jb2',
		),
		'jbig2'=>array(
			'image/x-jbig2',
			'image/x-jb2',
		),
		'jceks'=>array(
			'application/x-java-jce-keystore',
		),
		'jdx'=>array(
			'chemical/x-jcamp-dx',
		),
		'jfi'=>array(
			'image/jpeg',
		),
		'jfif'=>array(
			'image/jpeg',
		),
		'jhc'=>array(
			'image/jphc',
		),
		'jif'=>array(
			'image/jpeg',
		),
		'jisp'=>array(
			'application/vnd.jisp',
		),
		'jks'=>array(
			'application/x-java-keystore',
		),
		'jl'=>array(
			'text/plain',
			'text/julia',
			'text/x-common-lisp',
		),
		'jls'=>array(
			'image/jls',
		),
		'jlt'=>array(
			'application/vnd.hp-jlyt',
		),
		'jmx'=>array(
			'text/plain',
		),
		'jmz'=>array(
			'application/x-jmol',
		),
		'jng'=>array(
			'image/x-jng',
			'video/x-jng',
		),
		'jnilib'=>array(
			'application/x-java-jnilib',
		),
		'jnlp'=>array(
			'application/x-java-jnlp-file',
			'application/xml',
		),
		'joda'=>array(
			'application/vnd.joost.joda-archive',
		),
		'jp2'=>array(
			'image/jpx',
			'image/jp2',
			'image/jpeg2000',
			'image/jpeg2000-image',
			'image/x-jp2-container',
			'image/x-jpeg2000-image',
		),
		'jpc'=>array(
			'image/x-jp2-codestream',
		),
		'jpe'=>array(
			'image/jpeg',
			'image/pjpeg',
		),
		'jpeg'=>array(
			'image/jpeg',
			'image/pjpeg',
		),
		'jpf'=>array(
			'image/jpx',
			'image/jp2',
			'image/jpeg2000',
			'image/jpeg2000-image',
			'image/x-jp2-container',
		),
		'jpg'=>array(
			'image/jpeg',
			'image/pjpeg',
		),
		'jpg2'=>array(
			'image/jp2',
			'image/jpeg2000',
			'image/jpeg2000-image',
			'image/x-jpeg2000-image',
		),
		'jpgm'=>array(
			'video/jpm',
			'image/jpm',
			'image/x-jp2-container',
		),
		'jpgv'=>array(
			'video/jpeg',
		),
		'jph'=>array(
			'image/jph',
		),
		'jpm'=>array(
			'video/jpm',
			'image/jpm',
			'image/x-jp2-container',
		),
		'jpr'=>array(
			'application/x-jbuilder-project',
		),
		'jpx'=>array(
			'image/jpx',
			'application/x-jbuilder-project',
			'image/jp2',
			'image/jpeg2000',
			'image/jpeg2000-image',
		),
		'jrd'=>array(
			'application/jrd+json',
			'application/json',
		),
		'js'=>array(
			'application/javascript',
			'application/ecmascript',
			'application/node',
			'application/x-javascript',
			'text/javascript',
			'text/plain',
		),
		'jsm'=>array(
			'text/javascript',
			'application/ecmascript',
			'application/javascript',
			'application/x-javascript',
		),
		'json'=>array(
			'application/json',
			'application/city+json',
			'application/csvm+json',
			'application/dicom+json',
			'application/emergencycalldata.legacyesn+json',
			'application/geo+json',
			'application/javascript',
			'application/jf2feed+json',
			'application/schema+json',
			'application/vnd.amadeus+json',
			'application/vnd.api+json',
			'application/vnd.aplextor.warrp+json',
			'application/vnd.avalon+json',
			'application/vnd.bekitzur-stech+json',
			'application/vnd.byu.uapi+json',
			'application/vnd.capasystems-pg+json',
			'application/vnd.cncf.helm.config.v1+json',
			'application/vnd.collection+json',
			'application/vnd.collection.doc+json',
			'application/vnd.collection.next+json',
			'application/vnd.cryptii.pipe+json',
			'application/vnd.cyclonedx+json',
			'application/vnd.d3m-dataset',
			'application/vnd.d3m-problem',
			'application/vnd.datapackage+json',
			'application/vnd.dataresource+json',
			'application/vnd.drive+json',
			'application/vnd.eclipse.ditto+json',
			'application/vnd.geo+json',
			'application/vnd.hal+json',
			'application/vnd.hc+json',
			'application/vnd.heroku+json',
			'application/vnd.hyper+json',
			'application/vnd.hyper-item+json',
			'application/vnd.hyperdrive+json',
			'application/vnd.ims.lis.v2.result+json',
			'application/vnd.ims.lti.v2.toolconsumerprofile+json',
			'application/vnd.ims.lti.v2.toolproxy+json',
			'application/vnd.ims.lti.v2.toolproxy.id+json',
			'application/vnd.ims.lti.v2.toolsettings+json',
			'application/vnd.ims.lti.v2.toolsettings.simple+json',
			'application/vnd.infotech.project',
			'application/vnd.ipld.dag-json',
			'application/vnd.leap+json',
			'application/vnd.mason+json',
			'application/vnd.micro+json',
			'application/vnd.miele+json',
			'application/vnd.nacamar.ybrid+json',
			'application/vnd.nearst.inv+json',
			'application/vnd.oftn.l10n+json',
			'application/vnd.oracle.resource+json',
			'application/vnd.restful+json',
			'application/vnd.seis+json',
			'application/vnd.shootproof+json',
			'application/vnd.siren+json',
			'application/vnd.tableschema+json',
			'application/vnd.vel+json',
			'application/vnd.veritone.aion+json',
			'application/vnd.xacml+json',
			'application/webpush-options+json',
			'text/javascript',
		),
		'json-patch'=>array(
			'application/json-patch+json',
			'application/json',
		),
		'jsonld'=>array(
			'application/ld+json',
			'application/json',
			'application/vnd.ims.lis.v2.result+json',
			'application/vnd.ims.lti.v2.toolconsumerprofile+json',
			'application/vnd.ims.lti.v2.toolproxy+json',
			'application/vnd.ims.lti.v2.toolproxy.id+json',
			'application/vnd.ims.lti.v2.toolsettings+json',
			'application/vnd.ims.lti.v2.toolsettings.simple+json',
		),
		'jsonml'=>array(
			'application/jsonml+json',
		),
		'jsontd'=>array(
			'application/td+json',
		),
		'jsontm'=>array(
			'application/tm+json',
		),
		'jsp'=>array(
			'text/x-jsp',
			'application/x-httpd-jsp',
			'text/plain',
		),
		'jt'=>array(
			'model/jt',
		),
		'jtd'=>array(
			'text/vnd.esmertec.theme-descriptor',
		),
		'junit'=>array(
			'text/plain',
		),
		'jx'=>array(
			'text/plain',
		),
		'jxl'=>array(
			'image/jxl',
		),
		'jxr'=>array(
			'image/jxr',
		),
		'jxra'=>array(
			'image/jxra',
		),
		'jxrs'=>array(
			'image/jxrs',
		),
		'jxs'=>array(
			'image/jxs',
		),
		'jxsc'=>array(
			'image/jxsc',
		),
		'jxsi'=>array(
			'image/jxsi',
		),
		'jxss'=>array(
			'image/jxss',
		),
		'k25'=>array(
			'image/x-kodak-k25',
			'image/x-dcraw',
			'image/x-raw-kodak',
		),
		'k7'=>array(
			'application/x-thomson-cassette',
		),
		'kar'=>array(
			'audio/midi',
			'audio/x-midi',
		),
		'karbon'=>array(
			'application/vnd.kde.karbon',
			'application/x-karbon',
		),
		'kcm'=>array(
			'application/vnd.nervana',
		),
		'kdc'=>array(
			'image/x-kodak-kdc',
			'image/x-dcraw',
			'image/x-raw-kodak',
		),
		'kdelnk'=>array(
			'application/x-desktop',
			'application/x-gnome-app-info',
			'text/plain',
		),
		'kexi'=>array(
			'application/x-kexiproject-sqlite2',
			'application/vnd.sqlite3',
			'application/x-kexiproject-sqlite',
			'application/x-kexiproject-sqlite3',
			'application/x-sqlite2',
			'application/x-vnd.kde.kexi',
		),
		'kexic'=>array(
			'application/x-kexi-connectiondata',
		),
		'kexis'=>array(
			'application/x-kexiproject-shortcut',
		),
		'key'=>array(
			'application/vnd.apple.keynote',
			'application/pgp-keys',
			'application/vnd.apple.iwork',
			'application/x-iwork-keynote-sffkey',
			'application/zip',
			'text/plain',
		),
		'keys'=>array(
			'text/plain',
		),
		'kfo'=>array(
			'application/vnd.kde.kformula',
			'application/x-kformula',
		),
		'kfx'=>array(
			'application/vnd.amazon.mobi8-ebook',
			'application/x-mobi8-ebook',
			'application/x-mobipocket-ebook',
		),
		'kia'=>array(
			'application/vnd.kidspiration',
		),
		'kil'=>array(
			'application/x-killustrator',
		),
		'kin'=>array(
			'chemical/x-kinemage',
		),
		'kino'=>array(
			'application/smil+xml',
			'application/smil',
			'application/xml',
		),
		'kml'=>array(
			'application/vnd.google-earth.kml+xml',
			'application/xml',
		),
		'kmz'=>array(
			'application/vnd.google-earth.kmz',
			'application/zip',
		),
		'kne'=>array(
			'application/vnd.kinar',
		),
		'knp'=>array(
			'application/vnd.kinar',
		),
		'kon'=>array(
			'application/vnd.kde.kontour',
			'application/x-kontour',
		),
		'koz'=>array(
			'audio/vnd.audiokoz',
		),
		'kpm'=>array(
			'application/x-kpovmodeler',
		),
		'kpr'=>array(
			'application/x-kpresenter',
			'application/vnd.kde.kpresenter',
		),
		'kpt'=>array(
			'application/x-kpresenter',
			'application/vnd.kde.kpresenter',
		),
		'kpxx'=>array(
			'application/vnd.ds-keypoint',
		),
		'kra'=>array(
			'application/x-krita',
		),
		'krz'=>array(
			'application/x-krita',
		),
		'ks'=>array(
			'application/x-java-keystore',
		),
		'ksp'=>array(
			'application/x-kspread',
			'application/vnd.kde.kspread',
		),
		'ksy'=>array(
			'text/x-kaitai-struct',
			'application/x-yaml',
		),
		'kt'=>array(
			'text/x-kotlin',
			'text/plain',
		),
		'ktr'=>array(
			'application/vnd.kahootz',
		),
		'ktx'=>array(
			'image/ktx',
		),
		'ktx2'=>array(
			'image/ktx2',
		),
		'ktz'=>array(
			'application/vnd.kahootz',
		),
		'kud'=>array(
			'application/x-kugar',
		),
		'kwd'=>array(
			'application/x-kword',
			'application/vnd.kde.kword',
		),
		'kwt'=>array(
			'application/x-kword',
			'application/vnd.kde.kword',
		),
		'la'=>array(
			'application/x-shared-library-la',
			'text/plain',
		),
		'las'=>array(
			'application/vnd.las',
		),
		'lasjson'=>array(
			'application/vnd.las.las+json',
		),
		'lasxml'=>array(
			'application/vnd.las.las+xml',
		),
		'latex'=>array(
			'application/x-latex',
			'application/x-tex',
			'text/plain',
			'text/x-tex',
		),
		'laz'=>array(
			'application/vnd.laszip',
		),
		'lbd'=>array(
			'application/vnd.llamagraphics.life-balance.desktop',
		),
		'lbe'=>array(
			'application/vnd.llamagraphics.life-balance.exchange+xml',
		),
		'lbm'=>array(
			'image/x-ilbm',
			'application/x-iff',
			'image/x-iff',
		),
		'lca'=>array(
			'application/vnd.logipipe.circuit+zip',
		),
		'lcs'=>array(
			'application/vnd.logipipe.circuit+zip',
		),
		'ldif'=>array(
			'text/x-ldif',
			'text/plain',
		),
		'le'=>array(
			'application/vnd.bluetooth.le.oob',
		),
		'les'=>array(
			'application/vnd.hhe.lesson-player',
		),
		'less'=>array(
			'text/x-less',
			'text/plain',
		),
		'lgr'=>array(
			'application/lgr+xml',
		),
		'lha'=>array(
			'application/x-lzh-compressed',
			'application/octet-stream',
			'application/x-lha',
		),
		'lhs'=>array(
			'text/x-literate-haskell',
			'text/plain',
			'text/x-haskell',
		),
		'lhz'=>array(
			'application/x-lhz',
		),
		'lhzd'=>array(
			'application/vnd.belightsoft.lhzd+zip',
		),
		'lhzl'=>array(
			'application/vnd.belightsoft.lhzl+zip',
		),
		'license'=>array(
			'text/plain',
		),
		'line'=>array(
			'application/vnd.nebumind.line',
		),
		'link66'=>array(
			'application/vnd.route66.link66+xml',
		),
		'lisp'=>array(
			'text/x-common-lisp',
			'text/plain',
		),
		'list'=>array(
			'text/plain',
		),
		'list3820'=>array(
			'application/vnd.ibm.modcap',
			'application/vnd.afpc.modca',
		),
		'listafp'=>array(
			'application/vnd.ibm.modcap',
			'application/vnd.afpc.modca',
		),
		'lmp'=>array(
			'model/vnd.gdl',
			'model/vnd.gs-gdl',
		),
		'lnk'=>array(
			'application/x-ms-shortcut',
		),
		'lnx'=>array(
			'application/x-atari-lynx-rom',
		),
		'loas'=>array(
			'audio/usac',
		),
		'log'=>array(
			'text/plain',
			'text/x-log',
		),
		'loom'=>array(
			'application/vnd.loom',
		),
		'lostsyncxml'=>array(
			'application/lostsync+xml',
		),
		'lostxml'=>array(
			'application/lost+xml',
		),
		'lrf'=>array(
			'application/octet-stream',
		),
		'lrm'=>array(
			'application/vnd.ms-lrm',
		),
		'lrv'=>array(
			'video/mp4',
			'video/mp4v-es',
			'video/x-m4v',
		),
		'lrz'=>array(
			'application/x-lrzip',
		),
		'lsf'=>array(
			'video/x-la-asf',
		),
		'lsp'=>array(
			'text/x-common-lisp',
			'text/plain',
		),
		'lsx'=>array(
			'video/x-la-asf',
		),
		'ltf'=>array(
			'application/vnd.frogans.ltf',
		),
		'ltx'=>array(
			'text/x-tex',
			'application/x-tex',
			'text/plain',
		),
		'lua'=>array(
			'text/x-lua',
			'application/x-executable',
			'text/plain',
		),
		'lvp'=>array(
			'audio/vnd.lucent.voice',
		),
		'lwo'=>array(
			'image/x-lwo',
		),
		'lwob'=>array(
			'image/x-lwo',
		),
		'lwp'=>array(
			'application/vnd.lotus-wordpro',
		),
		'lws'=>array(
			'image/x-lws',
		),
		'lxf'=>array(
			'application/lxf',
		),
		'ly'=>array(
			'text/x-lilypond',
			'text/plain',
		),
		'lyx'=>array(
			'application/x-lyx',
			'text/plain',
			'text/x-lyx',
		),
		'lz'=>array(
			'application/x-lzip',
		),
		'lz4'=>array(
			'application/x-lz4',
		),
		'lzh'=>array(
			'application/x-lzh-compressed',
			'application/octet-stream',
			'application/x-lha',
			'application/x-lzh',
		),
		'lzma'=>array(
			'application/x-lzma',
		),
		'lzo'=>array(
			'application/x-lzop',
		),
		'lzx'=>array(
			'application/x-lzx',
		),
		'm13'=>array(
			'application/x-msmediaview',
		),
		'm14'=>array(
			'application/x-msmediaview',
		),
		'm15'=>array(
			'audio/x-mod',
		),
		'm1u'=>array(
			'video/vnd.mpegurl',
			'text/plain',
			'video/x-mpegurl',
		),
		'm1v'=>array(
			'video/mpeg',
		),
		'm21'=>array(
			'application/mp21',
		),
		'm2a'=>array(
			'audio/mpeg',
			'audio/x-mpeg',
		),
		'm2t'=>array(
			'video/mp2t',
		),
		'm2ts'=>array(
			'video/mp2t',
		),
		'm2v'=>array(
			'video/mpeg',
		),
		'm3'=>array(
			'text/x-modula',
			'text/plain',
		),
		'm3a'=>array(
			'audio/mpeg',
			'audio/x-mpeg',
		),
		'm3u'=>array(
			'application/vnd.apple.mpegurl',
			'application/m3u',
			'audio/m3u',
			'audio/mpegurl',
			'audio/x-m3u',
			'audio/x-mp3-playlist',
			'audio/x-mpegurl',
			'text/plain',
		),
		'm3u8'=>array(
			'application/vnd.apple.mpegurl',
			'application/m3u',
			'audio/m3u',
			'audio/mpegurl',
			'audio/x-m3u',
			'audio/x-mp3-playlist',
			'audio/x-mpegurl',
			'text/plain',
		),
		'm4'=>array(
			'text/plain',
			'application/x-m4',
		),
		'm4a'=>array(
			'audio/mp4',
			'application/quicktime',
			'audio/m4a',
			'audio/mpeg',
			'audio/x-m4a',
			'audio/x-mp4a',
		),
		'm4b'=>array(
			'audio/mp4',
			'application/quicktime',
			'audio/mpeg',
			'audio/x-m4a',
			'audio/x-m4b',
			'audio/x-mp4a',
		),
		'm4r'=>array(
			'audio/x-m4r',
			'video/mp4',
		),
		'm4s'=>array(
			'video/iso.segment',
			'video/quicktime',
		),
		'm4u'=>array(
			'video/vnd.mpegurl',
			'text/plain',
			'video/x-mpegurl',
		),
		'm4v'=>array(
			'video/mp4',
			'video/mp4v-es',
			'video/x-ivf',
			'video/x-m4v',
		),
		'm7'=>array(
			'application/x-thomson-cartridge-memo7',
		),
		'ma'=>array(
			'application/mathematica',
			'text/plain',
		),
		'mab'=>array(
			'application/x-markaby',
			'application/x-ruby',
		),
		'mads'=>array(
			'application/mads+xml',
		),
		'maei'=>array(
			'application/mmt-aei+xml',
		),
		'mag'=>array(
			'application/vnd.ecowin.chart',
		),
		'mak'=>array(
			'text/x-makefile',
			'text/plain',
		),
		'makefile'=>array(
			'text/x-makefile',
			'text/plain',
		),
		'maker'=>array(
			'application/vnd.framemaker',
			'application/x-maker',
		),
		'man'=>array(
			'application/x-troff-man',
			'application/x-troff',
			'application/x-troff-me',
			'application/x-troff-ms',
			'text/plain',
			'text/troff',
		),
		'manifest'=>array(
			'text/plain',
			'text/cache-manifest',
		),
		'mar'=>array(
			'application/octet-stream',
		),
		'markdown'=>array(
			'text/markdown',
			'text/plain',
			'text/x-markdown',
			'text/x-web-markdown',
		),
		'mat'=>array(
			'application/x-matlab-data',
			'application/matlab-mat',
		),
		'mathml'=>array(
			'application/mathml+xml',
		),
		'mb'=>array(
			'application/mathematica',
			'text/plain',
		),
		'mbk'=>array(
			'application/vnd.mobius.mbk',
		),
		'mbox'=>array(
			'application/mbox',
			'text/plain',
		),
		'mc1'=>array(
			'application/vnd.medcalcdata',
		),
		'mc2'=>array(
			'text/vnd.senx.warpscript',
			'text/plain',
		),
		'mcd'=>array(
			'application/vnd.mcd',
			'application/vnd.vectorworks',
		),
		'mcif'=>array(
			'chemical/x-mmcif',
		),
		'mcm'=>array(
			'chemical/x-macmolecule',
		),
		'mcurl'=>array(
			'text/vnd.curl.mcurl',
		),
		'md'=>array(
			'text/markdown',
			'text/plain',
			'text/x-markdown',
			'text/x-web-markdown',
		),
		'mdb'=>array(
			'application/x-msaccess',
			'application/mdb',
			'application/msaccess',
			'application/vnd.ms-access',
			'application/vnd.msaccess',
			'application/x-mdb',
			'zz-application/zz-winassoc-mdb',
		),
		'mdc'=>array(
			'application/vnd.marlin.drm.mdcf',
		),
		'mdi'=>array(
			'image/vnd.ms-modi',
		),
		'mdo'=>array(
			'text/plain',
		),
		'mdtext'=>array(
			'text/x-web-markdown',
			'text/plain',
		),
		'mdx'=>array(
			'application/x-genesis-32x-rom',
		),
		'me'=>array(
			'text/troff',
			'application/x-troff',
			'application/x-troff-man',
			'application/x-troff-me',
			'application/x-troff-ms',
			'text/plain',
			'text/x-troff-me',
		),
		'med'=>array(
			'audio/x-mod',
		),
		'mef'=>array(
			'image/x-raw-mamiya',
		),
		'memgraph'=>array(
			'application/x-memgraph',
			'application/x-bplist',
		),
		'mesh'=>array(
			'model/mesh',
		),
		'meta'=>array(
			'text/plain',
		),
		'meta4'=>array(
			'application/metalink4+xml',
			'application/xml',
		),
		'metalink'=>array(
			'application/metalink+xml',
			'application/xml',
		),
		'mets'=>array(
			'application/mets+xml',
		),
		'mf'=>array(
			'text/plain',
		),
		'mf4'=>array(
			'application/mf4',
		),
		'mfm'=>array(
			'application/vnd.mfmp',
		),
		'mft'=>array(
			'application/rpki-manifest',
		),
		'mg'=>array(
			'text/x-modula',
			'text/plain',
		),
		'mgp'=>array(
			'application/vnd.osgeo.mapguide.package',
			'application/x-magicpoint',
			'text/plain',
		),
		'mgz'=>array(
			'application/vnd.proteus.magazine',
		),
		'mhas'=>array(
			'audio/mhas',
		),
		'mht'=>array(
			'application/x-mimearchive',
			'message/rfc2557',
			'message/rfc822',
			'multipart/related',
		),
		'mhtml'=>array(
			'application/x-mimearchive',
			'message/rfc2557',
			'message/rfc822',
			'multipart/related',
		),
		'mid'=>array(
			'audio/midi',
			'audio/sp-midi',
			'audio/x-midi',
		),
		'midi'=>array(
			'audio/midi',
			'audio/x-midi',
		),
		'mie'=>array(
			'application/x-mie',
		),
		'mif'=>array(
			'application/x-mif',
			'application/vnd.mif',
			'application/x-frame',
		),
		'mime'=>array(
			'message/rfc822',
		),
		'minipsf'=>array(
			'audio/x-minipsf',
			'audio/x-psf',
		),
		'miz'=>array(
			'text/mizar',
		),
		'mj2'=>array(
			'video/mj2',
			'image/x-jp2-container',
		),
		'mjp2'=>array(
			'video/mj2',
			'image/x-jp2-container',
		),
		'mjpeg'=>array(
			'video/x-mjpeg',
			'image/jpeg',
		),
		'mjpg'=>array(
			'video/x-mjpeg',
			'image/jpeg',
		),
		'mjs'=>array(
			'javascript/module',
			'application/ecmascript',
			'application/javascript',
			'application/x-javascript',
			'text/ecmascript',
			'text/javascript',
		),
		'mk'=>array(
			'text/x-makefile',
			'text/plain',
		),
		'mk3d'=>array(
			'video/x-matroska',
			'application/x-matroska',
			'video/x-matroska-3d',
		),
		'mka'=>array(
			'audio/x-matroska',
			'application/x-matroska',
		),
		'mkd'=>array(
			'text/plain',
			'text/markdown',
			'text/x-markdown',
			'text/x-web-markdown',
		),
		'mks'=>array(
			'video/x-matroska',
		),
		'mkv'=>array(
			'video/x-matroska',
			'application/x-matroska',
		),
		'ml'=>array(
			'text/plain',
			'text/x-ml',
			'text/x-ocaml',
		),
		'ml2'=>array(
			'application/vnd.sybyl.mol2',
		),
		'mli'=>array(
			'text/x-ocaml',
			'text/plain',
		),
		'mlp'=>array(
			'audio/vnd.dolby.mlp',
			'application/vnd.dolby.mlp',
		),
		'mm'=>array(
			'text/x-objc+src',
			'application/x-freemind',
			'text/troff',
			'text/x-c+src',
			'text/x-troff-mm',
		),
		'mmap'=>array(
			'application/vnd.mindjet.mindmanager',
			'application/zip',
		),
		'mmas'=>array(
			'application/vnd.mindjet.mindmanager',
			'application/zip',
		),
		'mmat'=>array(
			'application/vnd.mindjet.mindmanager',
			'application/zip',
		),
		'mmd'=>array(
			'application/vnd.chipnuts.karaoke-mmd',
			'chemical/x-macromodel-input',
		),
		'mmdb'=>array(
			'application/vnd.maxmind.maxmind-db',
		),
		'mmf'=>array(
			'application/vnd.smaf',
			'application/x-smaf',
		),
		'mml'=>array(
			'application/mathml+xml',
			'application/xml',
			'text/mathml',
		),
		'mmmp'=>array(
			'application/vnd.mindjet.mindmanager',
			'application/zip',
		),
		'mmod'=>array(
			'chemical/x-macromodel-input',
		),
		'mmp'=>array(
			'application/vnd.mindjet.mindmanager',
			'application/zip',
		),
		'mmpt'=>array(
			'application/vnd.mindjet.mindmanager',
			'application/zip',
		),
		'mmr'=>array(
			'image/vnd.fujixerox.edmics-mmr',
		),
		'mng'=>array(
			'video/x-mng',
		),
		'mny'=>array(
			'application/x-msmoney',
		),
		'mo'=>array(
			'application/x-gettext-translation',
			'text/plain',
			'text/x-modelica',
		),
		'mo3'=>array(
			'audio/x-mo3',
		),
		'mobi'=>array(
			'application/x-mobipocket-ebook',
			'application/vnd.palm',
		),
		'moc'=>array(
			'text/x-moc',
			'text/plain',
		),
		'mod'=>array(
			'application/xml-dtd',
			'application/x-object',
			'audio/x-mod',
		),
		'model-inter'=>array(
			'application/vnd.vd-study',
		),
		'modl'=>array(
			'application/vnd.modl',
		),
		'mods'=>array(
			'application/mods+xml',
		),
		'mof'=>array(
			'text/x-mof',
			'text/x-csrc',
		),
		'mol'=>array(
			'chemical/x-mdl-molfile',
		),
		'mol2'=>array(
			'application/vnd.sybyl.mol2',
			'chemical/x-mol2',
		),
		'moo'=>array(
			'chemical/x-mopac-out',
		),
		'moov'=>array(
			'video/quicktime',
		),
		'mop'=>array(
			'chemical/x-mopac-input',
		),
		'mopcrt'=>array(
			'chemical/x-mopac-input',
		),
		'mos'=>array(
			'image/x-raw-leaf',
		),
		'mount'=>array(
			'text/x-systemd-unit',
			'text/plain',
		),
		'mov'=>array(
			'video/quicktime',
			'application/quicktime',
		),
		'movie'=>array(
			'video/x-sgi-movie',
		),
		'mp1'=>array(
			'audio/mpeg',
		),
		'mp2'=>array(
			'audio/mpeg',
			'audio/mp2',
			'audio/x-mp2',
			'audio/x-mpeg',
			'video/mpeg',
			'video/mpeg-system',
			'video/x-mpeg',
			'video/x-mpeg-system',
			'video/x-mpeg2',
		),
		'mp21'=>array(
			'application/mp21',
		),
		'mp2a'=>array(
			'audio/mpeg',
			'audio/x-mpeg',
		),
		'mp3'=>array(
			'audio/mpeg',
			'audio/mp3',
			'audio/x-mp3',
			'audio/x-mpeg',
			'audio/x-mpg',
		),
		'mp4'=>array(
			'video/mp4',
			'audio/mp4',
			'video/mp4v-es',
			'video/quicktime',
			'video/vnd.objectvideo',
			'video/x-ivf',
			'video/x-m4v',
		),
		'mp4a'=>array(
			'audio/mp4',
			'application/quicktime',
			'audio/x-m4a',
			'audio/x-mp4a',
		),
		'mp4s'=>array(
			'application/mp4',
			'application/quicktime',
		),
		'mp4v'=>array(
			'video/mp4',
			'video/quicktime',
		),
		'mpc'=>array(
			'application/vnd.mophun.certificate',
			'audio/x-musepack',
			'chemical/x-mopac-input',
		),
		'mpd'=>array(
			'application/dash+xml',
			'application/xml',
		),
		'mpdd'=>array(
			'application/dashdelta',
		),
		'mpe'=>array(
			'video/mpeg',
			'video/mpeg-system',
			'video/x-mpeg',
			'video/x-mpeg-system',
			'video/x-mpeg2',
		),
		'mpeg'=>array(
			'video/mpeg',
			'video/mpeg-system',
			'video/x-mpeg',
			'video/x-mpeg-system',
			'video/x-mpeg2',
		),
		'mpega'=>array(
			'audio/mpeg',
		),
		'mpf'=>array(
			'application/media-policy-dataset+xml',
			'text/vnd.ms-mediapackage',
		),
		'mpg'=>array(
			'video/mpeg',
			'video/mpeg-system',
			'video/x-mpeg',
			'video/x-mpeg-system',
			'video/x-mpeg2',
		),
		'mpg4'=>array(
			'video/mp4',
			'video/quicktime',
		),
		'mpga'=>array(
			'audio/mpeg',
			'audio/mp3',
			'audio/x-mp3',
			'audio/x-mpeg',
			'audio/x-mpg',
		),
		'mpkg'=>array(
			'application/vnd.apple.installer+xml',
		),
		'mpl'=>array(
			'text/x-mpl2',
			'text/plain',
			'video/mp2t',
		),
		'mpls'=>array(
			'video/mp2t',
		),
		'mpm'=>array(
			'application/vnd.blueice.multipass',
		),
		'mpn'=>array(
			'application/vnd.mophun.application',
		),
		'mpp'=>array(
			'application/dash-patch+xml',
			'application/vnd.ms-project',
			'audio/x-musepack',
		),
		'mpt'=>array(
			'application/vnd.ms-project',
		),
		'mpw'=>array(
			'application/vnd.exstream-empower+zip',
		),
		'mpx'=>array(
			'application/x-project',
			'text/plain',
		),
		'mpy'=>array(
			'application/vnd.ibm.minipay',
		),
		'mqy'=>array(
			'application/vnd.mobius.mqy',
		),
		'mrc'=>array(
			'application/marc',
		),
		'mrcx'=>array(
			'application/marcxml+xml',
		),
		'mrl'=>array(
			'text/x-mrml',
			'application/xml',
		),
		'mrml'=>array(
			'text/x-mrml',
			'application/xml',
		),
		'mrw'=>array(
			'image/x-minolta-mrw',
			'image/x-dcraw',
			'image/x-raw-minolta',
		),
		'ms'=>array(
			'text/troff',
			'application/x-troff',
			'application/x-troff-man',
			'application/x-troff-me',
			'application/x-troff-ms',
			'text/plain',
			'text/x-troff-ms',
		),
		'msa'=>array(
			'application/vnd.msa-disk-image',
		),
		'mscml'=>array(
			'application/mediaservercontrol+xml',
		),
		'mscx'=>array(
			'application/x-musescore+xml',
			'application/x-musescore-portable+xml',
			'application/xml',
		),
		'mscz'=>array(
			'application/x-musescore',
			'application/x-musescore-portable',
			'application/zip',
		),
		'msd'=>array(
			'application/vnd.fdsn.mseed',
		),
		'mseed'=>array(
			'application/vnd.fdsn.mseed',
		),
		'mseq'=>array(
			'application/vnd.mseq',
		),
		'msf'=>array(
			'application/vnd.epson.msf',
		),
		'msg'=>array(
			'application/vnd.ms-outlook',
			'application/vnd.ms-office',
		),
		'msh'=>array(
			'model/mesh',
		),
		'msi'=>array(
			'application/x-msi',
			'application/octet-stream',
			'application/x-ms-installer',
			'application/x-msdownload',
			'application/x-ole-storage',
			'application/x-windows-installer',
		),
		'msl'=>array(
			'application/vnd.mobius.msl',
		),
		'msm'=>array(
			'model/vnd.gdl',
			'application/octet-stream',
			'model/vnd.gs-gdl',
		),
		'msod'=>array(
			'image/x-msod',
		),
		'msp'=>array(
			'application/octet-stream',
			'application/x-ms-installer',
			'application/x-msi',
			'application/x-windows-installer',
		),
		'mst'=>array(
			'application/x-ms-installer',
			'application/x-msi',
			'application/x-windows-installer',
		),
		'msty'=>array(
			'application/vnd.muvee.style',
		),
		'msx'=>array(
			'application/x-msx-rom',
		),
		'mtl'=>array(
			'model/mtl',
			'text/plain',
		),
		'mtm'=>array(
			'audio/x-mod',
		),
		'mts'=>array(
			'model/vnd.mts',
			'video/mp2t',
		),
		'multitrack'=>array(
			'audio/vnd.presonus.multitrack',
		),
		'mup'=>array(
			'text/x-mup',
			'text/plain',
		),
		'mus'=>array(
			'application/vnd.musician',
		),
		'musd'=>array(
			'application/mmt-usd+xml',
		),
		'musicxml'=>array(
			'application/vnd.recordare.musicxml+xml',
		),
		'mvb'=>array(
			'application/x-msmediaview',
			'chemical/x-mopac-vib',
		),
		'mvt'=>array(
			'application/vnd.mapbox-vector-tile',
		),
		'mwf'=>array(
			'application/vnd.mfer',
		),
		'mxf'=>array(
			'application/mxf',
		),
		'mxi'=>array(
			'application/vnd.vd-study',
		),
		'mxl'=>array(
			'application/vnd.recordare.musicxml',
			'application/vnd.recordare.musicxml-portable',
			'application/zip',
		),
		'mxmf'=>array(
			'audio/mobile-xmf',
			'audio/vnd.nokia.mobile-xmf',
		),
		'mxml'=>array(
			'application/xv+xml',
			'application/xhtml-voice+xml',
		),
		'mxs'=>array(
			'application/vnd.triscape.mxs',
		),
		'mxu'=>array(
			'video/vnd.mpegurl',
			'text/plain',
			'video/x-mpegurl',
		),
		'myd'=>array(
			'application/x-mysql-misam-data',
			'application/x-mysql-db',
		),
		'myi'=>array(
			'application/x-mysql-misam-compressed-index',
			'application/x-mysql-db',
		),
		'n-gage'=>array(
			'application/vnd.nokia.n-gage.symbian.install',
		),
		'n3'=>array(
			'text/n3',
			'text/plain',
		),
		'n64'=>array(
			'application/x-n64-rom',
		),
		'nar'=>array(
			'application/vnd.iptc.g2.newsmessage+xml',
			'application/xml',
		),
		'nb'=>array(
			'application/mathematica',
			'application/vnd.wolfram.mathematica',
			'application/x-mathematica',
			'text/plain',
		),
		'nbp'=>array(
			'application/vnd.wolfram.player',
		),
		'nc'=>array(
			'application/x-netcdf',
		),
		'ncx'=>array(
			'application/x-dtbncx+xml',
		),
		'ndc'=>array(
			'application/vnd.osa.netdeploy',
		),
		'nds'=>array(
			'application/x-nintendo-ds-rom',
		),
		'nebul'=>array(
			'application/vnd.nebumind.line',
		),
		'nef'=>array(
			'image/x-nikon-nef',
			'image/x-dcraw',
			'image/x-raw-nikon',
		),
		'nes'=>array(
			'application/x-nes-rom',
		),
		'nez'=>array(
			'application/x-nes-rom',
		),
		'nfo'=>array(
			'text/x-nfo',
			'text/x-readme',
		),
		'ngc'=>array(
			'application/x-neo-geo-pocket-color-rom',
		),
		'ngdat'=>array(
			'application/vnd.nokia.n-gage.data',
		),
		'ngp'=>array(
			'application/x-neo-geo-pocket-rom',
		),
		'nim'=>array(
			'video/vnd.nokia.interleaved-multimedia',
		),
		'nimn'=>array(
			'application/vnd.nimn',
		),
		'nitf'=>array(
			'application/vnd.nitf',
			'image/nitf',
			'image/ntf',
		),
		'nlu'=>array(
			'application/vnd.neurolanguage.nlu',
		),
		'nml'=>array(
			'application/vnd.enliven',
		),
		'nnd'=>array(
			'application/vnd.noblenet-directory',
		),
		'nns'=>array(
			'application/vnd.noblenet-sealer',
		),
		'nnw'=>array(
			'application/vnd.noblenet-web',
		),
		'not'=>array(
			'text/x-mup',
			'text/plain',
		),
		'notebook'=>array(
			'application/vnd.smart.notebook',
			'application/x-smarttech-notebook',
			'application/zip',
		),
		'notice'=>array(
			'text/plain',
		),
		'npx'=>array(
			'image/vnd.net-fpx',
		),
		'nroff'=>array(
			'text/troff',
			'application/x-troff',
			'application/x-troff-man',
			'application/x-troff-me',
			'application/x-troff-ms',
		),
		'nrw'=>array(
			'image/x-nikon-nrw',
			'image/x-dcraw',
			'image/x-raw-nikon',
		),
		'nsc'=>array(
			'application/x-conference',
			'application/vnd.ms-asf',
			'application/x-netshow-channel',
		),
		'nsf'=>array(
			'application/vnd.lotus-notes',
		),
		'nsv'=>array(
			'video/x-nsv',
		),
		'ntf'=>array(
			'application/vnd.nitf',
			'image/nitf',
			'image/ntf',
		),
		'numbers'=>array(
			'application/vnd.apple.numbers',
			'application/vnd.apple.iwork',
			'application/x-iwork-numbers-sffnumbers',
			'application/zip',
		),
		'nwc'=>array(
			'application/x-nwc',
		),
		'nzb'=>array(
			'application/x-nzb',
			'application/xml',
		),
		'o'=>array(
			'application/x-object',
		),
		'oa2'=>array(
			'application/vnd.fujitsu.oasys2',
		),
		'oa3'=>array(
			'application/vnd.fujitsu.oasys3',
		),
		'oas'=>array(
			'application/vnd.fujitsu.oasys',
		),
		'obd'=>array(
			'application/x-msbinder',
		),
		'obg'=>array(
			'application/vnd.openblox.game-binary',
		),
		'obgx'=>array(
			'application/vnd.openblox.game+xml',
		),
		'obj'=>array(
			'model/obj',
			'application/x-tgif',
			'text/plain',
		),
		'ocaml'=>array(
			'text/x-ocaml',
			'text/plain',
		),
		'ocl'=>array(
			'text/x-ocl',
			'text/plain',
		),
		'oda'=>array(
			'application/oda',
		),
		'odb'=>array(
			'application/vnd.oasis.opendocument.database',
			'application/vnd.oasis.opendocument.base',
			'application/vnd.sun.xml.base',
			'application/zip',
		),
		'odc'=>array(
			'application/vnd.oasis.opendocument.chart',
			'application/x-vnd.oasis.opendocument.chart',
			'application/zip',
		),
		'odf'=>array(
			'application/vnd.oasis.opendocument.formula',
			'application/x-vnd.oasis.opendocument.formula',
			'application/zip',
		),
		'odft'=>array(
			'application/vnd.oasis.opendocument.formula-template',
			'application/x-vnd.oasis.opendocument.formula-template',
		),
		'odg'=>array(
			'application/vnd.oasis.opendocument.graphics',
			'application/x-vnd.oasis.opendocument.graphics',
			'application/zip',
		),
		'odi'=>array(
			'application/vnd.oasis.opendocument.image',
			'application/x-vnd.oasis.opendocument.image',
			'application/zip',
		),
		'odm'=>array(
			'application/vnd.oasis.opendocument.text-master',
			'application/zip',
		),
		'odp'=>array(
			'application/vnd.oasis.opendocument.presentation',
			'application/x-vnd.oasis.opendocument.presentation',
			'application/zip',
		),
		'ods'=>array(
			'application/vnd.oasis.opendocument.spreadsheet',
			'application/x-vnd.oasis.opendocument.spreadsheet',
			'application/zip',
		),
		'odt'=>array(
			'application/vnd.oasis.opendocument.text',
			'application/x-vnd.oasis.opendocument.text',
			'application/zip',
		),
		'odx'=>array(
			'application/odx',
		),
		'oeb'=>array(
			'application/vnd.openeye.oeb',
		),
		'oga'=>array(
			'audio/ogg',
			'application/ogg',
			'audio/vorbis',
			'audio/x-flac+ogg',
			'audio/x-ogg',
			'audio/x-oggflac',
			'audio/x-speex+ogg',
			'audio/x-vorbis',
			'audio/x-vorbis+ogg',
		),
		'ogex'=>array(
			'model/vnd.opengex',
		),
		'ogg'=>array(
			'audio/ogg',
			'application/ogg',
			'application/x-ogg',
			'audio/vorbis',
			'audio/x-flac+ogg',
			'audio/x-ogg',
			'audio/x-oggflac',
			'audio/x-speex+ogg',
			'audio/x-vorbis',
			'audio/x-vorbis+ogg',
			'video/ogg',
			'video/x-ogg',
			'video/x-theora',
			'video/x-theora+ogg',
		),
		'ogm'=>array(
			'video/x-ogm',
			'video/ogg',
			'video/x-ogm+ogg',
		),
		'ogv'=>array(
			'video/ogg',
			'application/ogg',
			'video/x-ogg',
		),
		'ogx'=>array(
			'application/ogg',
			'application/x-ogg',
		),
		'old'=>array(
			'application/x-trash',
		),
		'oleo'=>array(
			'application/x-oleo',
		),
		'omdoc'=>array(
			'application/omdoc+xml',
		),
		'one'=>array(
			'application/onenoteformatone',
			'application/onenote',
		),
		'onepkg'=>array(
			'application/onenote',
			'application/onenoteformatpackage',
			'application/vnd.ms-cab-compressed',
		),
		'onetmp'=>array(
			'application/onenote',
			'application/msonenote',
		),
		'onetoc'=>array(
			'application/onenote',
			'application/onenoteformatonetoc2',
		),
		'onetoc2'=>array(
			'application/onenote',
			'application/onenoteformatonetoc2',
		),
		'ooc'=>array(
			'text/x-ooc',
			'text/x-csrc',
		),
		'openvpn'=>array(
			'application/x-openvpn-profile',
			'text/plain',
		),
		'opf'=>array(
			'application/oebps-package+xml',
		),
		'opml'=>array(
			'text/x-opml',
			'application/xml',
			'text/x-opml+xml',
		),
		'oprc'=>array(
			'application/vnd.palm',
			'application/x-palm-database',
		),
		'opus'=>array(
			'audio/ogg',
			'application/ogg',
			'audio/opus',
			'audio/x-ogg',
			'audio/x-opus+ogg',
		),
		'or3'=>array(
			'application/vnd.lotus-organizer',
		),
		'ora'=>array(
			'image/openraster',
			'application/zip',
		),
		'orf'=>array(
			'image/x-olympus-orf',
			'image/x-dcraw',
			'image/x-raw-olympus',
		),
		'org'=>array(
			'application/vnd.lotus-organizer',
			'text/org',
			'text/plain',
		),
		'orq'=>array(
			'application/ocsp-request',
		),
		'ors'=>array(
			'application/ocsp-response',
		),
		'osf'=>array(
			'application/vnd.yamaha.openscoreformat',
		),
		'osfpvg'=>array(
			'application/vnd.yamaha.openscoreformat.osfpvg+xml',
		),
		'osm'=>array(
			'application/vnd.openstreetmap.data+xml',
		),
		'ost'=>array(
			'application/vnd.ms-outlook-pst',
			'application/vnd.ms-office',
		),
		'ota'=>array(
			'application/vnd.android.ota',
		),
		'otc'=>array(
			'application/vnd.oasis.opendocument.chart-template',
			'application/x-vnd.oasis.opendocument.chart-template',
			'application/zip',
		),
		'otf'=>array(
			'font/otf',
			'application/vnd.ms-opentype',
			'application/vnd.oasis.opendocument.formula-template',
			'application/x-font-otf',
			'application/zip',
			'font/ttf',
		),
		'otg'=>array(
			'application/vnd.oasis.opendocument.graphics-template',
			'application/x-vnd.oasis.opendocument.graphics-template',
			'application/zip',
		),
		'oth'=>array(
			'application/vnd.oasis.opendocument.text-web',
			'application/x-vnd.oasis.opendocument.text-web',
			'application/zip',
		),
		'oti'=>array(
			'application/vnd.oasis.opendocument.image-template',
			'application/x-vnd.oasis.opendocument.image-template',
		),
		'otm'=>array(
			'application/vnd.oasis.opendocument.text-master-template',
			'application/vnd.oasis.opendocument.text-master',
			'application/x-vnd.oasis.opendocument.text-master',
		),
		'otp'=>array(
			'application/vnd.oasis.opendocument.presentation-template',
			'application/x-vnd.oasis.opendocument.presentation-template',
			'application/zip',
		),
		'ots'=>array(
			'application/vnd.oasis.opendocument.spreadsheet-template',
			'application/vnd.opentimestamps.ots',
			'application/x-vnd.oasis.opendocument.spreadsheet-template',
			'application/zip',
		),
		'ott'=>array(
			'application/vnd.oasis.opendocument.text-template',
			'application/x-vnd.oasis.opendocument.text-template',
			'application/zip',
		),
		'ova'=>array(
			'application/ovf',
			'application/x-tar',
			'application/x-virtualbox-ova',
		),
		'ovl'=>array(
			'application/vnd.afpc.modca-overlay',
		),
		'ovpn'=>array(
			'application/x-openvpn-profile',
			'text/plain',
		),
		'owl'=>array(
			'application/rdf+xml',
			'application/xml',
			'text/rdf',
		),
		'owx'=>array(
			'application/owl+xml',
			'application/xml',
		),
		'oxlicg'=>array(
			'application/vnd.oxli.countgraph',
		),
		'oxps'=>array(
			'application/oxps',
			'application/vnd.ms-xpsdocument',
			'application/zip',
		),
		'oxt'=>array(
			'application/vnd.openofficeorg.extension',
			'application/zip',
		),
		'oza'=>array(
			'application/x-oz-application',
		),
		'p'=>array(
			'text/x-pascal',
		),
		'p10'=>array(
			'application/pkcs10',
		),
		'p12'=>array(
			'application/pkcs12',
			'application/x-pkcs12',
		),
		'p21'=>array(
			'application/p21',
			'model/step',
		),
		'p2p'=>array(
			'application/vnd.wfa.p2p',
		),
		'p65'=>array(
			'application/x-pagemaker',
			'application/x-ole-storage',
		),
		'p7b'=>array(
			'application/x-pkcs7-certificates',
		),
		'p7c'=>array(
			'application/pkcs7-mime',
		),
		'p7m'=>array(
			'application/pkcs7-mime',
		),
		'p7r'=>array(
			'application/x-pkcs7-certreqresp',
		),
		'p7s'=>array(
			'application/pkcs7-signature',
			'text/plain',
		),
		'p8'=>array(
			'application/pkcs8',
		),
		'p8e'=>array(
			'application/pkcs8-encrypted',
		),
		'pac'=>array(
			'application/x-ns-proxy-autoconfig',
		),
		'pack'=>array(
			'application/x-java-pack200',
		),
		'package'=>array(
			'application/vnd.autopackage',
		),
		'pages'=>array(
			'application/vnd.apple.pages',
			'application/vnd.apple.iwork',
			'application/x-iwork-pages-sffpages',
			'application/zip',
		),
		'pak'=>array(
			'application/x-pak',
		),
		'par2'=>array(
			'application/x-par2',
		),
		'parquet'=>array(
			'application/x-parquet',
		),
		'part'=>array(
			'application/x-partial-download',
		),
		'pas'=>array(
			'text/x-pascal',
			'text/plain',
		),
		'pat'=>array(
			'image/x-gimp-pat',
			'image/x-coreldrawpattern',
		),
		'patch'=>array(
			'text/x-diff',
			'text/plain',
			'text/x-patch',
		),
		'path'=>array(
			'text/x-systemd-unit',
			'text/plain',
		),
		'paw'=>array(
			'application/vnd.pawaafile',
		),
		'pbd'=>array(
			'application/vnd.powerbuilder6',
			'application/vnd.powerbuilder6-s',
			'application/vnd.powerbuilder7',
			'application/vnd.powerbuilder7-s',
			'application/vnd.powerbuilder75',
			'application/vnd.powerbuilder75-s',
		),
		'pbm'=>array(
			'image/x-portable-bitmap',
			'image/x-portable-anymap',
		),
		'pcap'=>array(
			'application/vnd.tcpdump.pcap',
			'application/cap',
			'application/pcap',
			'application/x-pcap',
		),
		'pcd'=>array(
			'image/x-photo-cd',
		),
		'pce'=>array(
			'application/x-pc-engine-rom',
		),
		'pcf'=>array(
			'application/x-font-pcf',
			'application/x-cisco-vpn-settings',
			'application/x-font',
			'text/plain',
		),
		'pcl'=>array(
			'application/vnd.hp-pcl',
		),
		'pclxl'=>array(
			'application/vnd.hp-pclxl',
		),
		'pct'=>array(
			'image/x-pict',
		),
		'pcurl'=>array(
			'application/vnd.curl.pcurl',
		),
		'pcx'=>array(
			'image/vnd.zbrush.pcx',
			'image/pcx',
			'image/x-pc-paintbrush',
			'image/x-pcx',
		),
		'pdb'=>array(
			'application/vnd.palm',
			'application/x-aportisdoc',
			'application/x-palm-database',
			'application/x-pilot',
			'chemical/x-pdb',
		),
		'pdc'=>array(
			'application/x-aportisdoc',
			'application/vnd.palm',
		),
		'pdf'=>array(
			'application/pdf',
			'application/acrobat',
			'application/nappdf',
			'application/x-pdf',
			'image/pdf',
		),
		'pdx'=>array(
			'application/pdx',
		),
		'pef'=>array(
			'image/x-pentax-pef',
			'image/x-dcraw',
			'image/x-raw-pentax',
		),
		'pem'=>array(
			'application/pem-certificate-chain',
			'application/x-x509-ca-cert',
			'application/x-x509-cert',
			'application/x-x509-certformatpem',
		),
		'pen'=>array(
			'text/plain',
		),
		'perl'=>array(
			'text/x-perl',
			'application/x-executable',
			'application/x-perl',
			'text/plain',
		),
		'pfa'=>array(
			'application/x-font-type1',
			'application/postscript',
			'application/x-font',
		),
		'pfb'=>array(
			'application/x-font-type1',
			'application/postscript',
			'application/x-font',
		),
		'pfm'=>array(
			'application/x-font-type1',
			'application/x-font-printer-metric',
		),
		'pfr'=>array(
			'application/font-tdpfr',
			'application/vnd.dvb.pfr',
		),
		'pfx'=>array(
			'application/pkcs12',
			'application/x-pkcs12',
		),
		'pgb'=>array(
			'image/vnd.globalgraphics.pgb',
		),
		'pgm'=>array(
			'image/x-portable-graymap',
			'image/x-portable-anymap',
		),
		'pgn'=>array(
			'application/vnd.chess-pgn',
			'application/x-chess-pgn',
			'text/plain',
		),
		'pgp'=>array(
			'application/pgp-encrypted',
			'application/pgp',
			'application/pgp-keys',
			'application/pgp-signature',
			'text/plain',
		),
		'php'=>array(
			'text/plain',
			'application/x-httpd-php',
			'application/x-php',
			'text/x-php',
		),
		'php3'=>array(
			'text/plain',
			'application/x-httpd-php3',
			'application/x-php',
			'text/x-php',
		),
		'php3p'=>array(
			'application/x-httpd-php3-preprocessed',
		),
		'php4'=>array(
			'text/plain',
			'application/x-httpd-php4',
			'application/x-php',
			'text/x-php',
		),
		'php5'=>array(
			'application/x-php',
			'text/plain',
		),
		'phps'=>array(
			'application/x-php',
			'application/x-httpd-php-source',
			'text/plain',
		),
		'pht'=>array(
			'application/x-httpd-php',
		),
		'phtml'=>array(
			'application/x-httpd-php',
		),
		'pic'=>array(
			'image/vnd.radiance',
			'image/x-pict',
		),
		'pict'=>array(
			'image/x-pict',
		),
		'pict1'=>array(
			'image/x-pict',
		),
		'pict2'=>array(
			'image/x-pict',
		),
		'pil'=>array(
			'application/vnd.piaccess.application-licence',
		),
		'pk'=>array(
			'application/x-tex-pk',
		),
		'pkg'=>array(
			'application/vnd.apple.installer+xml',
			'application/octet-stream',
			'application/vnd.exstream-package',
			'application/x-xar',
		),
		'pki'=>array(
			'application/pkixcmp',
		),
		'pkipath'=>array(
			'application/pkix-pkipath',
		),
		'pkpass'=>array(
			'application/vnd.apple.pkpass',
			'application/zip',
		),
		'pkr'=>array(
			'application/pgp-keys',
			'text/plain',
		),
		'pl'=>array(
			'text/x-perl',
			'application/x-executable',
			'application/x-perl',
			'text/plain',
		),
		'pla'=>array(
			'audio/x-iriver-pla',
		),
		'plb'=>array(
			'application/vnd.3gpp.pic-bw-large',
		),
		'plc'=>array(
			'application/vnd.mobius.plc',
		),
		'plf'=>array(
			'application/vnd.pocketlearn',
		),
		'plj'=>array(
			'audio/vnd.everad.plj',
		),
		'pln'=>array(
			'application/x-planperfect',
		),
		'plp'=>array(
			'application/vnd.panoply',
		),
		'pls'=>array(
			'application/pls+xml',
			'application/pls',
			'audio/scpls',
			'audio/x-scpls',
		),
		'pm'=>array(
			'text/x-perl',
			'application/x-executable',
			'application/x-ole-storage',
			'application/x-pagemaker',
			'application/x-perl',
			'text/plain',
		),
		'pm6'=>array(
			'application/x-pagemaker',
			'application/x-ole-storage',
		),
		'pmd'=>array(
			'application/x-pagemaker',
			'application/x-ole-storage',
		),
		'pml'=>array(
			'application/vnd.ctc-posml',
		),
		'png'=>array(
			'image/png',
			'image/vnd.mozilla.apng',
		),
		'pnm'=>array(
			'image/x-portable-anymap',
		),
		'pntg'=>array(
			'image/x-macpaint',
		),
		'po'=>array(
			'text/x-gettext-translation',
			'application/x-gettext',
			'text/plain',
			'text/x-po',
		),
		'pod'=>array(
			'application/x-perl',
			'application/x-executable',
			'text/plain',
			'text/x-perl',
		),
		'pom'=>array(
			'text/plain',
		),
		'por'=>array(
			'application/x-spss-por',
		),
		'portpkg'=>array(
			'application/vnd.macports.portpkg',
		),
		'pot'=>array(
			'application/vnd.ms-powerpoint',
			'application/mspowerpoint',
			'application/powerpoint',
			'application/vnd.ms-office',
			'application/x-mspowerpoint',
			'text/plain',
			'text/x-gettext-translation-template',
			'text/x-pot',
		),
		'potm'=>array(
			'application/vnd.ms-powerpoint.template.macroenabled.12',
			'application/vnd.ms-office',
			'application/vnd.openxmlformats-officedocument.presentationml.template',
		),
		'potx'=>array(
			'application/vnd.openxmlformats-officedocument.presentationml.template',
			'application/vnd.ms-office',
			'application/zip',
		),
		'pp'=>array(
			'text/x-pascal',
			'text/plain',
		),
		'ppa'=>array(
			'application/vnd.ms-powerpoint',
			'application/mspowerpoint',
			'application/vnd.ms-office',
		),
		'ppam'=>array(
			'application/vnd.ms-powerpoint.addin.macroenabled.12',
			'application/vnd.ms-office',
		),
		'ppd'=>array(
			'application/vnd.cups-ppd',
		),
		'ppdgz'=>array(
			'application/vnd.cups-ppd',
		),
		'ppj'=>array(
			'image/vnd.adobe.premiere',
			'application/xml',
		),
		'ppkg'=>array(
			'application/vnd.xmpie.ppkg',
		),
		'ppm'=>array(
			'image/x-portable-pixmap',
			'image/x-portable-anymap',
		),
		'pps'=>array(
			'application/vnd.ms-powerpoint',
			'application/mspowerpoint',
			'application/powerpoint',
			'application/vnd.ms-office',
			'application/x-mspowerpoint',
		),
		'ppsm'=>array(
			'application/vnd.ms-powerpoint.slideshow.macroenabled.12',
			'application/vnd.ms-office',
			'application/vnd.openxmlformats-officedocument.presentationml.slideshow',
		),
		'ppsx'=>array(
			'application/vnd.openxmlformats-officedocument.presentationml.slideshow',
			'application/vnd.ms-office',
			'application/zip',
		),
		'ppt'=>array(
			'application/vnd.ms-powerpoint',
			'application/mspowerpoint',
			'application/powerpoint',
			'application/vnd.ms-office',
			'application/x-mspowerpoint',
		),
		'pptm'=>array(
			'application/vnd.ms-powerpoint.presentation.macroenabled.12',
			'application/vnd.ms-office',
			'application/vnd.openxmlformats-officedocument.presentationml.presentation',
		),
		'ppttc'=>array(
			'application/vnd.think-cell.ppttc+json',
		),
		'pptx'=>array(
			'application/vnd.openxmlformats-officedocument.presentationml.presentation',
			'application/vnd.ms-office',
			'application/zip',
		),
		'ppz'=>array(
			'application/vnd.ms-powerpoint',
			'application/mspowerpoint',
			'application/powerpoint',
			'application/vnd.ms-office',
			'application/x-mspowerpoint',
		),
		'pqa'=>array(
			'application/vnd.palm',
			'application/x-palm-database',
		),
		'prc'=>array(
			'application/vnd.palm',
			'application/x-mobipocket-ebook',
			'application/x-palm-database',
			'application/x-pilot',
			'model/prc',
		),
		'pre'=>array(
			'application/vnd.lotus-freelance',
		),
		'preminet'=>array(
			'application/vnd.preminet',
		),
		'prf'=>array(
			'application/pics-rules',
		),
		'pro'=>array(
			'text/x-prolog',
			'text/plain',
		),
		'project'=>array(
			'text/plain',
		),
		'properties'=>array(
			'text/x-java-properties',
			'text/plain',
			'text/properties',
			'text/x-properties',
		),
		'provx'=>array(
			'application/provenance+xml',
		),
		'prt'=>array(
			'application/x-prt',
			'chemical/x-ncbi-asn1-ascii',
		),
		'prz'=>array(
			'application/vnd.lotus-freelance',
		),
		'ps'=>array(
			'application/postscript',
			'text/plain',
		),
		'psb'=>array(
			'application/vnd.3gpp.pic-bw-small',
		),
		'psd'=>array(
			'image/vnd.adobe.photoshop',
			'application/octet-stream',
			'application/photoshop',
			'application/x-photoshop',
			'image/photoshop',
			'image/psd',
			'image/x-photoshop',
			'image/x-psd',
		),
		'pseg3820'=>array(
			'application/vnd.afpc.modca',
			'application/vnd.ibm.modcap',
		),
		'psf'=>array(
			'application/x-font-linux-psf',
			'audio/x-psf',
		),
		'psflib'=>array(
			'audio/x-psflib',
			'audio/x-psf',
		),
		'psfs'=>array(
			'application/vnd.psfs',
		),
		'psg'=>array(
			'application/vnd.afpc.modca-pagesegment',
		),
		'psid'=>array(
			'audio/prs.sid',
		),
		'pskcxml'=>array(
			'application/pskc+xml',
		),
		'pst'=>array(
			'application/vnd.ms-outlook-pst',
			'application/vnd.ms-office',
		),
		'psw'=>array(
			'application/x-pocket-word',
		),
		'pt'=>array(
			'application/vnd.snesdev-page-table',
		),
		'pti'=>array(
			'image/prs.pti',
		),
		'ptid'=>array(
			'application/vnd.pvi.ptid1',
		),
		'ptrom'=>array(
			'application/vnd.snesdev-page-table',
		),
		'ptx'=>array(
			'image/x-raw-pentax',
		),
		'pub'=>array(
			'application/vnd.exstream-package',
			'application/vnd.ms-publisher',
			'application/x-mspublisher',
			'application/x-ole-storage',
		),
		'pvb'=>array(
			'application/vnd.3gpp.pic-bw-var',
		),
		'pw'=>array(
			'application/x-pw',
		),
		'pwn'=>array(
			'application/vnd.3m.post-it-notes',
		),
		'pxn'=>array(
			'image/x-raw-logitech',
		),
		'py'=>array(
			'text/x-python',
			'application/x-executable',
			'text/plain',
			'text/x-python3',
		),
		'py3'=>array(
			'text/x-python3',
			'text/x-python',
		),
		'py3x'=>array(
			'text/x-python3',
			'text/x-python',
		),
		'pya'=>array(
			'audio/vnd.ms-playready.media.pya',
		),
		'pyc'=>array(
			'application/x-python-bytecode',
			'application/x-python-code',
		),
		'pyi'=>array(
			'text/x-python3',
			'text/x-python',
		),
		'pyo'=>array(
			'model/vnd.pytha.pyox',
			'application/x-python-bytecode',
			'application/x-python-code',
		),
		'pyox'=>array(
			'model/vnd.pytha.pyox',
		),
		'pys'=>array(
			'application/x-pyspread-bz-spreadsheet',
			'application/x-bzip',
		),
		'pysu'=>array(
			'application/x-pyspread-spreadsheet',
		),
		'pyv'=>array(
			'video/vnd.ms-playready.media.pyv',
		),
		'pyx'=>array(
			'text/x-python',
			'application/x-executable',
		),
		'qam'=>array(
			'application/vnd.epson.quickanime',
		),
		'qbo'=>array(
			'application/vnd.intu.qbo',
		),
		'qca'=>array(
			'application/vnd.ericsson.quickcall',
		),
		'qcall'=>array(
			'application/vnd.ericsson.quickcall',
		),
		'qcow'=>array(
			'application/x-qemu-disk',
		),
		'qcow2'=>array(
			'application/x-qemu-disk',
		),
		'qd'=>array(
			'application/x-raw-floppy-disk-image',
			'application/x-fd-file',
			'application/x-raw-disk-image',
		),
		'qed'=>array(
			'application/x-qed-disk',
		),
		'qfx'=>array(
			'application/vnd.intu.qfx',
		),
		'qif'=>array(
			'application/x-qw',
			'image/x-quicktime',
		),
		'qml'=>array(
			'text/x-qml',
			'text/plain',
		),
		'qmlproject'=>array(
			'text/x-qml',
			'text/plain',
		),
		'qmltypes'=>array(
			'text/x-qml',
			'text/plain',
		),
		'qp'=>array(
			'application/x-qpress',
		),
		'qps'=>array(
			'application/vnd.publishare-delta-tree',
		),
		'qpw'=>array(
			'application/x-quattro-pro',
		),
		'qs'=>array(
			'application/sparql-query',
		),
		'qt'=>array(
			'video/quicktime',
			'application/quicktime',
		),
		'qti'=>array(
			'application/x-qtiplot',
			'text/plain',
		),
		'qtif'=>array(
			'image/x-quicktime',
		),
		'qtl'=>array(
			'application/x-quicktimeplayer',
			'application/x-quicktime-media-link',
			'video/quicktime',
		),
		'qtvr'=>array(
			'video/quicktime',
		),
		'qvd'=>array(
			'application/vnd.theqvd',
		),
		'qwd'=>array(
			'application/vnd.quark.quarkxpress',
		),
		'qwt'=>array(
			'application/vnd.quark.quarkxpress',
		),
		'qxb'=>array(
			'application/vnd.quark.quarkxpress',
		),
		'qxd'=>array(
			'application/vnd.quark.quarkxpress',
		),
		'qxl'=>array(
			'application/vnd.quark.quarkxpress',
		),
		'qxt'=>array(
			'application/vnd.quark.quarkxpress',
		),
		'r3d'=>array(
			'image/x-raw-red',
		),
		'ra'=>array(
			'audio/x-realaudio',
			'audio/vnd.m-realaudio',
			'audio/vnd.rn-realaudio',
			'audio/x-pn-realaudio',
		),
		'raf'=>array(
			'image/x-fuji-raf',
			'image/x-dcraw',
			'image/x-raw-fuji',
		),
		'ram'=>array(
			'audio/x-pn-realaudio',
			'application/ram',
			'audio/x-realaudio',
		),
		'raml'=>array(
			'application/raml+yaml',
			'application/x-yaml',
		),
		'rapd'=>array(
			'application/route-apd+xml',
		),
		'rar'=>array(
			'application/vnd.rar',
			'application/rar',
			'application/x-rar',
			'application/x-rar-compressed',
		),
		'ras'=>array(
			'image/x-cmu-raster',
		),
		'raw'=>array(
			'image/x-panasonic-rw',
			'image/x-dcraw',
			'image/x-panasonic-raw',
			'image/x-raw-panasonic',
		),
		'raw-disk-image'=>array(
			'application/x-raw-disk-image',
		),
		'rax'=>array(
			'audio/vnd.rn-realaudio',
			'audio/vnd.m-realaudio',
			'audio/x-pn-realaudio',
		),
		'rb'=>array(
			'application/x-ruby',
			'application/x-executable',
			'text/plain',
			'text/x-ruby',
		),
		'rcprofile'=>array(
			'application/vnd.ipunplugged.rcprofile',
		),
		'rct'=>array(
			'application/prs.nprend',
		),
		'rd'=>array(
			'chemical/x-mdl-rdfile',
		),
		'rdf'=>array(
			'application/rdf+xml',
			'application/xml',
			'text/rdf',
		),
		'rdf-crypt'=>array(
			'application/prs.rdf-xml-crypt',
		),
		'rdfs'=>array(
			'application/rdf+xml',
			'application/xml',
			'text/rdf',
		),
		'rdz'=>array(
			'application/vnd.data-vision.rdz',
		),
		'readme'=>array(
			'text/plain',
		),
		'reg'=>array(
			'text/x-ms-regedit',
			'text/plain',
		),
		'rej'=>array(
			'text/x-reject',
			'application/x-reject',
			'text/plain',
		),
		'relo'=>array(
			'application/p2p-overlay+xml',
		),
		'reload'=>array(
			'application/vnd.resilient.logic',
		),
		'rep'=>array(
			'application/vnd.businessobjects',
			'application/vnd.hcl-bireports',
		),
		'req'=>array(
			'application/vnd.nervana',
		),
		'request'=>array(
			'application/vnd.nervana',
		),
		'res'=>array(
			'application/x-dtbresource+xml',
			'application/x-godot-resource',
		),
		'rest'=>array(
			'text/x-rst',
			'text/plain',
		),
		'restx'=>array(
			'text/x-rst',
			'text/plain',
		),
		'rexx'=>array(
			'text/x-rexx',
			'text/plain',
		),
		'rgb'=>array(
			'image/x-rgb',
		),
		'rgbe'=>array(
			'image/vnd.radiance',
		),
		'rhtml'=>array(
			'application/x-httpd-eruby',
		),
		'rif'=>array(
			'application/reginfo+xml',
		),
		'rip'=>array(
			'audio/vnd.rip',
		),
		'ris'=>array(
			'application/x-research-info-systems',
		),
		'rl'=>array(
			'application/resource-lists+xml',
		),
		'rlc'=>array(
			'image/vnd.fujixerox.edmics-rlc',
		),
		'rld'=>array(
			'application/resource-lists-diff+xml',
		),
		'rle'=>array(
			'image/rle',
		),
		'rlm'=>array(
			'application/vnd.resilient.logic',
		),
		'rm'=>array(
			'audio/vnd.hns.audio',
			'application/vnd.rn-realmedia',
			'application/vnd.rn-realmedia-vbr',
			'audio/x-pn-realaudio',
			'video/vnd.hns.video',
		),
		'rmail'=>array(
			'message/x-gnu-rmail',
		),
		'rmi'=>array(
			'audio/midi',
		),
		'rmj'=>array(
			'application/vnd.rn-realmedia',
			'application/vnd.rn-realmedia-vbr',
		),
		'rmm'=>array(
			'application/vnd.rn-realmedia',
			'application/vnd.rn-realmedia-vbr',
		),
		'rmp'=>array(
			'audio/x-pn-realaudio-plugin',
		),
		'rms'=>array(
			'application/vnd.jcp.javame.midlet-rms',
			'application/vnd.rn-realmedia',
			'application/vnd.rn-realmedia-vbr',
		),
		'rmvb'=>array(
			'application/vnd.rn-realmedia-vbr',
			'application/vnd.rn-realmedia',
		),
		'rmx'=>array(
			'application/vnd.rn-realmedia',
			'application/vnd.rn-realmedia-vbr',
		),
		'rnc'=>array(
			'application/relax-ng-compact-syntax',
			'application/x-rnc',
			'text/plain',
		),
		'rnd'=>array(
			'application/prs.nprend',
		),
		'rng'=>array(
			'text/plain',
			'application/xml',
			'text/xml',
		),
		'rnx'=>array(
			'text/plain',
		),
		'roa'=>array(
			'application/rpki-roa',
		),
		'roff'=>array(
			'text/troff',
			'application/x-troff',
			'application/x-troff-man',
			'application/x-troff-me',
			'application/x-troff-ms',
			'text/plain',
			'text/x-troff',
		),
		'roles'=>array(
			'text/plain',
		),
		'ros'=>array(
			'text/x-common-lisp',
			'chemical/x-rosdal',
			'text/plain',
		),
		'rp'=>array(
			'image/vnd.rn-realpix',
		),
		'rp9'=>array(
			'application/vnd.cloanto.rp9',
		),
		'rpm'=>array(
			'application/x-redhat-package-manager',
			'application/x-rpm',
		),
		'rpss'=>array(
			'application/vnd.nokia.radio-presets',
		),
		'rpst'=>array(
			'application/vnd.nokia.radio-preset',
		),
		'rq'=>array(
			'application/sparql-query',
		),
		'rs'=>array(
			'application/rls-services+xml',
			'text/plain',
			'text/rust',
		),
		'rsat'=>array(
			'application/atsc-rsat+xml',
		),
		'rsd'=>array(
			'application/rsd+xml',
		),
		'rsheet'=>array(
			'application/urc-ressheet+xml',
		),
		'rsm'=>array(
			'model/vnd.gdl',
			'model/vnd.gs-gdl',
		),
		'rss'=>array(
			'application/rss+xml',
			'application/xml',
			'text/rss',
		),
		'rst'=>array(
			'text/prs.fallenstein.rst',
			'text/plain',
			'text/x-rst',
		),
		'rt'=>array(
			'text/vnd.rn-realtext',
			'text/plain',
		),
		'rtf'=>array(
			'application/rtf',
			'text/plain',
			'text/rtf',
		),
		'rtx'=>array(
			'text/richtext',
			'text/plain',
		),
		'run'=>array(
			'application/x-makeself',
		),
		'rusd'=>array(
			'application/route-usd+xml',
		),
		'rv'=>array(
			'video/vnd.rn-realvideo',
			'video/x-real-video',
		),
		'rvx'=>array(
			'video/vnd.rn-realvideo',
			'video/x-real-video',
		),
		'rw2'=>array(
			'image/x-panasonic-rw2',
			'image/x-dcraw',
			'image/x-panasonic-raw2',
			'image/x-raw-panasonic',
		),
		'rwz'=>array(
			'image/x-raw-rawzor',
		),
		'rxn'=>array(
			'chemical/x-mdl-rxnfile',
		),
		'rxr'=>array(
			'application/vnd.medicalholodeck.recordxr',
		),
		's'=>array(
			'text/x-asm',
		),
		's11'=>array(
			'video/vnd.sealed.mpeg1',
		),
		's14'=>array(
			'video/vnd.sealed.mpeg4',
		),
		's1a'=>array(
			'application/vnd.sealedmedia.softseal.pdf',
		),
		's1e'=>array(
			'application/vnd.sealed.xls',
		),
		's1g'=>array(
			'image/vnd.sealedmedia.softseal.gif',
		),
		's1h'=>array(
			'application/vnd.sealedmedia.softseal.html',
		),
		's1j'=>array(
			'image/vnd.sealedmedia.softseal.jpg',
		),
		's1m'=>array(
			'audio/vnd.sealedmedia.softseal.mpeg',
		),
		's1n'=>array(
			'image/vnd.sealed.png',
		),
		's1p'=>array(
			'application/vnd.sealed.ppt',
		),
		's1q'=>array(
			'video/vnd.sealedmedia.softseal.mov',
		),
		's1w'=>array(
			'application/vnd.sealed.doc',
		),
		's3df'=>array(
			'application/vnd.sealed.3df',
		),
		's3m'=>array(
			'audio/s3m',
			'audio/x-s3m',
		),
		's7m'=>array(
			'application/x-sas-dmdb',
		),
		'sa7'=>array(
			'application/x-sas-access',
		),
		'sac'=>array(
			'application/tamp-sequence-adjust-confirm',
		),
		'saf'=>array(
			'application/vnd.yamaha.smaf-audio',
		),
		'sage'=>array(
			'text/x-sagemath',
			'text/x-python',
		),
		'sam'=>array(
			'application/x-amipro',
		),
		'sami'=>array(
			'application/x-sami',
			'text/plain',
		),
		'sap'=>array(
			'application/x-thomson-sap-image',
			'application/x-sap-file',
		),
		'sar'=>array(
			'application/vnd.sar',
		),
		'sarif'=>array(
			'application/sarif+json',
		),
		'sarif-external-properties'=>array(
			'application/sarif-external-properties+json',
		),
		'sarifjson'=>array(
			'application/sarif+json',
		),
		'sas'=>array(
			'application/x-sas',
			'text/plain',
		),
		'sas7bacs'=>array(
			'application/x-sas-access',
		),
		'sas7baud'=>array(
			'application/x-sas-audit',
		),
		'sas7bbak'=>array(
			'application/x-sas-backup',
		),
		'sas7bcat'=>array(
			'application/x-sas-catalog',
		),
		'sas7bdat'=>array(
			'application/x-sas-data',
		),
		'sas7bdmd'=>array(
			'application/x-sas-dmdb',
		),
		'sas7bfdb'=>array(
			'application/x-sas-fdb',
		),
		'sas7bitm'=>array(
			'application/x-sas-itemstor',
		),
		'sas7bmdb'=>array(
			'application/x-sas-mddb',
		),
		'sas7bndx'=>array(
			'application/x-sas-data-index',
		),
		'sas7bpgm'=>array(
			'application/x-sas-program-data',
		),
		'sas7bput'=>array(
			'application/x-sas-putility',
		),
		'sas7butl'=>array(
			'application/x-sas-utility',
		),
		'sas7bvew'=>array(
			'application/x-sas-view',
		),
		'sass'=>array(
			'text/x-sass',
			'text/plain',
		),
		'sat'=>array(
			'text/plain',
		),
		'sav'=>array(
			'application/x-spss-sav',
			'application/x-spss-savefile',
		),
		'sbml'=>array(
			'application/sbml+xml',
		),
		'sc'=>array(
			'application/vnd.ibm.secure-container',
			'text/plain',
			'text/x-scala',
		),
		'sc7'=>array(
			'application/x-sas-catalog',
		),
		'scala'=>array(
			'text/x-scala',
			'text/plain',
		),
		'scd'=>array(
			'application/vnd.scribus',
			'application/x-msschedule',
		),
		'scdgz'=>array(
			'application/vnd.scribus',
		),
		'sce'=>array(
			'application/vnd.etsi.asic-e+zip',
		),
		'schemas'=>array(
			'text/plain',
		),
		'scl'=>array(
			'application/vnd.sycle+xml',
		),
		'scld'=>array(
			'application/vnd.doremir.scorecloud-binary-document',
		),
		'scm'=>array(
			'application/vnd.lotus-screencam',
			'text/plain',
			'text/x-scheme',
		),
		'scn'=>array(
			'application/x-godot-scene',
		),
		'sconscript'=>array(
			'text/x-scons',
			'text/x-python',
		),
		'sconstruct'=>array(
			'text/x-scons',
			'text/x-python',
		),
		'scope'=>array(
			'text/x-systemd-unit',
			'text/plain',
		),
		'scq'=>array(
			'application/scvp-cv-request',
		),
		'scs'=>array(
			'application/scvp-cv-response',
			'application/vnd.etsi.asic-s+zip',
		),
		'scsf'=>array(
			'application/vnd.sealed.csf',
		),
		'scss'=>array(
			'text/x-scss',
			'text/plain',
		),
		'sct'=>array(
			'text/scriptlet',
		),
		'scurl'=>array(
			'text/vnd.curl.scurl',
		),
		'sd'=>array(
			'chemical/x-mdl-sdfile',
		),
		'sd2'=>array(
			'application/x-sas-data-v6',
			'audio/x-sd2',
		),
		'sd7'=>array(
			'application/x-sas-data',
		),
		'sda'=>array(
			'application/vnd.stardivision.draw',
		),
		'sdc'=>array(
			'application/vnd.stardivision.calc',
		),
		'sdd'=>array(
			'application/vnd.stardivision.impress',
		),
		'sdf'=>array(
			'application/vnd.kinar',
			'chemical/x-mdl-sdfile',
		),
		'sdkd'=>array(
			'application/vnd.solent.sdkm+xml',
		),
		'sdkm'=>array(
			'application/vnd.solent.sdkm+xml',
		),
		'sdo'=>array(
			'application/vnd.sealed.doc',
		),
		'sdoc'=>array(
			'application/vnd.sealed.doc',
		),
		'sdp'=>array(
			'application/sdp',
			'application/vnd.sdp',
			'application/vnd.stardivision.impress',
			'application/x-sdp',
			'text/plain',
		),
		'sds'=>array(
			'application/vnd.stardivision.chart',
		),
		'sdw'=>array(
			'application/vnd.stardivision.writer',
			'application/vnd.stardivision.writer-global',
		),
		'sea'=>array(
			'application/x-sea',
		),
		'sed'=>array(
			'text/x-sed',
			'text/plain',
		),
		'see'=>array(
			'application/vnd.seemail',
		),
		'seed'=>array(
			'application/vnd.fdsn.seed',
			'application/vnd.fdsn.mseed',
		),
		'sem'=>array(
			'application/vnd.sealed.eml',
		),
		'sema'=>array(
			'application/vnd.sema',
		),
		'semd'=>array(
			'application/vnd.semd',
		),
		'semf'=>array(
			'application/vnd.semf',
		),
		'seml'=>array(
			'application/vnd.sealed.eml',
		),
		'senml'=>array(
			'application/senml+json',
		),
		'senml-etchc'=>array(
			'application/senml-etch+cbor',
		),
		'senml-etchj'=>array(
			'application/senml-etch+json',
		),
		'senmlc'=>array(
			'application/senml+cbor',
		),
		'senmle'=>array(
			'application/senml-exi',
		),
		'senmlx'=>array(
			'application/senml+xml',
		),
		'sensml'=>array(
			'application/sensml+json',
		),
		'sensmlc'=>array(
			'application/sensml+cbor',
		),
		'sensmle'=>array(
			'application/sensml-exi',
		),
		'sensmlx'=>array(
			'application/sensml+xml',
		),
		'ser'=>array(
			'application/java-serialized-object',
		),
		'service'=>array(
			'text/x-dbus-service',
			'text/plain',
			'text/x-systemd-unit',
		),
		'setpay'=>array(
			'application/set-payment-initiation',
		),
		'setreg'=>array(
			'application/set-registration-initiation',
		),
		'sf7'=>array(
			'application/x-sas-fdb',
		),
		'sfc'=>array(
			'application/vnd.nintendo.snes.rom',
			'application/x-snes-rom',
		),
		'sfd'=>array(
			'application/vnd.font-fontforge-sfd',
		),
		'sfd-hdstx'=>array(
			'application/vnd.hydrostatix.sof-data',
		),
		'sfdu'=>array(
			'application/x-sfdu',
			'text/plain',
		),
		'sfs'=>array(
			'application/vnd.spotfire.sfs',
		),
		'sfv'=>array(
			'text/x-sfv',
		),
		'sg'=>array(
			'application/x-sg1000-rom',
		),
		'sgb'=>array(
			'application/x-gameboy-rom',
		),
		'sgd'=>array(
			'application/x-genesis-rom',
		),
		'sgf'=>array(
			'application/x-go-sgf',
			'text/plain',
		),
		'sgi'=>array(
			'image/vnd.sealedmedia.softseal.gif',
			'image/sgi',
			'image/x-sgi',
		),
		'sgif'=>array(
			'image/vnd.sealedmedia.softseal.gif',
		),
		'sgl'=>array(
			'application/vnd.stardivision.writer-global',
			'application/vnd.stardivision.writer',
		),
		'sgm'=>array(
			'text/sgml',
			'text/plain',
		),
		'sgml'=>array(
			'text/sgml',
			'text/plain',
		),
		'sh'=>array(
			'application/x-sh',
			'application/x-executable',
			'application/x-shellscript',
			'text/plain',
			'text/x-sh',
		),
		'shaclc'=>array(
			'text/shaclc',
		),
		'shape'=>array(
			'application/x-dia-shape',
			'application/xml',
		),
		'shar'=>array(
			'application/x-shar',
		),
		'shc'=>array(
			'text/shaclc',
		),
		'shex'=>array(
			'text/shex',
		),
		'shf'=>array(
			'application/shf+xml',
		),
		'shn'=>array(
			'application/x-shorten',
			'audio/x-shorten',
		),
		'shp'=>array(
			'application/vnd.shp',
			'application/x-shapefile',
		),
		'shtml'=>array(
			'text/html',
		),
		'shw'=>array(
			'application/x-corelpresentations',
		),
		'shx'=>array(
			'application/vnd.shx',
		),
		'si7'=>array(
			'application/x-sas-data-index',
		),
		'siag'=>array(
			'application/x-siag',
		),
		'sid'=>array(
			'audio/prs.sid',
			'image/x-mrsid-image',
		),
		'sig'=>array(
			'application/pgp-signature',
			'application/rpki-checklist',
			'text/plain',
		),
		'sik'=>array(
			'application/x-trash',
		),
		'sil'=>array(
			'audio/silk',
		),
		'silo'=>array(
			'model/mesh',
		),
		'sipa'=>array(
			'application/vnd.smintio.portals.archive',
		),
		'sis'=>array(
			'application/vnd.symbian.install',
		),
		'sisx'=>array(
			'application/vnd.symbian.install',
			'x-epoc/x-sisx-app',
		),
		'sit'=>array(
			'application/x-stuffit',
			'application/stuffit',
			'application/x-sit',
		),
		'sitx'=>array(
			'application/x-stuffitx',
			'application/x-stuffit',
		),
		'siv'=>array(
			'application/sieve',
			'application/xml',
		),
		'sjp'=>array(
			'image/vnd.sealedmedia.softseal.jpg',
		),
		'sjpg'=>array(
			'image/vnd.sealedmedia.softseal.jpg',
		),
		'sk'=>array(
			'image/x-skencil',
		),
		'sk1'=>array(
			'image/x-skencil',
		),
		'skd'=>array(
			'application/vnd.koan',
			'application/x-koan',
		),
		'skm'=>array(
			'application/vnd.koan',
			'application/x-koan',
		),
		'skp'=>array(
			'application/vnd.koan',
			'application/x-koan',
		),
		'skr'=>array(
			'application/pgp-keys',
			'text/plain',
		),
		'skt'=>array(
			'application/vnd.koan',
			'application/x-koan',
		),
		'sla'=>array(
			'application/vnd.scribus',
		),
		'slagz'=>array(
			'application/vnd.scribus',
		),
		'slaz'=>array(
			'application/vnd.scribus',
		),
		'sldasm'=>array(
			'application/sldworks',
			'application/sldasm',
		),
		'slddrw'=>array(
			'application/sldworks',
			'application/slddrw',
		),
		'sldm'=>array(
			'application/vnd.ms-powerpoint.slide.macroenabled.12',
			'application/vnd.ms-office',
			'application/vnd.openxmlformats-officedocument.presentationml.slide',
		),
		'sldprt'=>array(
			'application/sldworks',
			'application/sldprt',
		),
		'sldx'=>array(
			'application/vnd.openxmlformats-officedocument.presentationml.slide',
			'application/vnd.ms-office',
			'application/zip',
		),
		'slice'=>array(
			'text/x-systemd-unit',
			'text/plain',
		),
		'slk'=>array(
			'text/spreadsheet',
			'text/plain',
		),
		'sls'=>array(
			'application/route-s-tsid+xml',
		),
		'slt'=>array(
			'application/vnd.epson.salt',
		),
		'sm'=>array(
			'application/vnd.stepmania.stepchart',
		),
		'sm7'=>array(
			'application/x-sas-mddb',
		),
		'smaf'=>array(
			'application/vnd.smaf',
			'application/x-smaf',
		),
		'smc'=>array(
			'application/vnd.nintendo.snes.rom',
			'application/x-snes-rom',
		),
		'smd'=>array(
			'application/vnd.stardivision.mail',
			'application/x-genesis-rom',
		),
		'smf'=>array(
			'application/vnd.stardivision.math',
		),
		'smh'=>array(
			'application/vnd.sealed.mht',
		),
		'smht'=>array(
			'application/vnd.sealed.mht',
		),
		'smi'=>array(
			'application/smil',
			'application/smil+xml',
			'application/x-sami',
			'application/xml',
			'text/plain',
		),
		'smil'=>array(
			'application/smil',
			'application/smil+xml',
			'application/xml',
		),
		'smk'=>array(
			'video/vnd.radgamettools.smacker',
		),
		'sml'=>array(
			'application/smil',
			'application/smil+xml',
			'application/xml',
		),
		'smo'=>array(
			'video/vnd.sealedmedia.softseal.mov',
		),
		'smov'=>array(
			'video/vnd.sealedmedia.softseal.mov',
		),
		'smp'=>array(
			'audio/vnd.sealedmedia.softseal.mpeg',
		),
		'smp3'=>array(
			'audio/vnd.sealedmedia.softseal.mpeg',
		),
		'smpg'=>array(
			'video/vnd.sealed.mpeg1',
			'video/vnd.sealed.mpeg4',
		),
		'sms'=>array(
			'application/vnd.3gpp.sms',
			'application/vnd.3gpp2.sms',
			'application/x-sms-rom',
		),
		'smv'=>array(
			'video/x-smv',
		),
		'smzip'=>array(
			'application/vnd.stepmania.package',
		),
		'snap'=>array(
			'application/vnd.snap',
			'application/vnd.squashfs',
		),
		'snd'=>array(
			'audio/basic',
		),
		'snf'=>array(
			'application/x-font-snf',
		),
		'so'=>array(
			'application/octet-stream',
			'application/x-sharedlib',
		),
		'socket'=>array(
			'text/x-systemd-unit',
			'text/plain',
		),
		'sofa'=>array(
			'audio/sofa',
		),
		'sos'=>array(
			'text/vnd.sosi',
		),
		'sp7'=>array(
			'application/x-sas-putility',
		),
		'spc'=>array(
			'application/x-pkcs7-certificates',
			'chemical/x-galactic-spc',
		),
		'spd'=>array(
			'application/vnd.sealedmedia.softseal.pdf',
			'application/x-font-speedo',
		),
		'spdf'=>array(
			'application/vnd.sealedmedia.softseal.pdf',
		),
		'spdx'=>array(
			'text/spdx',
		),
		'spdxjson'=>array(
			'application/spdx+json',
		),
		'spec'=>array(
			'text/x-rpm-spec',
			'text/plain',
		),
		'spf'=>array(
			'application/vnd.yamaha.smaf-phrase',
		),
		'spl'=>array(
			'application/x-futuresplash',
			'application/futuresplash',
			'application/vnd.adobe.flash.movie',
			'application/x-shockwave-flash',
		),
		'spm'=>array(
			'application/x-source-rpm',
			'application/x-rpm',
		),
		'spn'=>array(
			'image/vnd.sealed.png',
		),
		'spng'=>array(
			'image/vnd.sealed.png',
		),
		'spo'=>array(
			'text/vnd.in3d.spot',
		),
		'spot'=>array(
			'text/vnd.in3d.spot',
		),
		'spp'=>array(
			'application/scvp-vp-response',
			'application/vnd.sealed.ppt',
		),
		'sppt'=>array(
			'application/vnd.sealed.ppt',
		),
		'spq'=>array(
			'application/scvp-vp-request',
		),
		'spx'=>array(
			'audio/ogg',
			'application/x-apple-systemprofiler+xml',
			'application/x-speex',
			'application/xml',
			'audio/speex',
			'audio/x-speex',
			'audio/x-speex+ogg',
		),
		'sql'=>array(
			'application/sql',
			'application/x-sql',
			'text/plain',
			'text/x-sql',
		),
		'sqlite2'=>array(
			'application/x-sqlite2',
		),
		'sqlite3'=>array(
			'application/vnd.sqlite3',
			'application/x-sqlite3',
		),
		'sqsh'=>array(
			'application/vnd.squashfs',
		),
		'sr'=>array(
			'application/vnd.sigrok.session',
		),
		'sr2'=>array(
			'image/x-sony-sr2',
			'image/x-dcraw',
			'image/x-raw-sony',
		),
		'sr7'=>array(
			'application/x-sas-itemstor',
		),
		'src'=>array(
			'application/x-wais-source',
			'text/plain',
		),
		'srf'=>array(
			'image/x-sony-srf',
			'image/x-dcraw',
			'image/x-raw-sony',
		),
		'srl'=>array(
			'application/sereal',
		),
		'srt'=>array(
			'application/x-subrip',
			'application/x-srt',
			'text/plain',
		),
		'sru'=>array(
			'application/sru+xml',
		),
		'srx'=>array(
			'application/sparql-results+xml',
			'application/xml',
		),
		'ss'=>array(
			'text/x-scheme',
			'text/plain',
		),
		'ss7'=>array(
			'application/x-sas-program-data',
		),
		'ssa'=>array(
			'text/x-ssa',
			'text/plain',
		),
		'ssdl'=>array(
			'application/ssdl+xml',
		),
		'sse'=>array(
			'application/vnd.kodak-descriptor',
		),
		'ssf'=>array(
			'application/vnd.epson.ssf',
		),
		'ssml'=>array(
			'application/ssml+xml',
		),
		'ssv'=>array(
			'application/vnd.crypto-shade-file',
			'application/vnd.shade-save-file',
		),
		'ssvc'=>array(
			'application/vnd.crypto-shade-file',
		),
		'ssw'=>array(
			'video/vnd.sealed.swf',
		),
		'sswf'=>array(
			'video/vnd.sealed.swf',
		),
		'st'=>array(
			'application/vnd.sailingtracker.track',
			'text/plain',
			'text/x-stsrc',
		),
		'st7'=>array(
			'application/x-sas-audit',
		),
		'stc'=>array(
			'application/vnd.sun.xml.calc.template',
			'application/zip',
		),
		'std'=>array(
			'application/vnd.sun.xml.draw.template',
			'application/zip',
		),
		'step'=>array(
			'application/p21',
			'application/sldworks',
			'application/step',
			'model/step',
			'text/plain',
		),
		'stf'=>array(
			'application/vnd.wt.stf',
		),
		'sti'=>array(
			'application/vnd.sun.xml.impress.template',
			'application/zip',
		),
		'stif'=>array(
			'application/vnd.sealed.tiff',
		),
		'stix'=>array(
			'application/stix+json',
		),
		'stk'=>array(
			'application/hyperstudio',
		),
		'stl'=>array(
			'model/stl',
			'application/vnd.ms-pki.stl',
			'model/x.stl-ascii',
			'model/x.stl-binary',
		),
		'stm'=>array(
			'application/vnd.sealedmedia.softseal.html',
			'audio/x-stm',
		),
		'stml'=>array(
			'application/vnd.sealedmedia.softseal.html',
		),
		'stp'=>array(
			'application/p21',
			'application/sldworks',
			'applicatoin/step',
			'model/step',
			'text/plain',
		),
		'stpnc'=>array(
			'application/p21',
			'model/step',
		),
		'stpx'=>array(
			'model/step+xml',
		),
		'stpxz'=>array(
			'model/step-xml+zip',
		),
		'stpz'=>array(
			'application/p21+zip',
			'model/step+zip',
		),
		'str'=>array(
			'application/vnd.pg.format',
		),
		'study-inter'=>array(
			'application/vnd.vd-study',
		),
		'stw'=>array(
			'application/vnd.sun.xml.writer.template',
			'application/vnd.sun.xml.writer',
			'application/zip',
		),
		'stx'=>array(
			'application/x-sas-transport',
		),
		'sty'=>array(
			'text/x-tex',
			'application/x-tex',
			'text/plain',
		),
		'su7'=>array(
			'application/x-sas-utility',
		),
		'sub'=>array(
			'image/vnd.dvb.subtitle',
			'text/plain',
			'text/vnd.dvb.subtitle',
			'text/x-microdvd',
			'text/x-mpsub',
			'text/x-subviewer',
		),
		'sun'=>array(
			'image/x-sun-raster',
		),
		'sus'=>array(
			'application/vnd.sus-calendar',
		),
		'susp'=>array(
			'application/vnd.sus-calendar',
		),
		'sv'=>array(
			'text/x-svsrc',
			'text/x-verilog',
		),
		'sv4cpio'=>array(
			'application/x-sv4cpio',
		),
		'sv4crc'=>array(
			'application/x-sv4crc',
		),
		'sv7'=>array(
			'application/x-sas-view',
		),
		'svc'=>array(
			'application/vnd.dvb.service',
		),
		'svd'=>array(
			'application/vnd.svd',
		),
		'svg'=>array(
			'image/svg+xml',
			'application/xml',
		),
		'svgz'=>array(
			'image/svg+xml',
			'application/gzip',
			'image/svg+xml-compressed',
		),
		'svh'=>array(
			'text/x-svhdr',
			'text/x-verilog',
		),
		'sw'=>array(
			'chemical/x-swissprot',
		),
		'swa'=>array(
			'application/x-director',
		),
		'swap'=>array(
			'text/x-systemd-unit',
			'text/plain',
		),
		'swf'=>array(
			'application/x-shockwave-flash',
			'application/futuresplash',
			'application/vnd.adobe.flash.movie',
		),
		'swfl'=>array(
			'application/x-shockwave-flash',
		),
		'swi'=>array(
			'application/vnd.aristanetworks.swi',
			'application/vnd.arastra.swi',
		),
		'swidtag'=>array(
			'application/swid+xml',
		),
		'swm'=>array(
			'application/x-ms-wim',
		),
		'sxc'=>array(
			'application/vnd.sun.xml.calc',
			'application/zip',
		),
		'sxd'=>array(
			'application/vnd.sun.xml.draw',
			'application/zip',
		),
		'sxg'=>array(
			'application/vnd.sun.xml.writer.global',
			'application/zip',
		),
		'sxi'=>array(
			'application/vnd.vd-study',
			'application/vnd.sun.xml.impress',
			'application/zip',
		),
		'sxl'=>array(
			'application/vnd.sealed.xls',
		),
		'sxls'=>array(
			'application/vnd.sealed.xls',
		),
		'sxm'=>array(
			'application/vnd.sun.xml.math',
			'application/zip',
		),
		'sxw'=>array(
			'application/vnd.sun.xml.writer',
			'application/x-vnd.sun.xml.writer',
			'application/zip',
		),
		'sy2'=>array(
			'application/vnd.sybyl.mol2',
		),
		'syftjson'=>array(
			'application/vnd.syft+json',
		),
		'sylk'=>array(
			'text/spreadsheet',
			'text/plain',
		),
		'sz'=>array(
			'application/x-snappy-framed',
		),
		't'=>array(
			'text/troff',
			'application/x-troff',
		),
		't2t'=>array(
			'text/x-txt2tags',
			'text/plain',
		),
		't3'=>array(
			'application/x-t3vm-image',
		),
		't38'=>array(
			'image/t38',
		),
		'taglet'=>array(
			'application/vnd.mynfc',
		),
		'tak'=>array(
			'audio/x-tak',
		),
		'tam'=>array(
			'application/vnd.onepager',
		),
		'tamp'=>array(
			'application/vnd.onepagertamp',
		),
		'tamx'=>array(
			'application/vnd.onepagertamx',
		),
		'tao'=>array(
			'application/vnd.tao.intent-module-archive',
		),
		'tap'=>array(
			'image/vnd.tencent.tap',
		),
		'tar'=>array(
			'application/x-tar',
			'application/x-gtar',
		),
		'target'=>array(
			'text/x-systemd-unit',
			'text/plain',
		),
		'tat'=>array(
			'application/vnd.onepagertat',
		),
		'tatp'=>array(
			'application/vnd.onepagertatp',
		),
		'tatx'=>array(
			'application/vnd.onepagertatx',
		),
		'tau'=>array(
			'application/tamp-apex-update',
		),
		'taz'=>array(
			'application/x-tarz',
			'application/x-compress',
			'application/x-gtar',
		),
		'tb2'=>array(
			'application/x-bzip-compressed-tar',
			'application/x-bzip',
		),
		'tbz'=>array(
			'application/x-bzip',
			'application/x-bzip-compressed-tar',
		),
		'tbz2'=>array(
			'application/vnd.gentoo.xpak',
			'application/x-bzip',
			'application/x-bzip-compressed-tar',
			'application/x-bzip2',
		),
		'tcap'=>array(
			'application/vnd.3gpp2.tcap',
		),
		'tcl'=>array(
			'application/x-tcl',
			'text/plain',
			'text/tcl',
			'text/x-tcl',
		),
		'tcsh'=>array(
			'application/x-csh',
		),
		'tcu'=>array(
			'application/tamp-community-update',
		),
		'teacher'=>array(
			'application/vnd.smart.teacher',
		),
		'tei'=>array(
			'application/tei+xml',
		),
		'teicorpus'=>array(
			'application/tei+xml',
		),
		'ter'=>array(
			'application/tamp-error',
		),
		'tex'=>array(
			'application/x-tex',
			'text/plain',
			'text/x-tex',
		),
		'texi'=>array(
			'application/x-texinfo',
			'text/plain',
			'text/x-texinfo',
		),
		'texinfo'=>array(
			'application/x-texinfo',
			'text/plain',
			'text/x-texinfo',
		),
		'text'=>array(
			'text/plain',
			'application/vnd.cncf.helm.chart.provenance.v1.prov',
		),
		'tfi'=>array(
			'application/thraud+xml',
		),
		'tfm'=>array(
			'application/x-tex-tfm',
		),
		'tfx'=>array(
			'image/tiff-fx',
		),
		'tga'=>array(
			'image/x-tga',
			'application/tga',
			'application/x-targa',
			'application/x-tga',
			'image/targa',
			'image/tga',
			'image/x-icb',
			'image/x-targa',
		),
		'tgf'=>array(
			'chemical/x-mdl-tgf',
		),
		'tgz'=>array(
			'application/gzip',
			'application/gzip-compressed',
			'application/gzipped',
			'application/x-compressed-tar',
			'application/x-gtar',
			'application/x-gunzip',
			'application/x-gzip',
			'application/x-gzip-compressed',
			'gzip/document',
		),
		'the'=>array(
			'message/global-headers',
		),
		'theme'=>array(
			'application/x-theme',
			'application/x-desktop',
		),
		'themepack'=>array(
			'application/x-windows-themepack',
			'application/vnd.ms-cab-compressed',
		),
		'thmx'=>array(
			'application/vnd.ms-officetheme',
			'application/vnd.ms-office',
			'application/vnd.openxmlformats-officedocument.presentationml.presentation',
		),
		'tif'=>array(
			'image/tiff',
		),
		'tiff'=>array(
			'image/tiff',
		),
		'timer'=>array(
			'text/x-systemd-unit',
			'text/plain',
		),
		'tk'=>array(
			'text/x-tcl',
			'application/x-tcl',
			'text/plain',
			'text/tcl',
		),
		'tlclient'=>array(
			'application/vnd.cendio.thinlinc.clientconf',
		),
		'tld'=>array(
			'text/plain',
		),
		'tlrz'=>array(
			'application/x-lrzip-compressed-tar',
			'application/x-lrzip',
		),
		'tlz'=>array(
			'application/x-lzma-compressed-tar',
			'application/x-lzma',
		),
		'tm'=>array(
			'text/texmacs',
		),
		'tmjson'=>array(
			'application/tm+json',
		),
		'tmjsonld'=>array(
			'application/tm+json',
		),
		'tmo'=>array(
			'application/vnd.tmobile-livetv',
		),
		'tnef'=>array(
			'application/vnd.ms-tnef',
			'application/ms-tnef',
		),
		'tnf'=>array(
			'application/vnd.ms-tnef',
			'application/ms-tnef',
		),
		'toast'=>array(
			'application/x-roxio-toast',
			'application/x-iso9660-image',
		),
		'toc'=>array(
			'application/x-cdrdao-toc',
			'text/plain',
		),
		'toml'=>array(
			'application/toml',
			'text/plain',
		),
		'torrent'=>array(
			'application/x-bittorrent',
		),
		'tpic'=>array(
			'image/x-tga',
			'application/tga',
			'application/x-targa',
			'application/x-tga',
			'image/targa',
			'image/tga',
			'image/x-icb',
			'image/x-targa',
		),
		'tpl'=>array(
			'application/vnd.groove-tool-template',
		),
		'tpt'=>array(
			'application/vnd.trid.tpt',
		),
		'tr'=>array(
			'text/troff',
			'application/x-troff',
			'application/x-troff-man',
			'application/x-troff-me',
			'application/x-troff-ms',
			'text/plain',
			'text/x-troff',
		),
		'tra'=>array(
			'application/vnd.trueapp',
		),
		'tree'=>array(
			'application/vnd.rainstor.data',
		),
		'tres'=>array(
			'application/x-godot-resource',
		),
		'trig'=>array(
			'application/trig',
			'application/x-trig',
			'text/plain',
		),
		'trm'=>array(
			'application/x-msterminal',
		),
		'ts'=>array(
			'text/vnd.trolltech.linguist',
			'application/x-linguist',
			'application/xml',
			'text/texmacs',
			'text/vnd.qt.linguist',
			'video/mp2t',
		),
		'tsa'=>array(
			'application/tamp-sequence-adjust',
		),
		'tscn'=>array(
			'application/x-godot-scene',
		),
		'tsd'=>array(
			'application/timestamped-data',
		),
		'tsp'=>array(
			'application/dsptype',
		),
		'tsq'=>array(
			'application/tamp-status-query',
		),
		'tsr'=>array(
			'application/tamp-status-response',
		),
		'tst'=>array(
			'application/vnd.etsi.timestamp-token',
		),
		'tsv'=>array(
			'text/tab-separated-values',
			'text/plain',
		),
		'tta'=>array(
			'audio/x-tta',
			'audio/tta',
		),
		'ttc'=>array(
			'font/collection',
			'application/x-font-ttf',
		),
		'ttf'=>array(
			'font/ttf',
			'application/font-sfnt',
			'application/x-font-ttf',
		),
		'ttl'=>array(
			'text/turtle',
			'text/plain',
		),
		'ttml'=>array(
			'application/ttml+xml',
		),
		'ttx'=>array(
			'application/x-font-ttx',
			'application/xml',
		),
		'tuc'=>array(
			'application/tamp-update-confirm',
		),
		'tur'=>array(
			'application/tamp-update',
		),
		'twd'=>array(
			'application/vnd.simtech-mindmapper',
		),
		'twds'=>array(
			'application/vnd.simtech-mindmapper',
		),
		'twig'=>array(
			'text/x-twig',
			'text/plain',
		),
		'txd'=>array(
			'application/vnd.genomatix.tuxedo',
		),
		'txf'=>array(
			'application/vnd.mobius.txf',
		),
		'txt'=>array(
			'text/plain',
			'text/prs.fallenstein.rst',
			'text/prs.prop.logic',
		),
		'txz'=>array(
			'application/x-xz-compressed-tar',
			'application/x-xz',
		),
		'types'=>array(
			'text/plain',
		),
		'tzo'=>array(
			'application/x-tzo',
			'application/x-lzop',
		),
		'tzst'=>array(
			'application/x-zstd-compressed-tar',
			'application/zstd',
		),
		'u32'=>array(
			'application/x-authorware-bin',
		),
		'u3d'=>array(
			'model/u3d',
		),
		'uc2'=>array(
			'application/x-uc2-compressed',
		),
		'udeb'=>array(
			'application/vnd.debian.binary-package',
			'application/x-archive',
			'application/x-deb',
			'application/x-debian-package',
		),
		'ufd'=>array(
			'application/vnd.ufdl',
		),
		'ufdl'=>array(
			'application/vnd.ufdl',
		),
		'ufraw'=>array(
			'application/x-ufraw',
			'application/xml',
		),
		'ui'=>array(
			'application/x-designer',
			'application/x-gtk-builder',
			'application/xml',
		),
		'uil'=>array(
			'text/x-uil',
			'text/plain',
		),
		'uls'=>array(
			'text/iuls',
		),
		'ult'=>array(
			'audio/x-mod',
		),
		'ulx'=>array(
			'application/x-glulx',
		),
		'umj'=>array(
			'application/vnd.umajin',
		),
		'unf'=>array(
			'application/x-nes-rom',
		),
		'uni'=>array(
			'audio/x-mod',
		),
		'unif'=>array(
			'application/x-nes-rom',
		),
		'unityweb'=>array(
			'application/vnd.unity',
		),
		'uo'=>array(
			'application/vnd.uoml+xml',
		),
		'uoml'=>array(
			'application/vnd.uoml+xml',
		),
		'uri'=>array(
			'text/uri-list',
		),
		'uric'=>array(
			'text/vnd.si.uricatalogue',
		),
		'urim'=>array(
			'application/vnd.uri-map',
		),
		'uris'=>array(
			'text/uri-list',
		),
		'url'=>array(
			'application/x-mswinurl',
			'text/plain',
		),
		'urls'=>array(
			'text/uri-list',
		),
		'usda'=>array(
			'model/vnd.usda',
		),
		'usdz'=>array(
			'model/vnd.usdz+zip',
		),
		'ustar'=>array(
			'application/x-ustar',
		),
		'utz'=>array(
			'application/vnd.uiq.theme',
		),
		'uu'=>array(
			'text/x-uuencode',
		),
		'uue'=>array(
			'text/x-uuencode',
			'text/plain',
			'zz-application/zz-winassoc-uu',
		),
		'uva'=>array(
			'audio/vnd.dece.audio',
		),
		'uvd'=>array(
			'application/vnd.dece.data',
		),
		'uvf'=>array(
			'application/vnd.dece.data',
		),
		'uvg'=>array(
			'image/vnd.dece.graphic',
		),
		'uvh'=>array(
			'video/vnd.dece.hd',
		),
		'uvi'=>array(
			'image/vnd.dece.graphic',
		),
		'uvm'=>array(
			'video/vnd.dece.mobile',
		),
		'uvp'=>array(
			'video/vnd.dece.pd',
		),
		'uvs'=>array(
			'video/vnd.dece.sd',
		),
		'uvt'=>array(
			'application/vnd.dece.ttml+xml',
		),
		'uvu'=>array(
			'video/vnd.uvvu.mp4',
			'video/vnd.dece.mp4',
		),
		'uvv'=>array(
			'video/vnd.dece.video',
		),
		'uvva'=>array(
			'audio/vnd.dece.audio',
		),
		'uvvd'=>array(
			'application/vnd.dece.data',
		),
		'uvvf'=>array(
			'application/vnd.dece.data',
		),
		'uvvg'=>array(
			'image/vnd.dece.graphic',
		),
		'uvvh'=>array(
			'video/vnd.dece.hd',
		),
		'uvvi'=>array(
			'image/vnd.dece.graphic',
		),
		'uvvm'=>array(
			'video/vnd.dece.mobile',
		),
		'uvvp'=>array(
			'video/vnd.dece.pd',
		),
		'uvvs'=>array(
			'video/vnd.dece.sd',
		),
		'uvvt'=>array(
			'application/vnd.dece.ttml+xml',
		),
		'uvvu'=>array(
			'video/vnd.uvvu.mp4',
			'video/vnd.dece.mp4',
		),
		'uvvv'=>array(
			'video/vnd.dece.video',
		),
		'uvvx'=>array(
			'application/vnd.dece.unspecified',
		),
		'uvvz'=>array(
			'application/vnd.dece.zip',
		),
		'uvx'=>array(
			'application/vnd.dece.unspecified',
		),
		'uvz'=>array(
			'application/vnd.dece.zip',
		),
		'v64'=>array(
			'application/x-n64-rom',
		),
		'val'=>array(
			'chemical/x-ncbi-asn1-binary',
		),
		'vala'=>array(
			'text/x-vala',
			'text/x-csrc',
		),
		'vapi'=>array(
			'text/x-vala',
			'text/x-csrc',
		),
		'vb'=>array(
			'application/x-virtual-boy-rom',
			'text/x-vbasic',
			'text/x-vbdotnet',
		),
		'vbk'=>array(
			'audio/vnd.nortel.vbk',
		),
		'vbs'=>array(
			'text/vbscript',
			'text/plain',
			'text/vbs',
			'text/x-vbasic',
			'text/x-vbscript',
		),
		'vcard'=>array(
			'text/vcard',
			'text/directory',
			'text/plain',
			'text/x-vcard',
		),
		'vcd'=>array(
			'application/x-cdlink',
		),
		'vcf'=>array(
			'text/x-vcard',
			'text/directory',
			'text/plain',
			'text/vcard',
		),
		'vcg'=>array(
			'application/vnd.groove-vcard',
		),
		'vcj'=>array(
			'application/voucher-cms+json',
		),
		'vcs'=>array(
			'text/x-vcalendar',
			'application/ics',
			'text/calendar',
			'text/plain',
		),
		'vct'=>array(
			'text/vcard',
			'text/directory',
			'text/plain',
			'text/x-vcard',
		),
		'vcx'=>array(
			'application/vnd.vcx',
		),
		'vda'=>array(
			'image/x-tga',
			'application/tga',
			'application/x-targa',
			'application/x-tga',
			'image/targa',
			'image/tga',
			'image/x-icb',
			'image/x-targa',
		),
		'vdi'=>array(
			'application/x-vdi-disk',
			'application/x-virtualbox-vdi',
		),
		'vds'=>array(
			'model/vnd.sap.vds',
		),
		'ves'=>array(
			'application/vnd.ves.encrypted',
		),
		'vfk'=>array(
			'text/vnd.exchangeable',
		),
		'vfr'=>array(
			'application/vnd.tml',
		),
		'vhd'=>array(
			'text/x-vhdl',
			'application/x-vhd-disk',
			'application/x-virtualbox-vhd',
			'text/plain',
		),
		'vhdl'=>array(
			'text/x-vhdl',
			'text/plain',
		),
		'vhdx'=>array(
			'application/x-vhdx-disk',
			'application/x-virtualbox-vhdx',
		),
		'viaframe'=>array(
			'application/vnd.tml',
		),
		'vis'=>array(
			'application/vnd.visionary',
			'application/vnd.informix-visionary',
		),
		'viv'=>array(
			'video/vnd.vivo',
			'video/vivo',
		),
		'vivo'=>array(
			'video/vnd.vivo',
			'video/vivo',
		),
		'vlc'=>array(
			'audio/x-mpegurl',
			'application/m3u',
			'audio/m3u',
			'audio/mpegurl',
			'audio/x-m3u',
			'audio/x-mp3-playlist',
			'text/plain',
		),
		'vm'=>array(
			'text/plain',
		),
		'vmd'=>array(
			'chemical/x-vmd',
		),
		'vmdk'=>array(
			'application/x-vmdk-disk',
			'application/x-virtualbox-vmdk',
			'application/x-vmdk',
		),
		'vms'=>array(
			'chemical/x-vamas-iso14976',
		),
		'vmt'=>array(
			'application/vnd.valve.source.material',
		),
		'vob'=>array(
			'video/x-ms-vob',
			'video/mpeg',
			'video/mpeg-system',
			'video/x-mpeg',
			'video/x-mpeg-system',
			'video/x-mpeg2',
		),
		'voc'=>array(
			'audio/x-voc',
		),
		'vor'=>array(
			'application/vnd.stardivision.writer',
			'application/vnd.stardivision.writer-global',
			'application/x-staroffice-template',
		),
		'vox'=>array(
			'application/x-authorware-bin',
		),
		'vpc'=>array(
			'application/x-vhd-disk',
			'application/x-virtualbox-vhd',
		),
		'vpm'=>array(
			'multipart/voice-message',
		),
		'vrm'=>array(
			'model/vrml',
			'text/plain',
			'x-world/x-vrml',
		),
		'vrml'=>array(
			'model/vrml',
			'text/plain',
			'x-world/x-vrml',
		),
		'vsc'=>array(
			'application/vnd.vidsoft.vidconference',
			'application/vnd.vividence.scriptfile',
		),
		'vsd'=>array(
			'application/vnd.visio',
			'application/vnd.ms-visio',
			'application/x-ole-storage',
		),
		'vsdm'=>array(
			'application/vnd.ms-visio.drawing.macroenabled.main+xml',
			'application/vnd.ms-visio.drawing.macroenabled.12',
			'application/zip',
		),
		'vsdx'=>array(
			'application/vnd.ms-visio.drawing.main+xml',
			'application/vnd.ms-visio.drawing',
			'application/zip',
		),
		'vsf'=>array(
			'application/vnd.vsf',
		),
		'vsl'=>array(
			'text/plain',
		),
		'vss'=>array(
			'application/vnd.visio',
			'application/vnd.ms-visio',
			'application/x-ole-storage',
		),
		'vssm'=>array(
			'application/vnd.ms-visio.stencil.macroenabled.main+xml',
			'application/vnd.ms-visio.stencil.macroenabled.12',
			'application/zip',
		),
		'vssx'=>array(
			'application/vnd.ms-visio.stencil.main+xml',
			'application/vnd.ms-visio.stencil',
			'application/zip',
		),
		'vst'=>array(
			'application/vnd.visio',
			'application/tga',
			'application/vnd.ms-visio',
			'application/x-ole-storage',
			'application/x-targa',
			'application/x-tga',
			'image/targa',
			'image/tga',
			'image/x-icb',
			'image/x-targa',
			'image/x-tga',
		),
		'vstm'=>array(
			'application/vnd.ms-visio.template.macroenabled.main+xml',
			'application/vnd.ms-visio.template.macroenabled.12',
			'application/zip',
		),
		'vstx'=>array(
			'application/vnd.ms-visio.template.main+xml',
			'application/vnd.ms-visio.template',
			'application/zip',
		),
		'vsw'=>array(
			'application/vnd.visio',
			'application/vnd.ms-visio',
			'application/x-ole-storage',
		),
		'vtf'=>array(
			'image/vnd.valve.source.texture',
		),
		'vtnstd'=>array(
			'application/vnd.veritone.aion+json',
		),
		'vtt'=>array(
			'text/vtt',
			'text/plain',
		),
		'vtu'=>array(
			'model/vnd.vtu',
		),
		'vwx'=>array(
			'application/vnd.vectorworks',
		),
		'vxm'=>array(
			'application/ccxml+xml',
			'application/pls+xml',
			'application/srgs+xml',
			'application/ssml+xml',
			'application/voicexml+xml',
		),
		'vxml'=>array(
			'application/voicexml+xml',
		),
		'w3d'=>array(
			'application/x-director',
		),
		'w60'=>array(
			'application/vnd.wordperfect',
		),
		'wad'=>array(
			'application/x-doom',
			'application/x-doom-wad',
			'application/x-wii-wad',
		),
		'wadl'=>array(
			'application/vnd.sun.wadl+xml',
		),
		'wafl'=>array(
			'application/vnd.wasmflow.wafl',
		),
		'war'=>array(
			'application/java-archive',
			'application/x-tika-java-web-archive',
		),
		'warc'=>array(
			'application/warc',
		),
		'wasm'=>array(
			'application/wasm',
		),
		'wav'=>array(
			'audio/wav',
			'application/x-riff',
			'audio/vnd.dts',
			'audio/vnd.wave',
			'audio/wave',
			'audio/x-wav',
		),
		'wax'=>array(
			'audio/x-ms-wax',
			'application/x-ms-asx',
			'audio/x-ms-asx',
			'video/x-ms-wax',
			'video/x-ms-wmx',
			'video/x-ms-wvx',
		),
		'wb1'=>array(
			'application/x-quattropro',
			'application/x-quattro-pro',
			'application/x-quattro-proversion1+5',
		),
		'wb2'=>array(
			'application/x-quattropro',
			'application/x-quattro-pro',
			'application/x-quattro-proversion6',
		),
		'wb3'=>array(
			'application/x-quattropro',
			'application/x-quattro-pro',
		),
		'wbmp'=>array(
			'image/vnd.wap.wbmp',
		),
		'wbs'=>array(
			'application/vnd.criticaltools.wbs+xml',
		),
		'wbxml'=>array(
			'application/vnd.wap.wbxml',
		),
		'wcm'=>array(
			'application/vnd.ms-works',
			'application/x-ole-storage',
		),
		'wdb'=>array(
			'application/vnd.ms-works',
			'application/x-ole-storage',
		),
		'wdp'=>array(
			'image/vnd.ms-photo',
		),
		'weba'=>array(
			'audio/webm',
		),
		'webarchive'=>array(
			'application/x-webarchive',
			'application/x-bplist',
		),
		'webm'=>array(
			'video/webm',
			'application/x-matroska',
		),
		'webmanifest'=>array(
			'application/manifest+json',
		),
		'webp'=>array(
			'image/webp',
		),
		'wg'=>array(
			'application/vnd.pmi.widget',
		),
		'wgsl'=>array(
			'text/wgsl',
		),
		'wgt'=>array(
			'application/widget',
		),
		'wif'=>array(
			'application/watcherinfo+xml',
		),
		'wim'=>array(
			'application/x-ms-wim',
		),
		'win'=>array(
			'model/vnd.gdl',
			'model/vnd.gs-gdl',
		),
		'wk'=>array(
			'application/x-123',
		),
		'wk1'=>array(
			'application/vnd.lotus-1-2-3',
			'application/lotus123',
			'application/vnd.lotus-1-2-3version2',
			'application/wk1',
			'application/x-123',
			'application/x-lotus123',
			'zz-application/zz-winassoc-123',
		),
		'wk2'=>array(
			'application/vnd.lotus-1-2-3',
			'application/vnd.lotus-1-2-3version2',
			'application/x-123',
		),
		'wk3'=>array(
			'application/vnd.lotus-1-2-3',
			'application/lotus123',
			'application/vnd.lotus-1-2-3version3',
			'application/wk1',
			'application/x-123',
			'application/x-lotus123',
			'zz-application/zz-winassoc-123',
		),
		'wk4'=>array(
			'application/vnd.lotus-1-2-3',
			'application/lotus123',
			'application/vnd.lotus-1-2-3version4',
			'application/wk1',
			'application/x-123',
			'application/x-lotus123',
			'zz-application/zz-winassoc-123',
		),
		'wkdownload'=>array(
			'application/x-partial-download',
		),
		'wkq'=>array(
			'application/x-quattro-pro',
			'application/x-quattro-proversion1-4',
			'application/x-quattro-proversion5',
		),
		'wks'=>array(
			'application/vnd.ms-works',
			'application/lotus123',
			'application/vnd.lotus-1-2-3',
			'application/wk1',
			'application/x-123',
			'application/x-lotus123',
			'application/x-ole-storage',
			'zz-application/zz-winassoc-123',
		),
		'wl'=>array(
			'application/vnd.wolfram.wl',
			'application/mathematica',
		),
		'wm'=>array(
			'video/x-ms-wm',
		),
		'wma'=>array(
			'audio/x-ms-wma',
			'application/vnd.ms-asf',
			'audio/wma',
			'video/x-ms-asf',
		),
		'wmc'=>array(
			'application/vnd.wmc',
		),
		'wmd'=>array(
			'application/x-ms-wmd',
		),
		'wmf'=>array(
			'image/wmf',
			'application/wmf',
			'application/x-msmetafile',
			'application/x-wmf',
			'image/x-win-metafile',
			'image/x-wmf',
		),
		'wml'=>array(
			'text/vnd.wap.wml',
			'application/xml',
		),
		'wmlc'=>array(
			'application/vnd.wap.wmlc',
		),
		'wmls'=>array(
			'text/vnd.wap.wmlscript',
			'text/plain',
		),
		'wmlsc'=>array(
			'application/vnd.wap.wmlscriptc',
		),
		'wmv'=>array(
			'video/x-ms-wmv',
			'application/vnd.ms-asf',
			'video/x-ms-asf',
		),
		'wmx'=>array(
			'video/x-ms-wmx',
			'application/x-ms-asx',
			'audio/x-ms-asx',
			'video/x-ms-wax',
			'video/x-ms-wvx',
		),
		'wmz'=>array(
			'application/x-ms-wmz',
			'application/gzip',
			'application/x-msmetafile',
		),
		'woff'=>array(
			'font/woff',
			'application/font-woff',
		),
		'woff2'=>array(
			'font/woff2',
		),
		'wp'=>array(
			'application/vnd.wordperfect',
			'application/wordperfect',
			'application/x-wordperfect',
		),
		'wp4'=>array(
			'application/vnd.wordperfect',
			'application/wordperfect',
			'application/x-wordperfect',
		),
		'wp5'=>array(
			'application/vnd.wordperfect',
			'application/wordperfect',
			'application/wordperfect5.1',
			'application/x-wordperfect',
		),
		'wp6'=>array(
			'application/vnd.wordperfect',
			'application/wordperfect',
			'application/x-wordperfect',
		),
		'wp61'=>array(
			'application/vnd.wordperfect',
		),
		'wpd'=>array(
			'application/vnd.wordperfect',
			'application/wordperfect',
			'application/x-wordperfect',
		),
		'wpg'=>array(
			'application/x-wpg',
		),
		'wpl'=>array(
			'application/vnd.ms-wpl',
		),
		'wpp'=>array(
			'application/vnd.wordperfect',
			'application/wordperfect',
			'application/x-wordperfect',
		),
		'wps'=>array(
			'application/vnd.ms-works',
			'application/x-ole-storage',
		),
		'wpt'=>array(
			'application/vnd.wordperfect',
		),
		'wq1'=>array(
			'application/x-quattro-pro',
			'application/x-quattro-proversion1-4',
		),
		'wq2'=>array(
			'application/x-quattro-pro',
			'application/x-quattro-proversion5',
		),
		'wqd'=>array(
			'application/vnd.wqd',
		),
		'wri'=>array(
			'application/x-mswrite',
			'application/vnd.ms-write',
		),
		'wrl'=>array(
			'model/vrml',
			'text/plain',
			'x-world/x-vrml',
		),
		'ws'=>array(
			'application/x-wonderswan-rom',
		),
		'wsc'=>array(
			'application/vnd.wfa.wsc',
			'application/x-wonderswan-color-rom',
			'message/vnd.wfa.wsc',
			'text/scriptlet',
		),
		'wsdd'=>array(
			'text/plain',
		),
		'wsdl'=>array(
			'application/wsdl+xml',
		),
		'wsgi'=>array(
			'text/x-python',
			'application/x-executable',
		),
		'wspolicy'=>array(
			'application/wspolicy+xml',
		),
		'wtb'=>array(
			'application/vnd.webturbo',
		),
		'wv'=>array(
			'application/vnd.wv.csp+wbxml',
			'audio/x-wavpack',
		),
		'wvc'=>array(
			'audio/x-wavpack-correction',
		),
		'wvp'=>array(
			'audio/x-wavpack',
		),
		'wvx'=>array(
			'video/x-ms-wvx',
			'application/x-ms-asx',
			'audio/x-ms-asx',
			'video/x-ms-wax',
			'video/x-ms-wmx',
		),
		'wwf'=>array(
			'application/x-wwf',
			'application/pdf',
			'application/wwf',
		),
		'wz'=>array(
			'application/x-wingz',
		),
		'x32'=>array(
			'application/x-authorware-bin',
		),
		'x3d'=>array(
			'model/x3d+xml',
			'application/vnd.hzn-3d-crossword',
		),
		'x3db'=>array(
			'model/x3d+fastinfoset',
			'model/x3d+binary',
		),
		'x3dbz'=>array(
			'model/x3d+binary',
		),
		'x3dv'=>array(
			'model/x3d-vrml',
			'model/x3d+vrml',
		),
		'x3dvz'=>array(
			'model/x3d+vrml',
		),
		'x3dz'=>array(
			'model/x3d+xml',
		),
		'x3f'=>array(
			'image/x-sigma-x3f',
			'image/x-dcraw',
			'image/x-raw-sigma',
		),
		'x_b'=>array(
			'model/vnd.parasolid.transmit.binary',
		),
		'x_t'=>array(
			'model/vnd.parasolid.transmit.text',
			'text/plain',
		),
		'xac'=>array(
			'application/x-gnucash',
		),
		'xaml'=>array(
			'application/xaml+xml',
		),
		'xap'=>array(
			'application/x-silverlight-app',
		),
		'xar'=>array(
			'application/vnd.xara',
			'application/x-xar',
		),
		'xargs'=>array(
			'text/plain',
		),
		'xav'=>array(
			'application/xcap-att+xml',
		),
		'xbap'=>array(
			'application/x-ms-xbap',
		),
		'xbd'=>array(
			'application/vnd.fujixerox.docuworks.binder',
			'application/vnd.fujifilm.fb.docuworks.binder',
		),
		'xbel'=>array(
			'application/x-xbel',
			'application/xml',
		),
		'xbl'=>array(
			'application/xml',
			'text/plain',
			'text/xml',
		),
		'xbm'=>array(
			'image/x-xbitmap',
			'text/x-c',
		),
		'xca'=>array(
			'application/xcap-caps+xml',
		),
		'xcat'=>array(
			'text/plain',
		),
		'xcf'=>array(
			'image/x-xcf',
			'application/octet-stream',
			'application/x-xcf',
			'image/xcf',
		),
		'xconf'=>array(
			'text/x-config',
			'text/plain',
		),
		'xcs'=>array(
			'application/calendar+xml',
		),
		'xct'=>array(
			'application/vnd.fujifilm.fb.docuworks.container',
			'application/vnd.fujixerox.docuworks.container',
		),
		'xdd'=>array(
			'application/bacnet-xdd+zip',
		),
		'xdf'=>array(
			'application/xcap-diff+xml',
			'application/mrb-consumer+xml',
			'application/mrb-publish+xml',
		),
		'xdgapp'=>array(
			'application/vnd.flatpak',
			'application/vnd.xdgapp',
		),
		'xdm'=>array(
			'application/vnd.syncml.dm+xml',
		),
		'xdp'=>array(
			'application/vnd.adobe.xdp+xml',
			'application/xml',
		),
		'xdssc'=>array(
			'application/dssc+xml',
		),
		'xdw'=>array(
			'application/vnd.fujixerox.docuworks',
			'application/vnd.fujifilm.fb.docuworks',
		),
		'xegrm'=>array(
			'text/plain',
		),
		'xel'=>array(
			'application/xcap-el+xml',
		),
		'xenc'=>array(
			'application/xenc+xml',
		),
		'xer'=>array(
			'application/patch-ops-error+xml',
			'application/xcap-error+xml',
		),
		'xfd'=>array(
			'application/vnd.xfdl',
		),
		'xfdf'=>array(
			'application/xfdf',
			'application/vnd.adobe.xfdf',
			'application/xml',
		),
		'xfdl'=>array(
			'application/vnd.xfdl',
		),
		'xgrm'=>array(
			'text/plain',
		),
		'xhe'=>array(
			'audio/usac',
		),
		'xht'=>array(
			'application/xhtml+xml',
			'application/xml',
		),
		'xhtm'=>array(
			'application/vnd.pwg-xhtml-print+xml',
		),
		'xhtml'=>array(
			'application/vnd.pwg-xhtml-print+xml',
			'application/xhtml+xml',
			'application/xml',
		),
		'xhtml2'=>array(
			'application/xhtml+xml',
		),
		'xhvml'=>array(
			'application/xv+xml',
			'application/xhtml-voice+xml',
		),
		'xi'=>array(
			'audio/x-xi',
		),
		'xif'=>array(
			'image/vnd.xiff',
		),
		'xla'=>array(
			'application/vnd.ms-excel',
			'application/msexcel',
			'application/vnd.ms-office',
			'application/x-msexcel',
			'application/xml',
			'zz-application/zz-winassoc-xls',
		),
		'xlam'=>array(
			'application/vnd.ms-excel.addin.macroenabled.12',
			'application/vnd.ms-office',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
			'application/xml',
		),
		'xlb'=>array(
			'application/vnd.ms-excel',
			'application/vnd.ms-office',
			'application/xml',
		),
		'xlc'=>array(
			'application/vnd.ms-excel',
			'application/msexcel',
			'application/vnd.ms-office',
			'application/x-msexcel',
			'application/xml',
			'zz-application/zz-winassoc-xls',
		),
		'xld'=>array(
			'application/vnd.ms-excel',
			'application/msexcel',
			'application/vnd.ms-office',
			'application/x-msexcel',
			'application/xml',
			'zz-application/zz-winassoc-xls',
		),
		'xlex'=>array(
			'text/plain',
		),
		'xlf'=>array(
			'application/xliff+xml',
			'application/x-xliff',
			'application/x-xliff+xml',
			'application/xml',
		),
		'xliff'=>array(
			'application/xml',
			'application/x-xliff',
			'application/x-xliff+xml',
			'application/xliff+xml',
		),
		'xlim'=>array(
			'application/vnd.xmpie.xlim',
		),
		'xll'=>array(
			'application/vnd.ms-excel',
			'application/msexcel',
			'application/vnd.ms-office',
			'application/x-msexcel',
			'application/xml',
			'zz-application/zz-winassoc-xls',
		),
		'xlm'=>array(
			'application/vnd.ms-excel',
			'application/msexcel',
			'application/vnd.ms-office',
			'application/x-msexcel',
			'application/xml',
			'zz-application/zz-winassoc-xls',
		),
		'xlog'=>array(
			'text/plain',
		),
		'xlr'=>array(
			'application/vnd.ms-works',
			'application/vnd.ms-excel',
			'application/vnd.ms-office',
			'application/x-ole-storage',
			'application/x-tika-msworks-spreadsheet',
			'application/xml',
		),
		'xls'=>array(
			'application/vnd.ms-excel',
			'application/msexcel',
			'application/vnd.ms-office',
			'application/x-msexcel',
			'application/xml',
			'zz-application/zz-winassoc-xls',
		),
		'xlsb'=>array(
			'application/vnd.ms-excel.sheet.binary.macroenabled.12',
			'application/vnd.ms-office',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
			'application/xml',
		),
		'xlsm'=>array(
			'application/vnd.ms-excel.sheet.macroenabled.12',
			'application/vnd.ms-office',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
			'application/xml',
			'application/zip',
		),
		'xlsx'=>array(
			'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
			'application/vnd.ms-office',
			'application/zip',
		),
		'xlt'=>array(
			'application/vnd.ms-excel',
			'application/msexcel',
			'application/vnd.ms-office',
			'application/x-msexcel',
			'application/xml',
			'zz-application/zz-winassoc-xls',
		),
		'xltm'=>array(
			'application/vnd.ms-excel.template.macroenabled.12',
			'application/vnd.ms-office',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.template',
			'application/xml',
		),
		'xltx'=>array(
			'application/vnd.openxmlformats-officedocument.spreadsheetml.template',
			'application/vnd.ms-office',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
			'application/zip',
		),
		'xlw'=>array(
			'application/vnd.ms-excel',
			'application/msexcel',
			'application/vnd.ms-office',
			'application/x-msexcel',
			'application/xml',
			'zz-application/zz-winassoc-xls',
		),
		'xlz'=>array(
			'application/x-xliff+zip',
			'application/zip',
		),
		'xm'=>array(
			'audio/xm',
			'audio/x-xm',
		),
		'xmap'=>array(
			'text/plain',
		),
		'xmf'=>array(
			'audio/x-xmf',
			'audio/xmf',
		),
		'xmi'=>array(
			'text/x-xmi',
			'application/xml',
		),
		'xmind'=>array(
			'application/x-xmind',
			'application/zip',
		),
		'xml'=>array(
			'application/xml',
			'application/cea-2018+xml',
			'application/clue+xml',
			'application/conference-info+xml',
			'application/cpl+xml',
			'application/dialog-info+xml',
			'application/dicom+xml',
			'application/emergencycalldata.comment+xml',
			'application/emergencycalldata.control+xml',
			'application/emergencycalldata.deviceinfo+xml',
			'application/emergencycalldata.providerinfo+xml',
			'application/emergencycalldata.serviceinfo+xml',
			'application/emergencycalldata.subscriberinfo+xml',
			'application/emergencycalldata.veds+xml',
			'application/epp+xml',
			'application/load-control+xml',
			'application/media-policy-dataset+xml',
			'application/odm+xml',
			'application/pidf-diff+xml',
			'application/prs.xsf+xml',
			'application/reginfo+xml',
			'application/rfc+xml',
			'application/simple-filter+xml',
			'application/vnd.amundsen.maze+xml',
			'application/vnd.avistar+xml',
			'application/vnd.cyan.dean.root+xml',
			'application/vnd.cyclonedx+xml',
			'application/vnd.eprints.data+xml',
			'application/vnd.etsi.pstn+xml',
			'application/vnd.fujifilm.fb.jfi+xml',
			'application/vnd.gentoo.catmetadata+xml',
			'application/vnd.gentoo.pkgmetadata+xml',
			'application/vnd.gov.sk.e-form+xml',
			'application/vnd.gov.sk.xmldatacontainer+xml',
			'application/vnd.gpxsee.map+xml',
			'application/vnd.informedcontrol.rms+xml',
			'application/vnd.infotech.project+xml',
			'application/vnd.iptc.g2.catalogitem+xml',
			'application/vnd.iptc.g2.conceptitem+xml',
			'application/vnd.iptc.g2.knowledgeitem+xml',
			'application/vnd.iptc.g2.newsitem+xml',
			'application/vnd.iptc.g2.newsmessage+xml',
			'application/vnd.iptc.g2.packageitem+xml',
			'application/vnd.iptc.g2.planningitem+xml',
			'application/vnd.ms-office',
			'application/vnd.oma.dd2+xml',
			'application/vnd.openxmlformats-officedocument.custom-properties+xml',
			'application/vnd.openxmlformats-officedocument.customxmlproperties+xml',
			'application/vnd.openxmlformats-officedocument.drawing+xml',
			'application/vnd.openxmlformats-officedocument.drawingml.chart+xml',
			'application/vnd.openxmlformats-officedocument.drawingml.chartshapes+xml',
			'application/vnd.openxmlformats-officedocument.drawingml.diagramcolors+xml',
			'application/vnd.openxmlformats-officedocument.drawingml.diagramdata+xml',
			'application/vnd.openxmlformats-officedocument.drawingml.diagramlayout+xml',
			'application/vnd.openxmlformats-officedocument.drawingml.diagramstyle+xml',
			'application/vnd.openxmlformats-officedocument.extended-properties+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.commentauthors+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.comments+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.handoutmaster+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.notesmaster+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.notesslide+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.presentation.main+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.presprops+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.slide+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.slidelayout+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.slidemaster+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.slideshow.main+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.slideupdateinfo+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.tablestyles+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.tags+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.template.main+xml',
			'application/vnd.openxmlformats-officedocument.presentationml.viewprops+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.calcchain+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.chartsheet+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.comments+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.connections+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.dialogsheet+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.externallink+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.pivotcachedefinition+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.pivotcacherecords+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.pivottable+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.querytable+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.revisionheaders+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.revisionlog+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.sharedstrings+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.sheetmetadata+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.table+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.tablesinglecells+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.template.main+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.usernames+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.volatiledependencies+xml',
			'application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml',
			'application/vnd.openxmlformats-officedocument.theme+xml',
			'application/vnd.openxmlformats-officedocument.themeoverride+xml',
			'application/vnd.openxmlformats-officedocument.wordprocessingml.comments+xml',
			'application/vnd.openxmlformats-officedocument.wordprocessingml.document.glossary+xml',
			'application/vnd.openxmlformats-officedocument.wordprocessingml.document.main+xml',
			'application/vnd.openxmlformats-officedocument.wordprocessingml.endnotes+xml',
			'application/vnd.openxmlformats-officedocument.wordprocessingml.fonttable+xml',
			'application/vnd.openxmlformats-officedocument.wordprocessingml.footer+xml',
			'application/vnd.openxmlformats-officedocument.wordprocessingml.footnotes+xml',
			'application/vnd.openxmlformats-officedocument.wordprocessingml.numbering+xml',
			'application/vnd.openxmlformats-officedocument.wordprocessingml.settings+xml',
			'application/vnd.openxmlformats-officedocument.wordprocessingml.styles+xml',
			'application/vnd.openxmlformats-officedocument.wordprocessingml.template.main+xml',
			'application/vnd.openxmlformats-officedocument.wordprocessingml.websettings+xml',
			'application/vnd.openxmlformats-package.core-properties+xml',
			'application/vnd.openxmlformats-package.digital-signature-xmlsignature+xml',
			'application/vnd.openxmlformats-package.relationships+xml',
			'application/vnd.recordare.musicxml+xml',
			'application/vnd.tmd.mediaflex.api+xml',
			'application/vnd.yamaha.openscoreformat.osfpvg+xml',
			'application/watcherinfo+xml',
			'application/x-xml',
			'application/xcon-conference-info+xml',
			'application/xcon-conference-info-diff+xml',
			'application/xenc+xml',
			'application/xml-external-parsed-entity',
			'message/imdn+xml',
			'text/plain',
			'text/vnd.iptc.newsml',
			'text/vnd.iptc.nitf',
			'text/xml',
			'text/xml-external-parsed-entity',
		),
		'xmls'=>array(
			'application/dskpp+xml',
		),
		'xmp'=>array(
			'application/rdf+xml',
			'application/xml',
		),
		'xns'=>array(
			'application/xcap-ns+xml',
		),
		'xo'=>array(
			'application/vnd.olpc-sugar',
		),
		'xodp'=>array(
			'application/vnd.collabio.xodocuments.presentation',
		),
		'xods'=>array(
			'application/vnd.collabio.xodocuments.spreadsheet',
		),
		'xodt'=>array(
			'application/vnd.collabio.xodocuments.document',
		),
		'xop'=>array(
			'application/xop+xml',
		),
		'xotp'=>array(
			'application/vnd.collabio.xodocuments.presentation-template',
		),
		'xots'=>array(
			'application/vnd.collabio.xodocuments.spreadsheet-template',
		),
		'xott'=>array(
			'application/vnd.collabio.xodocuments.document-template',
		),
		'xpak'=>array(
			'application/vnd.gentoo.xpak',
		),
		'xpi'=>array(
			'application/x-xpinstall',
			'application/zip',
		),
		'xpl'=>array(
			'application/xproc+xml',
		),
		'xpm'=>array(
			'image/x-xpixmap',
			'image/x-xpm',
		),
		'xport'=>array(
			'application/x-sas-xport',
		),
		'xpr'=>array(
			'application/vnd.is-xpr',
		),
		'xps'=>array(
			'application/vnd.ms-xpsdocument',
			'application/oxps',
			'application/xps',
			'application/zip',
		),
		'xpt'=>array(
			'application/x-sas-xport',
		),
		'xpw'=>array(
			'application/vnd.intercon.formnet',
		),
		'xpx'=>array(
			'application/vnd.intercon.formnet',
		),
		'xq'=>array(
			'application/xquery',
			'text/plain',
		),
		'xquery'=>array(
			'application/xquery',
			'text/plain',
		),
		'xroles'=>array(
			'text/plain',
		),
		'xsamples'=>array(
			'text/plain',
		),
		'xsd'=>array(
			'application/xml',
			'application/x-xml',
			'text/plain',
			'text/xml',
		),
		'xsf'=>array(
			'application/prs.xsf+xml',
		),
		'xsl'=>array(
			'application/xml',
			'application/x-xml',
			'application/xslt+xml',
			'text/plain',
			'text/xml',
		),
		'xslfo'=>array(
			'text/x-xslfo',
			'application/xml',
			'application/xslfo+xml',
			'text/xsl',
		),
		'xslt'=>array(
			'application/xslt+xml',
			'application/xml',
			'text/xsl',
		),
		'xsm'=>array(
			'application/vnd.syncml+xml',
		),
		'xsp'=>array(
			'text/plain',
		),
		'xspf'=>array(
			'application/xspf+xml',
			'application/x-xspf+xml',
			'application/xml',
		),
		'xtel'=>array(
			'chemical/x-xtel',
		),
		'xtest'=>array(
			'text/plain',
		),
		'xul'=>array(
			'application/vnd.mozilla.xul+xml',
			'application/vnd.mozilla.aul+xml',
			'application/xml',
		),
		'xvm'=>array(
			'application/xv+xml',
			'application/xhtml-voice+xml',
		),
		'xvml'=>array(
			'application/xv+xml',
			'application/xhtml-voice+xml',
		),
		'xwd'=>array(
			'image/x-xwindowdump',
		),
		'xweb'=>array(
			'text/plain',
		),
		'xwelcome'=>array(
			'text/plain',
		),
		'xyz'=>array(
			'chemical/x-xyz',
		),
		'xyze'=>array(
			'image/vnd.radiance',
		),
		'xz'=>array(
			'application/x-xz',
		),
		'yaml'=>array(
			'text/x-yaml',
			'application/x-yaml',
			'text/plain',
			'text/yaml',
		),
		'yang'=>array(
			'application/yang',
		),
		'yin'=>array(
			'application/yin+xml',
		),
		'yme'=>array(
			'application/vnd.yaoweme',
		),
		'yml'=>array(
			'application/x-yaml',
			'text/plain',
			'text/x-yaml',
			'text/yaml',
		),
		'yt'=>array(
			'video/vnd.youtube.yt',
			'application/vnd.youtube.yt',
			'application/zip',
		),
		'z'=>array(
			'application/x-font',
		),
		'z1'=>array(
			'application/x-zmachine',
		),
		'z2'=>array(
			'application/x-zmachine',
		),
		'z3'=>array(
			'application/x-zmachine',
		),
		'z4'=>array(
			'application/x-zmachine',
		),
		'z5'=>array(
			'application/x-zmachine',
		),
		'z6'=>array(
			'application/x-zmachine',
		),
		'z64'=>array(
			'application/x-n64-rom',
		),
		'z7'=>array(
			'application/x-zmachine',
		),
		'z8'=>array(
			'application/x-zmachine',
		),
		'zabw'=>array(
			'application/x-abiword',
			'application/xml',
		),
		'zaz'=>array(
			'application/vnd.zzazz.deck+xml',
		),
		'zfc'=>array(
			'application/vnd.filmit.zfc',
		),
		'zfo'=>array(
			'application/vnd.software602.filler.form-xml-zip',
		),
		'zim'=>array(
			'application/x-openzim',
		),
		'zip'=>array(
			'application/zip',
			'application/vnd.easykaraoke.cdgdownload',
			'application/vnd.gov.sk.e-form+zip',
			'application/vnd.iso11783-10+zip',
			'application/x-zip',
			'application/x-zip-compressed',
		),
		'zipx'=>array(
			'application/zip',
			'application/x-zip',
			'application/x-zip-compressed',
		),
		'zir'=>array(
			'application/vnd.zul',
		),
		'zirz'=>array(
			'application/vnd.zul',
		),
		'zmm'=>array(
			'application/vnd.handheld-entertainment+xml',
		),
		'zmt'=>array(
			'chemical/x-mopac-input',
		),
		'zoo'=>array(
			'application/x-zoo',
		),
		'zrp'=>array(
			'application/vnd.rapid',
		),
		'zsav'=>array(
			'application/x-spss-sav',
			'application/x-spss-savefile',
		),
		'zst'=>array(
			'application/zstd',
		),
		'zstd'=>array(
			'application/zstd',
		),
		'zz'=>array(
			'application/zlib',
		),
		'123'=>array(
			'application/vnd.lotus-1-2-3',
			'application/lotus123',
			'application/vnd.lotus-1-2-3version97+9.x',
			'application/wk1',
			'application/x-123',
			'application/x-lotus123',
			'zz-application/zz-winassoc-123',
		),
		'210'=>array(
			'application/p21',
			'model/step',
		),
		'323'=>array(
			'text/h323',
		),
		'602'=>array(
			'application/x-t602',
		),
		'669'=>array(
			'audio/x-mod',
		),
		'726'=>array(
			'audio/32kadpcm',
		),
		'19051'=>array(
			'application/vnd.ieee.1905',
		),
	);

	/**
	 * Group Identifiers.
	 */
	const GROUP_GZIP = 1;
	const GROUP_JSON = 2;
	const GROUP_OFFICE = 4;
	const GROUP_TEXT = 8;
	const GROUP_XML = 16;
	const GROUP_ZIP = 32;

	/**
	 * Groups.
	 */
	const GROUPS = array(
		'1km'=>16,
		'3dml'=>8,
		'3mf'=>32,
		'3tz'=>32,
		'4th'=>8,
		'aart'=>8,
		'abs-linkmap'=>8,
		'abs-menulinks'=>8,
		'abw'=>16,
		'ac'=>24,
		'ad'=>8,
		'ada'=>8,
		'adb'=>8,
		'adoc'=>8,
		'ads'=>8,
		'aion'=>2,
		'air'=>32,
		'aj'=>8,
		'al'=>8,
		'am'=>8,
		'aml'=>16,
		'amlx'=>32,
		'anpa'=>8,
		'appcache'=>8,
		'applescript'=>8,
		'apt'=>8,
		'apxml'=>16,
		'artisan'=>2,
		'as'=>8,
		'asc'=>8,
		'ascii'=>8,
		'asciidoc'=>8,
		'asd'=>8,
		'asice'=>32,
		'asics'=>32,
		'asm'=>8,
		'asp'=>8,
		'aspx'=>8,
		'ass'=>8,
		'asx'=>16,
		'atom'=>16,
		'atomcat'=>16,
		'atomdeleted'=>16,
		'atomsrv'=>16,
		'atomsvc'=>16,
		'authors'=>8,
		'automount'=>8,
		'awk'=>8,
		'bas'=>8,
		'bash'=>8,
		'bat'=>8,
		'bau'=>32,
		'bib'=>8,
		'bibtex'=>8,
		'bmml'=>16,
		'boo'=>8,
		'bpm'=>32,
		'brf'=>8,
		'bsh'=>8,
		'c'=>8,
		'carjson'=>2,
		'cbl'=>8,
		'cbz'=>32,
		'cc'=>8,
		'ccc'=>8,
		'ccmp'=>16,
		'ccmx'=>8,
		'ccxml'=>16,
		'cdfx'=>16,
		'cdxml'=>16,
		'cfc'=>8,
		'cfg'=>8,
		'cfm'=>8,
		'cfml'=>8,
		'cgi'=>8,
		'changelog'=>8,
		'cl'=>24,
		'classpath'=>8,
		'clj'=>8,
		'cls'=>8,
		'clue'=>16,
		'cmake'=>8,
		'cmd'=>8,
		'cnd'=>8,
		'cob'=>8,
		'coffee'=>8,
		'conf'=>8,
		'config'=>8,
		'copying'=>8,
		'cpl'=>16,
		'cpp'=>8,
		'cql'=>8,
		'cr'=>8,
		'credits'=>8,
		'cs'=>8,
		'csh'=>8,
		'csl'=>16,
		'css'=>8,
		'csv'=>8,
		'csvs'=>8,
		'cue'=>8,
		'curl'=>8,
		'cwiki'=>8,
		'cwljson'=>2,
		'cxx'=>8,
		'd'=>8,
		'dae'=>16,
		'dart'=>8,
		'data'=>8,
		'davmount'=>16,
		'dbk'=>16,
		'dcl'=>8,
		'dcurl'=>8,
		'dd2'=>16,
		'ddf'=>16,
		'def'=>8,
		'desktop'=>8,
		'device'=>8,
		'dfxp'=>16,
		'di'=>8,
		'dia'=>16,
		'dic'=>8,
		'dif'=>16,
		'diff'=>8,
		'dist'=>16,
		'distz'=>16,
		'dita'=>16,
		'ditamap'=>16,
		'ditaval'=>16,
		'dms'=>8,
		'doc'=>20,
		'docbook'=>16,
		'docjson'=>2,
		'docm'=>20,
		'docx'=>36,
		'dot'=>28,
		'dotm'=>20,
		'dotx'=>36,
		'dpr'=>8,
		'dsc'=>8,
		'dsl'=>8,
		'dsp'=>8,
		'dsw'=>8,
		'dtb'=>24,
		'dtd'=>8,
		'dts'=>8,
		'dtsi'=>8,
		'dtx'=>8,
		'dwd'=>16,
		'dxf'=>8,
		'egrm'=>8,
		'eif'=>8,
		'el'=>8,
		'eml'=>8,
		'emma'=>16,
		'emotionml'=>16,
		'emz'=>1,
		'ent'=>24,
		'epub'=>32,
		'erl'=>8,
		'es'=>8,
		'es3'=>16,
		'espass'=>32,
		'et3'=>16,
		'etx'=>8,
		'ex'=>8,
		'exp'=>8,
		'explain'=>32,
		'exs'=>8,
		'f'=>8,
		'f77'=>8,
		'f90'=>8,
		'f95'=>8,
		'fasl'=>8,
		'fb2'=>16,
		'feature'=>8,
		'fl'=>8,
		'flatpakref'=>8,
		'flatpakrepo'=>8,
		'flb'=>32,
		'flt'=>8,
		'flx'=>8,
		'fly'=>8,
		'fn'=>8,
		'fo'=>24,
		'fodg'=>16,
		'fodp'=>16,
		'fods'=>16,
		'fodt'=>16,
		'for'=>8,
		'frm'=>8,
		'ft'=>8,
		'fv'=>8,
		'g3'=>16,
		'gcd'=>8,
		'gcode'=>8,
		'gcrd'=>8,
		'gd'=>8,
		'gdi'=>8,
		'gdshader'=>8,
		'gdz'=>32,
		'ged'=>8,
		'gedcom'=>8,
		'generally'=>8,
		'geojson'=>2,
		'gff3'=>8,
		'glade'=>16,
		'gltf'=>2,
		'gml'=>24,
		'gnumakefile'=>8,
		'gnuplot'=>8,
		'go'=>8,
		'gp'=>8,
		'gpg'=>8,
		'gplt'=>8,
		'gpx'=>24,
		'gradle'=>8,
		'grd'=>2,
		'grm'=>8,
		'groovy'=>8,
		'grxml'=>16,
		'gs'=>8,
		'gsh'=>8,
		'gv'=>8,
		'gvp'=>8,
		'gvy'=>8,
		'gx'=>8,
		'gy'=>8,
		'gz'=>1,
		'h'=>8,
		'hal'=>16,
		'haml'=>8,
		'handlers'=>8,
		'hans'=>8,
		'held'=>16,
		'heldxml'=>16,
		'hgl'=>8,
		'hh'=>8,
		'hp'=>8,
		'hpp'=>8,
		'hpub'=>32,
		'hs'=>8,
		'htaccess'=>8,
		'htc'=>8,
		'htm'=>24,
		'html'=>24,
		'hx'=>8,
		'hxx'=>8,
		'i3'=>8,
		'ibooks'=>32,
		'ica'=>8,
		'ico'=>8,
		'ics'=>8,
		'icz'=>8,
		'idl'=>8,
		'ifb'=>8,
		'ig'=>8,
		'iges'=>8,
		'ign'=>2,
		'ignition'=>2,
		'igs'=>8,
		'ihtml'=>8,
		'ime'=>8,
		'imf'=>32,
		'imi'=>32,
		'imy'=>8,
		'in'=>8,
		'ini'=>8,
		'ink'=>16,
		'inkml'=>16,
		'ins'=>8,
		'install'=>8,
		'inx'=>16,
		'ipa'=>32,
		'iptables'=>8,
		'ipynb'=>2,
		'irp'=>16,
		'iso19139'=>24,
		'it87'=>8,
		'itk'=>8,
		'its'=>16,
		'jad'=>8,
		'jar'=>32,
		'java'=>8,
		'jl'=>8,
		'jmx'=>8,
		'jnlp'=>16,
		'jrd'=>2,
		'js'=>8,
		'jsm'=>8,
		'json'=>10,
		'json-patch'=>2,
		'jsonld'=>2,
		'jsonml'=>2,
		'jsontd'=>2,
		'jsontm'=>2,
		'jsp'=>8,
		'jtd'=>8,
		'junit'=>8,
		'jx'=>8,
		'kdelnk'=>8,
		'key'=>40,
		'keys'=>8,
		'kino'=>16,
		'kml'=>16,
		'kmz'=>32,
		'ksy'=>8,
		'kt'=>8,
		'la'=>8,
		'lasjson'=>2,
		'lasxml'=>16,
		'latex'=>8,
		'lbe'=>16,
		'lca'=>32,
		'lcs'=>32,
		'ldif'=>8,
		'less'=>8,
		'lgr'=>16,
		'lhs'=>8,
		'lhzd'=>32,
		'lhzl'=>32,
		'license'=>8,
		'link66'=>16,
		'lisp'=>8,
		'list'=>8,
		'log'=>8,
		'lostsyncxml'=>16,
		'lostxml'=>16,
		'lsp'=>8,
		'ltx'=>8,
		'lua'=>8,
		'ly'=>8,
		'lyx'=>8,
		'm1u'=>8,
		'm3'=>8,
		'm3u'=>8,
		'm3u8'=>8,
		'm4'=>8,
		'm4u'=>8,
		'ma'=>8,
		'mads'=>16,
		'maei'=>16,
		'mak'=>8,
		'makefile'=>8,
		'man'=>8,
		'manifest'=>8,
		'markdown'=>8,
		'mathml'=>16,
		'mb'=>8,
		'mbox'=>8,
		'mc2'=>8,
		'mcurl'=>8,
		'md'=>8,
		'mdo'=>8,
		'mdtext'=>8,
		'me'=>8,
		'meta'=>8,
		'meta4'=>16,
		'metalink'=>16,
		'mets'=>16,
		'mf'=>8,
		'mg'=>8,
		'mgp'=>8,
		'miz'=>8,
		'mjs'=>8,
		'mk'=>8,
		'mkd'=>8,
		'ml'=>8,
		'mli'=>8,
		'mm'=>8,
		'mmap'=>32,
		'mmas'=>32,
		'mmat'=>32,
		'mml'=>24,
		'mmmp'=>32,
		'mmp'=>32,
		'mmpt'=>32,
		'mo'=>8,
		'moc'=>8,
		'mods'=>16,
		'mof'=>8,
		'mount'=>8,
		'mpd'=>16,
		'mpf'=>24,
		'mpkg'=>16,
		'mpl'=>8,
		'mpp'=>16,
		'mpw'=>32,
		'mpx'=>8,
		'mrcx'=>16,
		'mrl'=>24,
		'mrml'=>24,
		'ms'=>8,
		'mscml'=>16,
		'mscx'=>16,
		'mscz'=>32,
		'msg'=>4,
		'mtl'=>8,
		'mup'=>8,
		'musd'=>16,
		'musicxml'=>16,
		'mxl'=>32,
		'mxml'=>16,
		'mxu'=>8,
		'n3'=>8,
		'nar'=>16,
		'nb'=>8,
		'ncx'=>16,
		'nfo'=>8,
		'not'=>8,
		'notebook'=>32,
		'notice'=>8,
		'nroff'=>8,
		'numbers'=>32,
		'nzb'=>16,
		'obgx'=>16,
		'obj'=>8,
		'ocaml'=>8,
		'ocl'=>8,
		'odb'=>32,
		'odc'=>32,
		'odf'=>32,
		'odg'=>32,
		'odi'=>32,
		'odm'=>32,
		'odp'=>32,
		'ods'=>32,
		'odt'=>32,
		'omdoc'=>16,
		'ooc'=>8,
		'openvpn'=>8,
		'opf'=>16,
		'opml'=>24,
		'ora'=>32,
		'org'=>8,
		'osfpvg'=>16,
		'osm'=>16,
		'ost'=>4,
		'otc'=>32,
		'otf'=>32,
		'otg'=>32,
		'oth'=>32,
		'otp'=>32,
		'ots'=>32,
		'ott'=>32,
		'ovpn'=>8,
		'owl'=>24,
		'owx'=>16,
		'oxps'=>32,
		'oxt'=>32,
		'p'=>8,
		'p7s'=>8,
		'pages'=>32,
		'pas'=>8,
		'patch'=>8,
		'path'=>8,
		'pcf'=>8,
		'pen'=>8,
		'perl'=>8,
		'pgn'=>8,
		'pgp'=>8,
		'php'=>8,
		'php3'=>8,
		'php4'=>8,
		'php5'=>8,
		'phps'=>8,
		'pkg'=>16,
		'pkpass'=>32,
		'pkr'=>8,
		'pl'=>8,
		'pls'=>16,
		'pm'=>8,
		'po'=>8,
		'pod'=>8,
		'pom'=>8,
		'pot'=>12,
		'potm'=>4,
		'potx'=>36,
		'pp'=>8,
		'ppa'=>4,
		'ppam'=>4,
		'ppj'=>16,
		'pps'=>4,
		'ppsm'=>4,
		'ppsx'=>36,
		'ppt'=>4,
		'pptm'=>4,
		'ppttc'=>2,
		'pptx'=>36,
		'ppz'=>4,
		'pro'=>8,
		'project'=>8,
		'properties'=>8,
		'provx'=>16,
		'ps'=>8,
		'pskcxml'=>16,
		'pst'=>4,
		'py'=>8,
		'py3'=>8,
		'py3x'=>8,
		'pyi'=>8,
		'pyx'=>8,
		'qml'=>8,
		'qmlproject'=>8,
		'qmltypes'=>8,
		'qti'=>8,
		'rapd'=>16,
		'rb'=>8,
		'rdf'=>24,
		'rdfs'=>24,
		'readme'=>8,
		'reg'=>8,
		'rej'=>8,
		'relo'=>16,
		'res'=>16,
		'rest'=>8,
		'restx'=>8,
		'rexx'=>8,
		'rif'=>16,
		'rl'=>16,
		'rld'=>16,
		'rnc'=>8,
		'rng'=>24,
		'rnx'=>8,
		'roff'=>8,
		'roles'=>8,
		'ros'=>8,
		'rs'=>24,
		'rsat'=>16,
		'rsd'=>16,
		'rsheet'=>16,
		'rss'=>24,
		'rst'=>8,
		'rt'=>8,
		'rtf'=>8,
		'rtx'=>8,
		'rusd'=>16,
		's'=>8,
		'sage'=>8,
		'sami'=>8,
		'sarif'=>2,
		'sarif-external-properties'=>2,
		'sarifjson'=>2,
		'sas'=>8,
		'sass'=>8,
		'sat'=>8,
		'sbml'=>16,
		'sc'=>8,
		'scala'=>8,
		'sce'=>32,
		'schemas'=>8,
		'scl'=>16,
		'scm'=>8,
		'sconscript'=>8,
		'sconstruct'=>8,
		'scope'=>8,
		'scs'=>32,
		'scss'=>8,
		'sct'=>8,
		'scurl'=>8,
		'sdkd'=>16,
		'sdkm'=>16,
		'sdp'=>8,
		'sed'=>8,
		'senml'=>2,
		'senml-etchj'=>2,
		'senmlx'=>16,
		'sensml'=>2,
		'sensmlx'=>16,
		'service'=>8,
		'sfdu'=>8,
		'sfv'=>8,
		'sgf'=>8,
		'sgm'=>8,
		'sgml'=>8,
		'sh'=>8,
		'shaclc'=>8,
		'shape'=>16,
		'shc'=>8,
		'shex'=>8,
		'shf'=>16,
		'shtml'=>8,
		'sig'=>8,
		'siv'=>16,
		'skr'=>8,
		'sldm'=>4,
		'sldx'=>36,
		'slice'=>8,
		'slk'=>8,
		'sls'=>16,
		'smi'=>24,
		'smil'=>16,
		'sml'=>16,
		'socket'=>8,
		'sos'=>8,
		'spdx'=>8,
		'spdxjson'=>2,
		'spec'=>8,
		'spo'=>8,
		'spot'=>8,
		'spx'=>16,
		'sql'=>8,
		'src'=>8,
		'srt'=>8,
		'sru'=>16,
		'srx'=>16,
		'ss'=>8,
		'ssa'=>8,
		'ssdl'=>16,
		'ssml'=>16,
		'st'=>8,
		'stc'=>32,
		'std'=>32,
		'step'=>8,
		'sti'=>32,
		'stix'=>2,
		'stp'=>8,
		'stpx'=>16,
		'stpxz'=>32,
		'stpz'=>32,
		'stw'=>32,
		'sty'=>8,
		'sub'=>8,
		'sv'=>8,
		'svg'=>16,
		'svgz'=>1,
		'svh'=>8,
		'swap'=>8,
		'swidtag'=>16,
		'sxc'=>32,
		'sxd'=>32,
		'sxg'=>32,
		'sxi'=>32,
		'sxm'=>32,
		'sxw'=>32,
		'syftjson'=>2,
		'sylk'=>8,
		't'=>8,
		't2t'=>8,
		'target'=>8,
		'tcl'=>8,
		'tei'=>16,
		'teicorpus'=>16,
		'tex'=>8,
		'texi'=>8,
		'texinfo'=>8,
		'text'=>8,
		'tfi'=>16,
		'tgz'=>1,
		'thmx'=>4,
		'timer'=>8,
		'tk'=>8,
		'tld'=>8,
		'tm'=>8,
		'tmjson'=>2,
		'tmjsonld'=>2,
		'toc'=>8,
		'toml'=>8,
		'tr'=>8,
		'trig'=>8,
		'ts'=>24,
		'tsv'=>8,
		'ttl'=>8,
		'ttml'=>16,
		'ttx'=>16,
		'twig'=>8,
		'txt'=>8,
		'types'=>8,
		'ufraw'=>16,
		'ui'=>16,
		'uil'=>8,
		'uls'=>8,
		'uo'=>16,
		'uoml'=>16,
		'uri'=>8,
		'uric'=>8,
		'uris'=>8,
		'url'=>8,
		'urls'=>8,
		'usdz'=>32,
		'uu'=>8,
		'uue'=>8,
		'uvt'=>16,
		'uvvt'=>16,
		'vala'=>8,
		'vapi'=>8,
		'vb'=>8,
		'vbs'=>8,
		'vcard'=>8,
		'vcf'=>8,
		'vcj'=>2,
		'vcs'=>8,
		'vct'=>8,
		'vfk'=>8,
		'vhd'=>8,
		'vhdl'=>8,
		'vlc'=>8,
		'vm'=>8,
		'vrm'=>8,
		'vrml'=>8,
		'vsdm'=>48,
		'vsdx'=>48,
		'vsl'=>8,
		'vssm'=>48,
		'vssx'=>48,
		'vstm'=>48,
		'vstx'=>48,
		'vtnstd'=>2,
		'vtt'=>8,
		'vxm'=>16,
		'vxml'=>16,
		'wadl'=>16,
		'wbs'=>16,
		'webmanifest'=>2,
		'wgsl'=>8,
		'wif'=>16,
		'wml'=>24,
		'wmls'=>8,
		'wmz'=>1,
		'wrl'=>8,
		'wsc'=>8,
		'wsdd'=>8,
		'wsdl'=>16,
		'wsgi'=>8,
		'wspolicy'=>16,
		'x3d'=>16,
		'x3dz'=>16,
		'x_t'=>8,
		'xaml'=>16,
		'xargs'=>8,
		'xav'=>16,
		'xbel'=>16,
		'xbl'=>24,
		'xbm'=>8,
		'xca'=>16,
		'xcat'=>8,
		'xconf'=>8,
		'xcs'=>16,
		'xdd'=>32,
		'xdf'=>16,
		'xdm'=>16,
		'xdp'=>16,
		'xdssc'=>16,
		'xegrm'=>8,
		'xel'=>16,
		'xenc'=>16,
		'xer'=>16,
		'xfdf'=>16,
		'xgrm'=>8,
		'xht'=>16,
		'xhtm'=>16,
		'xhtml'=>16,
		'xhtml2'=>16,
		'xhvml'=>16,
		'xla'=>20,
		'xlam'=>20,
		'xlb'=>20,
		'xlc'=>20,
		'xld'=>20,
		'xlex'=>8,
		'xlf'=>16,
		'xliff'=>16,
		'xll'=>20,
		'xlm'=>20,
		'xlog'=>8,
		'xlr'=>20,
		'xls'=>20,
		'xlsb'=>20,
		'xlsm'=>52,
		'xlsx'=>36,
		'xlt'=>20,
		'xltm'=>20,
		'xltx'=>36,
		'xlw'=>20,
		'xlz'=>32,
		'xmap'=>8,
		'xmi'=>24,
		'xmind'=>32,
		'xml'=>24,
		'xmls'=>16,
		'xmp'=>16,
		'xns'=>16,
		'xop'=>16,
		'xpi'=>32,
		'xpl'=>16,
		'xps'=>32,
		'xq'=>8,
		'xquery'=>8,
		'xroles'=>8,
		'xsamples'=>8,
		'xsd'=>24,
		'xsf'=>16,
		'xsl'=>24,
		'xslfo'=>24,
		'xslt'=>24,
		'xsm'=>16,
		'xsp'=>8,
		'xspf'=>16,
		'xtest'=>8,
		'xul'=>16,
		'xvm'=>16,
		'xvml'=>16,
		'xweb'=>8,
		'xwelcome'=>8,
		'yaml'=>8,
		'yin'=>16,
		'yml'=>8,
		'yt'=>32,
		'zabw'=>16,
		'zaz'=>16,
		'zip'=>32,
		'zipx'=>32,
		'zmm'=>16,
		'323'=>8,
	);
}
